
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:odm12="http://www.cdisc.org/ns/odm/v1.2" xmlns:odm13="http://www.cdisc.org/ns/odm/v1.3" version="1.0">
	
	<xsl:output method="xml"/>
	
	<xsl:template match="/">
		<xsl:element name="Results">
			<xsl:apply-templates/>
		</xsl:element>
	</xsl:template>
	
	<xsl:template match="odm12:ODM">
		<xsl:message>Found ODM 1.2</xsl:message>
		<xsl:for-each select="//odm12:MetaDataVersion">
			<xsl:variable name="OID" select="@OID"/>
			<xsl:variable name="STUDYOID" select="../@OID"/>
			<xsl:element name="MetaDataVersion">
				<xsl:attribute name="OID"><xsl:value-of select="$OID"/></xsl:attribute>
				<xsl:attribute name="StudyOID"><xsl:value-of select="$STUDYOID"/></xsl:attribute>
			</xsl:element>
		</xsl:for-each>
	</xsl:template>
	
	<xsl:template match="odm13:ODM">
		<xsl:message>Found ODM 1.3</xsl:message>
		<xsl:for-each select="//odm13:MetaDataVersion">
			<xsl:variable name="OID" select="@OID"/>
			<xsl:variable name="STUDYOID" select="../@OID"/>
			<xsl:element name="MetaDataVersion">
				<xsl:attribute name="OID"><xsl:value-of select="$OID"/></xsl:attribute>
				<xsl:attribute name="StudyOID"><xsl:value-of select="$STUDYOID"/></xsl:attribute>
			</xsl:element>
		</xsl:for-each>
	</xsl:template>
	
</xsl:stylesheet>