<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="2.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"  xmlns="http://www.w3.org/1999/xhtml">
	<!--
		COPYRIGHT JOZEF AERTS - XML4Pharma
		-->
	<!-- parameter that can be passed from the Java program -->
	<!-- serves to decide how to present ItemData in tables -->
	<xsl:param name="ITEMGROUPPRESENTATION">2</xsl:param>
	<xsl:param name="ODMVERSION">1.2</xsl:param>  <!-- The version of the ODM- default=1.2 -->
	
	<!-- 29.5.2009 -->
	<xsl:param name="FONTSIZE">small</xsl:param>
	<!-- 5.6.2009 -->
	<xsl:param name="SHOWINVESTIGATORINFO">true</xsl:param>
	<xsl:param name="SHOWSITEINFO">true</xsl:param>
	<!-- 8.6.2009 -->
	<xsl:param name="ADDHYPERLINKSTOMETADATA">true</xsl:param>
	<xsl:param name="ADDHYPERLINKSTOADMINDATA">true</xsl:param>
	<!-- 11.6.2009 -->
	<xsl:param name="DATETIMESTAMPASTEXT">false</xsl:param>
	<!-- 27.12.2010 -->
	<xsl:param name="SHOWCODELISTONITEMREF">true</xsl:param>
	<!-- 11.9.2014 -->
	<xsl:param name="INHERITAUDITRECORDS">false</xsl:param>
	<xsl:param name="INHERITSIGNATURES">false</xsl:param>
	<xsl:param name="INHERITANNOTATIONS">false</xsl:param>
	
	<xsl:key name="ItemData-key" match="ItemGroupData/ItemData" use="@ItemOID"/>
	<xsl:variable name="TITLE_EMPH">blue</xsl:variable>
	<xsl:variable name="BGCOLOR1">#B8B8B8</xsl:variable>
	<!--xsl:variable name="BGCOLOR1">yellow</xsl:variable-->
	<xsl:variable name="EMPH">blue</xsl:variable>
	<xsl:variable name="TABLEBORDERSIZE">1</xsl:variable>
	<xsl:variable name="PADDING">5</xsl:variable>
	
	<!--xsl:output method="xml" doctype-system="xhtml1-transitional.dtd" 
     doctype-public="-//W3C//DTD XHTML 1.0 Transitional//EN"/--> 

	<!-- IMPORTANT 14.6.2010: at this moment $ODMVERSION='1.3' DOES include ODM 1.3.1 -->

	<!-- template for the Results element -->
	<xsl:template match="/Results">
		<xsl:message>Running ODMAttributes.xsl</xsl:message>
		<xsl:message>ADDHYPERLINKSTOMETADATA = <xsl:value-of select="$ADDHYPERLINKSTOMETADATA"/></xsl:message>
		<xsl:message>ADDHYPERLINKSTOADMINDATA = <xsl:value-of select="$ADDHYPERLINKSTOADMINDATA"/></xsl:message>
		<xsl:message>Received ITEMGROUPPRESENTATION parameter value <xsl:value-of select="$ITEMGROUPPRESENTATION"/></xsl:message>
		<xsl:message>DATETIMESTAMPASTEXT = <xsl:value-of select="$DATETIMESTAMPASTEXT"/></xsl:message>
		<xsl:message>INHERITAUDITRECORDS = <xsl:value-of select="$INHERITAUDITRECORDS"/></xsl:message>
		<xsl:message>INHERITSIGNATURES = <xsl:value-of select="$INHERITSIGNATURES"/></xsl:message>
		<xsl:message>INHERITANNOTATIONS = <xsl:value-of select="$INHERITANNOTATIONS"/></xsl:message>
		<xsl:message></xsl:message>
		<!-- 29.3.2007 : get the ODMVersion -->
		<xsl:variable name="ODMVERSION" select="@ODMVersion"/>
		<html>
		<head> 
			<!--link rel="stylesheet" type="text/css" href="standard.css" title="Style" media="screen"/-->
			<!--link rel="stylesheet" type="text/css" href="general.css" title="Style" media="screen" />
			<style type="text/css">
				p strong { font-family: sans-serif; font-size: 80%; background-color: gray; color: green; }
			</style-->
			<!-- styling for PDF (landscape) -->
			<style type="text/css">
				@page {
   					size: 11.69in 8.27in;  
   					/* font-family: "Comic"; */
   					/* -fs-flow-bottom: my_footer;  */
   					/* table-cell-padding: 5px 5px; */
				}

			</style>
			<!-- HTML styling -->
			<style type="text/css">
				h1,h2,h3,h4,h5 { color:black }
				h3 { color:blue }
				td {
      				background-color: #F7F4E4; 
      				border: 1px solid #9AA7AE;
      				padding: 0.25cm 0.25cm 0.25cm 0.25cm;
      				/* padding-left: 1cm;
      				padding-right: 1cm;
      				padding-top: 1cm;
      				padding-bottom: 1cm; */
    			}
    			td:dt {
    				border: 10px solid #9AA7AE;
    				width: 300px;
    			}
    			body {
     				font-family: "Arial Unicode MS"; 
     				font-size: <xsl:value-of select="$FONTSIZE"/>;
     				-fs-pdf-font-embed: embed;
				} 
			</style>
		</head>
		<body>
		<!-- Header for use in PDF document only -->
		<!--
		<div style="position: absolute; top: 0; left: 0; -fs-move-to-flow: my_footer;" >Generated by the XML4Pharma CDISC ODM Viewer v.1.1</div>
		-->
		<!-- create an anchor to go (back) to the top -->
		<h5><a name="top" id="top">top</a></h5>

		<xsl:choose>
			<xsl:when test="@Type='ODM'">
				<h1>ODM Attributes</h1><br/>
				<!--table border="{$TABLEBORDERSIZE}" cellpadding="{$PADDING}" style="border-style:outset"-->
				<table border="{$TABLEBORDERSIZE}" style="border-style:outset">
					<tr><td style="background-color:{$BGCOLOR1}">Description</td><td><xsl:value-of select="./Description"/></td></tr>
					<tr><td style="background-color:{$BGCOLOR1}">File Type</td><td><xsl:value-of select="./FileType"/></td></tr>
					<tr><td style="background-color:{$BGCOLOR1}">Granularity</td><td><xsl:value-of select="./Granularity"/></td></tr>
					<tr><td style="background-color:{$BGCOLOR1}">Archival</td><td><xsl:value-of select="./Archival"/></td></tr>
					<tr><td style="background-color:{$BGCOLOR1}">File OID</td><td><xsl:value-of select="./FileOID"/></td></tr>

					<tr><td style="background-color:{$BGCOLOR1}">Creation Date and Time</td>
					<td>
						<xsl:choose>
							<xsl:when test="$DATETIMESTAMPASTEXT = 'true'">
								<xsl:call-template name="DateTime2String">
									<xsl:with-param name="datetime" select="./CreationDateTime"/>
								</xsl:call-template>
							</xsl:when>
							<xsl:otherwise><xsl:value-of select="./CreationDateTime"/></xsl:otherwise>
						</xsl:choose>
					</td></tr>
					<tr><td style="background-color:{$BGCOLOR1}">Prior File OID</td><td><xsl:value-of select="./PriorFileOID"/></td></tr>
					<tr><td style="background-color:{$BGCOLOR1}">As of Date and Time</td><td><xsl:value-of select="./AsOfDateTime"/></td></tr>
					<tr><td style="background-color:{$BGCOLOR1}">ODM Version</td><td><xsl:value-of select="./ODMVersion"/></td></tr>
					<tr><td style="background-color:{$BGCOLOR1}">Originator</td><td><xsl:value-of select="./Originator"/></td></tr>
					<tr><td style="background-color:{$BGCOLOR1}">Source System</td><td><xsl:value-of select="./SourceSystem"/></td></tr>
					<tr><td style="background-color:{$BGCOLOR1}">Source System Version</td><td><xsl:value-of select="./SourceSystemVersion"/></td></tr>
					<tr><td style="background-color:{$BGCOLOR1}">ID</td><td><xsl:value-of select="./Id"/></td></tr>
				</table>
				<h5><a href="#top">Back to top</a></h5>
			</xsl:when>
			<xsl:when test="@Type='Study'">
				<xsl:apply-templates/>
			</xsl:when>
			<xsl:when test="@Type='MeasurementsUnits'">
				<h2>Units of Measurement - Study <b style="color:{$TITLE_EMPH}"><xsl:value-of select="@StudyOID"/></b></h2><br/>
				<!--table border="{$TABLEBORDERSIZE}" cellpadding="{$PADDING}"-->
				<table border="{$TABLEBORDERSIZE}">
					<!-- the table header --><!-- 25.8.2007: added <thead> and <tfoot> -->
					<thead>
					<tr>
						<td style="background-color:{$BGCOLOR1}">OID</td>
						<td style="background-color:{$BGCOLOR1}">Name</td>
						<td style="background-color:{$BGCOLOR1}">Symbol<br/>Text</td>
					</tr>
					</thead>
					<xsl:for-each select="MeasurementUnit">
						<tr>
							<td><xsl:value-of select="@OID"/></td>
							<td>
								<xsl:call-template name="mysplit">
									<xsl:with-param name="input" select="@Name"/>
									<xsl:with-param name="width" select="20"/>
								</xsl:call-template>
							</td>
							<td>
								<!-- change 27.10.2010 -->
								<xsl:choose>
									<xsl:when test="Symbol/TranslatedText[@xml:lang] or count(Symbol/TranslatedText) gt 1">
										<table border="{$TABLEBORDERSIZE}" cellpadding="{$PADDING}">
											<xsl:for-each select="Symbol/TranslatedText">
												<tr>
													<td><font color="{$EMPH}">Language: <xsl:value-of select="@xml:lang"/></font></td>
													<td>
														<xsl:call-template name="mysplit">
															<xsl:with-param name="input" select="."/>
															<xsl:with-param name="width" select="20"/>
														</xsl:call-template>
														<!--xsl:value-of select="."/-->
													</td>
												</tr>
											</xsl:for-each>
										</table>
									</xsl:when>
									<xsl:otherwise>
										<xsl:call-template name="mysplit">
											<xsl:with-param name="input" select="Symbol/TranslatedText"/>
											<xsl:with-param name="width" select="20"/>
										</xsl:call-template>
									</xsl:otherwise>
								</xsl:choose>
							</td>
						</tr>
					</xsl:for-each>
					<tfoot>
						<tr><td style="background-color:{$BGCOLOR1}" colspan="3"><i>Units of Measurement</i></td></tr>
					</tfoot>
				</table>
				<h5><a href="#top">Back to top</a></h5>
			</xsl:when>
			<!-- Protocol -->
			<xsl:when test="@Type='Protocol'">
				<xsl:apply-templates/>
			</xsl:when>
			
			<!-- Include -->
			<xsl:when test="@Type='Include'">
				<h2>Previous Metadata to be included - Study <b style="color:{$TITLE_EMPH}"><xsl:value-of select="@StudyOID"/></b> 
				- MetaData Version <b style="color:{$TITLE_EMPH}"><xsl:value-of select="@MetaDataVersionOID"/></b></h2>
				<table border="{$TABLEBORDERSIZE}" cellpadding="{$PADDING}">
					<!-- 25.8.2007 : added <thead> no <tfoot> necessary -->
					<thead><tr>
						<td style="background-color:{$BGCOLOR1}">Metadata Version OID</td>
						<td style="background-color:{$BGCOLOR1}">Study OID</td></tr>
					</thead>
					<!-- 5.6.2009: added hyperlink -->
					<xsl:for-each select="Include">
						<xsl:variable name="HYPERLINK">find:/*[name()='ODM']/*[name()='Study'][@OID='<xsl:value-of select="@StudyOID"/>']/*[name()='MetaDataVersion'][@OID='<xsl:value-of select="@MetaDataVersionOID"/>']</xsl:variable>
						<!--xsl:message><xsl:value-of select="$HYPERLINK"/></xsl:message-->
						<tr>
							<td>
								<xsl:element name="a">
									<xsl:attribute name="href"><xsl:value-of select="$HYPERLINK"/></xsl:attribute>
									<xsl:value-of select="@MetaDataVersionOID"/>
								</xsl:element>
							</td>
							<td><xsl:value-of select="@StudyOID"/></td>
						</tr>
					</xsl:for-each>
				</table>
				<h5><a href="#top">Back to top</a></h5>
			</xsl:when>
			
			<!-- 5.6.2009 for allowing looking at details of "Include" 
				- not directly run when the user clicks the MetaDataVersion node -->
			<xsl:when test="@Type='MetaDataVersion'">
				<h2>Included MetaDataVersion - Study <b style="color:{$TITLE_EMPH}"><xsl:value-of select="@StudyOID"/></b> 
				- MetaData Version <b style="color:{$TITLE_EMPH}"><xsl:value-of select="@MetaDataVersionOID"/></b></h2>
				<!-- TODO: MetaDataVersion Name - but should then be done everywhere -->
				<xsl:if test="MetaDataVersion/Include">
					<h4>Previous MetaData to be included:</h4>
					<table border="{$TABLEBORDERSIZE}" cellpadding="{$PADDING}">
						<!-- 25.8.2007 : added <thead> no <tfoot> necessary -->
						<thead><tr>
							<td style="background-color:{$BGCOLOR1}">Metadata Version OID</td>
							<td style="background-color:{$BGCOLOR1}">Study OID</td></tr>
						</thead>
						<xsl:for-each select="MetaDataVersion/Include"><!-- there can be only one-->
							<xsl:variable name="HYPERLINK">find:/*[name()='ODM']/*[name()='Study'][@OID='<xsl:value-of select="@StudyOID"/>']/*[name()='MetaDataVersion'][@OID='<xsl:value-of select="@MetaDataVersionOID"/>']</xsl:variable>
							<!--xsl:message><xsl:value-of select="$HYPERLINK"/></xsl:message-->
							<tr>
								<td>
									<xsl:element name="a">
										<xsl:attribute name="href"><xsl:value-of select="$HYPERLINK"/></xsl:attribute>
										<xsl:value-of select="@MetaDataVersionOID"/>
									</xsl:element>
								</td>
								<td><xsl:value-of select="@StudyOID"/></td>
							</tr>
						</xsl:for-each>
						<!-- add the referenced StudyEvents -->
					</table>
				</xsl:if>
				<!-- 5.6.2009 -->
				<xsl:for-each select="MetaDataVersion">
					<xsl:if test="Protocol"><xsl:apply-templates select="Protocol"/></xsl:if>
				</xsl:for-each>
			</xsl:when>
						
			<!-- StudyEventDef -->
			<xsl:when test="@Type='StudyEventDef'">
				<h2>Study Events - Study <b style="color:{$TITLE_EMPH}"><xsl:value-of select="@StudyOID"/></b> 
				- MetaData Version <b style="color:{$TITLE_EMPH}"><xsl:value-of select="@MetaDataVersionOID"/></b></h2>
				<br/>
				<xsl:variable name="STUDYOID" select="@StudyOID"/>
				<xsl:variable name="METADATAVERSIONOID" select="@MetaDataVersionOID"/>
				<table border="{$TABLEBORDERSIZE}" cellpadding="{$PADDING}">
					<!-- 25.8.2007: added <thead> and <tfoot> -->
					<thead>
					<tr>
						<td style="background-color:{$BGCOLOR1}">Name</td>
						<td style="background-color:{$BGCOLOR1}">OID</td>
						<td style="background-color:{$BGCOLOR1}">Repeating ?</td>
						<td style="background-color:{$BGCOLOR1}">Type</td>
						<td style="background-color:{$BGCOLOR1}">Category</td>
					</tr>
					</thead>
					<xsl:for-each select="StudyEventDef">
						<xsl:variable name="OID"><xsl:value-of select="@OID"/></xsl:variable>
						<tr>
							<td><a href="#{$OID}"><xsl:value-of select="@Name"/></a></td>
							<td><xsl:value-of select="@OID"/></td>
							<td><xsl:value-of select="@Repeating"/></td>
							<td><xsl:value-of select="@Type"/></td>
							<td><xsl:value-of select="@Category"/></td>
						</tr>
					</xsl:for-each>
					<tfoot><tr><td colspan="5" style="background-color:{$BGCOLOR1}"><i>Study Events</i></td></tr></tfoot>
				</table>
				<h5><a href="#top">Back to top</a></h5>
				<!-- make an extra table for each of the StudyEventDef's, listing the forms used -->
				<xsl:for-each select="StudyEventDef">
					<xsl:variable name="OID"><xsl:value-of select="@OID"/></xsl:variable>
					<h3><a name="{$OID}" id="{$OID}">Study Event: </a><font color="{$EMPH}"><xsl:value-of select="@Name"/></font>
					</h3>
					<!-- ODM 1.3: Description element -->
					<xsl:if test="Description">
						<h4>StudyEvent Description:</h4>
						<table border="{$TABLEBORDERSIZE}" cellpadding="{$PADDING}">
							<!-- 25.8.2007: added <thead> and <tfoot>-->
							<thead>
							<tr>
								<td style="background-color:{$BGCOLOR1}">Language</td>
								<td style="background-color:{$BGCOLOR1}">Translated Text</td>
							</tr>
							</thead>
							<xsl:for-each select="Description/TranslatedText">
								<tr>
									<td><xsl:value-of select="@xml:lang"/></td>
									<td><xsl:value-of select="."/></td>
								</tr>
							</xsl:for-each>
							<tfoot><tr><td colspan="2" style="background-color:{$BGCOLOR1}"><i>Descriptions</i></td></tr></tfoot>
						</table>
					</xsl:if>
					<h4>Forms:</h4>
					<xsl:variable name="ODMVERSION" select="//Results/@ODMVersion"/>
					<table border="{$TABLEBORDERSIZE}" cellpadding="{$PADDING}">
						<!-- 25.8.2007: added <thead> and <tfoot> -->
						<thead>
						<tr>
							<td style="background-color:{$BGCOLOR1}">Form Name</td>
							<td style="background-color:{$BGCOLOR1}">Form OID</td>
							<td style="background-color:{$BGCOLOR1}">Order Number</td>
							<td style="background-color:{$BGCOLOR1}">Mandatory ?</td>
							<xsl:if test="$ODMVERSION = '1.3'">
								<td style="background-color:{$BGCOLOR1}">Collection Exception<br/>Condition OID</td>
							</xsl:if>
						</tr></thead>
						<xsl:for-each select="FormRef">
							<tr>
								<td><xsl:value-of select="@FormName"/></td>
								<!-- 19.5.2009 provide a link to the StudyEventDef -->
								<xsl:variable name="XPATH">/*[name()='ODM']/*[name()='Study'][@OID='<xsl:value-of select="$STUDYOID"/>']/*[name()='MetaDataVersion'][@OID='<xsl:value-of select="$METADATAVERSIONOID"/>']/*[name()='FormDef'][@OID='<xsl:value-of select="@FormOID"/>']</xsl:variable>
								<td><xsl:element name="a"><xsl:attribute name="href">find:<xsl:value-of select="$XPATH"/></xsl:attribute><xsl:value-of select="@FormOID"/></xsl:element></td>
								<!--td><xsl:value-of select="@FormOID"/></td-->
								<td><xsl:value-of select="@OrderNumber"/></td>
								<td><xsl:value-of select="@Mandatory"/></td>
								<xsl:if test="$ODMVERSION = '1.3'">
									<td>
										<xsl:if test="@CollectionExceptionConditionOID"><xsl:variable name="XPATH"></xsl:variable>
											<xsl:variable name="XPATHCONDITION">/*[name()='ODM']/*[name()='Study'][@OID='<xsl:value-of select="$STUDYOID"/>']/*[name()='MetaDataVersion'][@OID='<xsl:value-of select="$METADATAVERSIONOID"/>']/*[name()='ConditionDef'][@OID='<xsl:value-of select="@CollectionExceptionConditionOID"/>']</xsl:variable>
											<xsl:element name="a"><xsl:attribute name="href">find:<xsl:value-of select="$XPATHCONDITION"/></xsl:attribute>
												<xsl:value-of select="@CollectionExceptionConditionOID"/>
											</xsl:element>
										</xsl:if>
									</td>
								</xsl:if>
							</tr>
						</xsl:for-each>
						<tfoot><tr><td colspan="5" style="background-color:{$BGCOLOR1}"><i>Forms for Study Event <xsl:value-of select="@Name"/></i></td></tr></tfoot>
					</table>
					<!-- Alias, when present -->
					<xsl:if test="./Alias and $ODMVERSION='1.3'"><!-- though only present for (included) ODM 1.3.1 -->
						<!-- Aliases -->
						<h4>Aliases:</h4>
						<table style="-fs-table-paginate: paginate;" border="{$TABLEBORDERSIZE}" cellpadding="{$PADDING}">
							<thead><tr><td style="background-color:{$BGCOLOR1}">Alias Context</td><td style="background-color:{$BGCOLOR1}">Alias Name</td></tr></thead>
							<xsl:for-each select="Alias">
								<tr><td><xsl:value-of select="@Context"/></td><td><xsl:value-of select="@Name"/></td></tr>
							</xsl:for-each>
							<tfoot><tr><td colspan="2" style="background-color:{$BGCOLOR1}"><i>Aliases for StudyEvent <xsl:value-of select="@Name"/></i></td></tr></tfoot>
						</table>
					</xsl:if>
					<h5><a href="#top">Back to top</a></h5>
				</xsl:for-each>
			</xsl:when>
			
			<!-- Forms -->
			<xsl:when test="@Type='FormDef'">
				<h2>Forms - Study <b style="color:{$TITLE_EMPH}"><xsl:value-of select="@StudyOID"/></b> 
				- MetaData Version <b style="color:{$TITLE_EMPH}"><xsl:value-of select="@MetaDataVersionOID"/></b></h2><br/>
				<xsl:variable name="STUDYOID" select="@StudyOID"/>
				<xsl:variable name="METADATAVERSIONOID" select="@MetaDataVersionOID"/>
				<table border="{$TABLEBORDERSIZE}" cellpadding="{$PADDING}">
					<!-- 25.8.2007 added <thead> and <tfoot> -->
					<thead>
					<tr>
						<td style="background-color:{$BGCOLOR1}">Name</td>
						<td style="background-color:{$BGCOLOR1}">OID</td>
						<td style="background-color:{$BGCOLOR1}">Repeating ?</td>
					</tr></thead>
					<xsl:for-each select="FormDef">
						<xsl:variable name="OID"><xsl:value-of select="@OID"/></xsl:variable>
						<tr>
							<td><a href="#{$OID}"><xsl:value-of select="@Name"/></a></td>
							<td><xsl:value-of select="@OID"/></td>
							<td><xsl:value-of select="@Repeating"/></td>
						</tr>
					</xsl:for-each>
					<tfoot><tr><td colspan="3" style="background-color:{$BGCOLOR1}"><i>Forms</i></td></tr></tfoot>
				</table>
				<h5><a href="#top">Back to top</a></h5>
				<!-- now make an extra table for each form listing the ItemGroup's -->
				<xsl:for-each select="FormDef">
					<xsl:variable name="OID"><xsl:value-of select="@OID"/></xsl:variable>
					<h3><a name="{$OID}" id="{$OID}">Form: </a><font color="{$EMPH}"><xsl:value-of select="@Name"/></font></h3>
					<!-- ODM 1.3: Description element -->
					<xsl:if test="Description">
						<h4>Form Description:</h4>
						<!-- 25.8.2007 added <thead> and <tfoot> -->
						<table border="{$TABLEBORDERSIZE}" cellpadding="{$PADDING}">
							<thead>
							<tr>
								<td style="background-color:{$BGCOLOR1}">Language</td>
								<td style="background-color:{$BGCOLOR1}">Translated Text</td>
							</tr></thead>
							<xsl:for-each select="Description/TranslatedText">
								<tr>
									<td><xsl:value-of select="@xml:lang"/></td>
									<td><xsl:value-of select="."/></td>
								</tr>
							</xsl:for-each>
							<tfoot><tr><td colspan="2" style="background-color:{$BGCOLOR1}"><i>Form descriptions</i></td></tr></tfoot>
						</table>
					</xsl:if>
					<h4>Item Groups:</h4>
					<xsl:variable name="ODMVERSION" select="//Results/@ODMVersion"/>
					<table border="{$TABLEBORDERSIZE}" cellpadding="{$PADDING}">
						<!-- 25.8.2007: added <thead> and <tfoot> -->
						<thead>
						<tr>
							<td style="background-color:{$BGCOLOR1}">Item Group Name</td>
							<td style="background-color:{$BGCOLOR1}">Item Group OID</td>
							<td style="background-color:{$BGCOLOR1}">Order Number</td>
							<td style="background-color:{$BGCOLOR1}">Mandatory ?</td>
							<xsl:if test="$ODMVERSION = '1.3'">
								<td style="background-color:{$BGCOLOR1}">Collection Exception<br/>Condition OID</td>
							</xsl:if>
						</tr></thead>
						<xsl:for-each select="ItemGroupRef">
							<tr>
								<td><xsl:value-of select="@ItemGroupName"/></td>
								<!-- link is XPath expression for the corresponding ItemDef -->
								<xsl:variable name="XPATH">/*[name()='ODM']/*[name()='Study'][@OID='<xsl:value-of select="$STUDYOID"/>']/*[name()='MetaDataVersion'][@OID='<xsl:value-of select="$METADATAVERSIONOID"/>']/*[name()='ItemGroupDef'][@OID='<xsl:value-of select="@ItemGroupOID"/>']</xsl:variable>
								<td><xsl:element name="a"><xsl:attribute name="href">find:<xsl:value-of select="$XPATH"/></xsl:attribute><xsl:value-of select="@ItemGroupOID"/></xsl:element></td>
								<td><xsl:value-of select="@OrderNumber"/></td>
								<td><xsl:value-of select="@Mandatory"/></td>
								<xsl:if test="$ODMVERSION = '1.3'">
									<!--td><xsl:value-of select="@CollectionExceptionConditionOID"/></td-->
									<td>
										<xsl:if test="@CollectionExceptionConditionOID">
											<xsl:variable name="XPATHCONDITION">/*[name()='ODM']/*[name()='Study'][@OID='<xsl:value-of select="$STUDYOID"/>']/*[name()='MetaDataVersion'][@OID='<xsl:value-of select="$METADATAVERSIONOID"/>']/*[name()='ConditionDef'][@OID='<xsl:value-of select="@CollectionExceptionConditionOID"/>']</xsl:variable>
											<xsl:element name="a"><xsl:attribute name="href">find:<xsl:value-of select="$XPATHCONDITION"/></xsl:attribute>
												<xsl:value-of select="@CollectionExceptionConditionOID"/>
											</xsl:element>
										</xsl:if>
									</td>
								</xsl:if>
							</tr>
						</xsl:for-each>
						<tfoot><tr><td colspan="5" style="background-color:{$BGCOLOR1}"><i>Item Groups for Form <xsl:value-of select="@Name"/></i></td></tr></tfoot>
					</table>
					<!-- ArchiveLayout (when present) -->
					<xsl:if test="ArchiveLayout">
						<p><b>Archive Layouts:</b></p>
						<table border="{$TABLEBORDERSIZE}" cellpadding="{$PADDING}">
							<!-- 25.8.2007: added <thead>, no <tfoot> -->
							<thead>
							<tr>
								<td style="background-color:{$BGCOLOR1}">OID</td>
								<td style="background-color:{$BGCOLOR1}">PDF File Name</td>
								<td style="background-color:{$BGCOLOR1}">Presentation OID</td>
							</tr></thead>
							<xsl:for-each select="ArchiveLayout">
								<tr>
									<td><xsl:value-of select="@OID"/></td>
									<td><xsl:value-of select="@PdfFileName"/></td>
									<td>
										<xsl:if test="@PresentationOID">
											<xsl:variable name="XPATHCONDITION">/*[name()='ODM']/*[name()='Study'][@OID='<xsl:value-of select="$STUDYOID"/>']/*[name()='MetaDataVersion'][@OID='<xsl:value-of select="$METADATAVERSIONOID"/>']/*[name()='Presentation'][@OID='<xsl:value-of select="@PresentationOID"/>']</xsl:variable>
											<xsl:element name="a"><xsl:attribute name="href">find:<xsl:value-of select="$XPATHCONDITION"/></xsl:attribute>
												<xsl:value-of select="@PresentationOID"/>
											</xsl:element>
										</xsl:if>
									</td>
								</tr>
							</xsl:for-each>
						</table>
					</xsl:if>
					<!-- Alias, when present -->
					<xsl:if test="./Alias and $ODMVERSION='1.3'"><!-- though only present for (included) ODM 1.3.1 -->
						<!-- Aliases -->
						<h4>Aliases:</h4>
						<table style="-fs-table-paginate: paginate;" border="{$TABLEBORDERSIZE}" cellpadding="{$PADDING}">
							<thead><tr><td style="background-color:{$BGCOLOR1}">Alias Context</td><td style="background-color:{$BGCOLOR1}">Alias Name</td></tr></thead>
							<xsl:for-each select="Alias">
								<tr><td><xsl:value-of select="@Context"/></td><td><xsl:value-of select="@Name"/></td></tr>
							</xsl:for-each>
							<tfoot><tr><td colspan="2" style="background-color:{$BGCOLOR1}"><i>Aliases for Form <xsl:value-of select="@Name"/></i></td></tr></tfoot>
						</table>
					</xsl:if>
					<h5><a href="#top">Back to top</a></h5>
				</xsl:for-each>
			</xsl:when>
			<!-- ItemGroup definitions -->
			<xsl:when test="@Type='ItemGroupDef'">
				<h2>Item groups - Study <b style="color:{$TITLE_EMPH}"><xsl:value-of select="@StudyOID"/></b> 
				- MetaData Version <b style="color:{$TITLE_EMPH}"><xsl:value-of select="@MetaDataVersionOID"/></b></h2><br/>
				<xsl:variable name="STUDYOID" select="@StudyOID"/>
				<xsl:variable name="METADATAVERSIONOID" select="@MetaDataVersionOID"/>
				<!-- make a table-->
				<table style="-fs-table-paginate: paginate;" border="{$TABLEBORDERSIZE}" cellpadding="{$PADDING}">
					<!-- 25.8.2007: added <thead> and <tfoot> -->
					<thead>
					<tr>
						<td style="background-color:{$BGCOLOR1}">Name</td>
						<td style="background-color:{$BGCOLOR1}">OID</td>
						<td style="background-color:{$BGCOLOR1}">Repeating ?</td>
						<td style="background-color:{$BGCOLOR1}">Reference Data ?</td>
						<td style="background-color:{$BGCOLOR1}">SAS Dataset Name</td>
						<td style="background-color:{$BGCOLOR1}">Domain</td>
						<td style="background-color:{$BGCOLOR1}">Origin</td>
						<td style="background-color:{$BGCOLOR1}">Role</td>
						<td style="background-color:{$BGCOLOR1}">Purpose</td>
						<td style="background-color:{$BGCOLOR1}">Comment</td>
					</tr></thead>
					<xsl:for-each select="ItemGroupDef">
						<xsl:variable name="OID"><xsl:value-of select="@OID"/></xsl:variable>
						<tr>
							<td><a href="#{$OID}"><xsl:value-of select="@Name"/></a></td>
							<td><xsl:value-of select="@OID"/></td>
							<td><xsl:value-of select="@Repeating"/></td>
							<td><xsl:value-of select="@ReferenceData"/></td>
							<td><xsl:value-of select="@SASDatasetName"/></td>
							<td><xsl:value-of select="@Domain"/></td>
							<td><xsl:value-of select="@Origin"/></td>
							<td><xsl:value-of select="@Role"/></td>
							<td><xsl:value-of select="@Purpose"/></td>
							<td><xsl:value-of select="@Comment"/></td>
						</tr>
					</xsl:for-each>
					<tfoot><tr><td colspan="10" style="background-color:{$BGCOLOR1}"><i>Item Groups</i></td></tr></tfoot>
				</table>
				<h5><a href="#top">Back to top</a></h5>
				<!-- make a separate table for each ItemGroup listing the items -->
				<xsl:for-each select="ItemGroupDef">
					<xsl:variable name="OID"><xsl:value-of select="@OID"/></xsl:variable>
					<h3><a name="{$OID}" id="{$OID}">Item Group: </a><font color="{$EMPH}"><xsl:value-of select="@Name"/></font></h3>
					<!-- ODM 1.3: Description element -->
					<xsl:if test="Description">
						<h4>Item Group Description:</h4>
						<table style="-fs-table-paginate: paginate;" border="{$TABLEBORDERSIZE}" cellpadding="{$PADDING}">
							<!-- 25.8.2007: added <thead> and <tfoot> -->
							<thead><tr>
								<td style="background-color:{$BGCOLOR1}">Language</td>
								<td style="background-color:{$BGCOLOR1}">Translated Text</td>
							</tr></thead>
							<xsl:for-each select="Description/TranslatedText">
								<tr>
									<td><xsl:value-of select="@xml:lang"/></td>
									<td><xsl:value-of select="."/></td>
								</tr>
							</xsl:for-each>
							<tfoot><tr><td colspan="2"><i>Item Group Descriptions</i></td></tr></tfoot>
						</table>
					</xsl:if>
					<h4>Items:</h4>
					<xsl:variable name="ODMVERSION" select="//Results/@ODMVersion"/>
					<table style="-fs-table-paginate: paginate;" border="{$TABLEBORDERSIZE}" cellpadding="{$PADDING}">
						<!-- 25.8.2007: added <thead> and <tfoot> -->
						<thead>
						<tr>
							<td style="background-color:{$BGCOLOR1}">Item Name</td>
							<td style="background-color:{$BGCOLOR1}">Item OID</td>
							<td style="background-color:{$BGCOLOR1}">Order Number</td>
							<td style="background-color:{$BGCOLOR1}">Mandatory ?</td>
							<td style="background-color:{$BGCOLOR1}">Key Sequence</td>
							<xsl:choose>
								<!-- ODM Version 1.2 -->
								<xsl:when test="$ODMVERSION = '1.3'">
									<td style="background-color:{$BGCOLOR1}">Imputation Method<br/>(deprecated)</td>
									<td style="background-color:{$BGCOLOR1}">Method</td>
									<td style="background-color:{$BGCOLOR1}">Collection Exception<br/>Condition OID</td>
								</xsl:when>
								<!-- ODM Version 1.3 -->
								<xsl:otherwise><td style="background-color:{$BGCOLOR1}">Imputation Method</td></xsl:otherwise>
							</xsl:choose>
							<td style="background-color:{$BGCOLOR1}">Role</td>
							<td style="background-color:{$BGCOLOR1}">Role Code List</td>
							<!-- 27.12.2010 -->
							<xsl:if test="$SHOWCODELISTONITEMREF = 'true'">
								<td style="background-color:{$BGCOLOR1}">Code List</td>
							</xsl:if>
							<!--xsl:if test="$SHOWMEASUREMENTUNITONITEMREF = 'true'">
								<td style="background-color:{$BGCOLOR1}">Units of Measurement</td>
							</xsl:if-->
						</tr></thead>
						<xsl:for-each select="ItemRef">
							<tr>
								<td><xsl:value-of select="@ItemName"/></td>
								<!-- 19.5.2009 provide a link to the ItemDef-->
								<xsl:variable name="XPATH">/*[name()='ODM']/*[name()='Study'][@OID='<xsl:value-of select="$STUDYOID"/>']/*[name()='MetaDataVersion'][@OID='<xsl:value-of select="$METADATAVERSIONOID"/>']/*[name()='ItemDef'][@OID='<xsl:value-of select="@ItemOID"/>']</xsl:variable>
								<td><xsl:element name="a"><xsl:attribute name="href">find:<xsl:value-of select="$XPATH"/></xsl:attribute><xsl:value-of select="@ItemOID"/></xsl:element></td>
								<!--td><xsl:value-of select="@ItemOID"/></td-->
								<td><xsl:value-of select="@OrderNumber"/></td>
								<td><xsl:value-of select="@Mandatory"/></td>
								<td><xsl:value-of select="@KeySequence"/></td>
								<!--td><xsl:value-of select="@ImputationMethodOID"/></td-->
								<td>
									<xsl:if test="@ImputationMethodOID">
										<xsl:variable name="XPATHMETHOD">/*[name()='ODM']/*[name()='Study'][@OID='<xsl:value-of select="$STUDYOID"/>']/*[name()='MetaDataVersion'][@OID='<xsl:value-of select="$METADATAVERSIONOID"/>']/*[name()='ImputationMethod'][@OID='<xsl:value-of select="@ImputationMethodOID"/>']</xsl:variable>
										<xsl:element name="a"><xsl:attribute name="href">find:<xsl:value-of select="$XPATHMETHOD"/></xsl:attribute>
											<xsl:value-of select="@MethodOID"/>
										</xsl:element>
									</xsl:if>
								</td>
								<xsl:if test="$ODMVERSION = '1.3'">
									<!--td><xsl:value-of select="@MethodOID"/></td-->
									<td>
										<xsl:if test="@MethodOID">
											<xsl:variable name="XPATHCONDITION">/*[name()='ODM']/*[name()='Study'][@OID='<xsl:value-of select="$STUDYOID"/>']/*[name()='MetaDataVersion'][@OID='<xsl:value-of select="$METADATAVERSIONOID"/>']/*[name()='MethodDef'][@OID='<xsl:value-of select="@MethodOID"/>']</xsl:variable>
											<xsl:element name="a"><xsl:attribute name="href">find:<xsl:value-of select="$XPATHCONDITION"/></xsl:attribute>
												<xsl:value-of select="@MethodOID"/>
											</xsl:element>
										</xsl:if>
									</td>
									<!--td><xsl:value-of select="@CollectionExceptionConditionOID"/></td-->
									<td>
										<xsl:if test="@CollectionExceptionConditionOID">
											<xsl:variable name="XPATHCONDITION">/*[name()='ODM']/*[name()='Study'][@OID='<xsl:value-of select="$STUDYOID"/>']/*[name()='MetaDataVersion'][@OID='<xsl:value-of select="$METADATAVERSIONOID"/>']/*[name()='ConditionDef'][@OID='<xsl:value-of select="@CollectionExceptionConditionOID"/>']</xsl:variable>
											<xsl:element name="a"><xsl:attribute name="href">find:<xsl:value-of select="$XPATHCONDITION"/></xsl:attribute>
												<xsl:value-of select="@CollectionExceptionConditionOID"/>
											</xsl:element>
										</xsl:if>
									</td>
								</xsl:if>
								<td><xsl:value-of select="@Role"/></td>
								<td>
									<xsl:if test="@RoleCodeListOID">
										<xsl:variable name="XPATHROLECODELIST">/*[name()='ODM']/*[name()='Study'][@OID='<xsl:value-of select="$STUDYOID"/>']/*[name()='MetaDataVersion'][@OID='<xsl:value-of select="$METADATAVERSIONOID"/>']/*[name()='CodeList'][@OID='<xsl:value-of select="@RoleCodeListOID"/>']</xsl:variable>
										<xsl:element name="a"><xsl:attribute name="href">find:<xsl:value-of select="$XPATHROLECODELIST"/></xsl:attribute>
											<xsl:value-of select="@RoleCodeListOID"/>
										</xsl:element>
									</xsl:if>
								</td>
								<!-- 27.12.2010 -->
								<xsl:if test="$SHOWCODELISTONITEMREF">
									<td>
										<xsl:if test="@CodeListOID">
											<xsl:variable name="XPATHCODELIST">/*[name()='ODM']/*[name()='Study'][@OID='<xsl:value-of select="$STUDYOID"/>']/*[name()='MetaDataVersion'][@OID='<xsl:value-of select="$METADATAVERSIONOID"/>']/*[name()='CodeList'][@OID='<xsl:value-of select="@CodeListOID"/>']</xsl:variable>
											<xsl:element name="a"><xsl:attribute name="href">find:<xsl:value-of select="$XPATHCODELIST"/></xsl:attribute>
												<xsl:value-of select="@CodeListOID"/>
											</xsl:element>
										</xsl:if>
									</td>
								</xsl:if>
							</tr>
						</xsl:for-each>
						<tfoot><tr><td colspan="10" style="background-color:{$BGCOLOR1}"><i>Items for Item Group <xsl:value-of select="@Name"/></i></td></tr></tfoot>
					</table>
					<!-- Alias, when present -->
					<xsl:if test="./Alias and $ODMVERSION='1.3'"><!-- though only present for (included) ODM 1.3.1 -->
						<!-- Aliases -->
						<h4>Aliases:</h4>
						<table style="-fs-table-paginate: paginate;" border="{$TABLEBORDERSIZE}" cellpadding="{$PADDING}">
							<thead><tr><td style="background-color:{$BGCOLOR1}">Alias Context</td><td style="background-color:{$BGCOLOR1}">Alias Name</td></tr></thead>
							<xsl:for-each select="Alias">
								<tr><td><xsl:value-of select="@Context"/></td><td><xsl:value-of select="@Name"/></td></tr>
							</xsl:for-each>
							<tfoot><tr><td colspan="2" style="background-color:{$BGCOLOR1}"><i>Aliases for ItemGroup <xsl:value-of select="@Name"/></i></td></tr></tfoot>
						</table>
					</xsl:if>
					<h5><a href="#top">Back to top</a></h5>
				</xsl:for-each>
			</xsl:when>
			
			<!-- Items -->
			<xsl:when test="@Type='ItemDef'">
				<xsl:variable name="STUDYOID" select="@StudyOID"/>
				<xsl:variable name="METADATAVERSIONOID" select="@MetaDataVersionOID"/>
				<h2>Items - Study <b style="color:{$TITLE_EMPH}"><xsl:value-of select="@StudyOID"/></b> 
				- MetaData Version <b style="color:{$TITLE_EMPH}"><xsl:value-of select="@MetaDataVersionOID"/></b></h2><br/>
				<!-- make a table-->
				<table style="-fs-table-paginate: paginate;"  border="2" cellpadding="{$PADDING}">
					<thead>
					<tr>
						<td style="background-color:{$BGCOLOR1}">Name</td>
						<td style="background-color:{$BGCOLOR1}">OID</td>
						<td style="background-color:{$BGCOLOR1}">Data<br/>Type</td>
						<td style="background-color:{$BGCOLOR1}">Length</td>
						<td style="background-color:{$BGCOLOR1}">Significant<br/>Digits</td>
						<td style="background-color:{$BGCOLOR1}">SAS<br/>Field<br/>Name</td>
						<td style="background-color:{$BGCOLOR1}">SDS<br/>Variable<br/>Name</td>
						<td style="background-color:{$BGCOLOR1}">Origin</td>
						<td style="background-color:{$BGCOLOR1}">Comment</td>
						<td style="background-color:{$BGCOLOR1}">Code<br/>List</td>
					</tr>
					</thead>
					<xsl:for-each select="ItemDef">
						<xsl:variable name="OID"><xsl:value-of select="@OID"/></xsl:variable>
						<tr>
							<td>
								<!-- make a link if there is more (Question, ExternalQuestion, MeasurementUnitRef, 
									RangeCheck, Role, Alias) to come -->
								<xsl:choose>
									<xsl:when test="Question | ExternalQuestion | MeasurementUnitRef | RangeCheck | Role | Alias">
										<a href="#{$OID}"><xsl:value-of select="@Name"/></a><!-- a line break kill the link ... -->
									</xsl:when>
									<xsl:otherwise>
										<!-- break into several lines if too long -->
										<xsl:call-template name="mysplit">
											<xsl:with-param name="input" select="@Name"/>
											<xsl:with-param name="width" select="20"/>
										</xsl:call-template>
									</xsl:otherwise>
								</xsl:choose>
							</td>
							<td><xsl:value-of select="@OID"/></td>
							<td><xsl:value-of select="@DataType"/></td>
							<td align="right"><xsl:value-of select="@Length"/></td>
							<td align="right"><xsl:value-of select="SignificantDigits"/></td>
							<td><xsl:value-of select="@SASFieldName"/></td>
							<td><xsl:value-of select="@SDSVarName"/></td>
							<td><xsl:value-of select="@Origin"/></td>
							<td>
								<!-- break into several lines if too long -->
								<xsl:call-template name="mysplit">
									<xsl:with-param name="input" select="@Comment"/>
									<xsl:with-param name="width" select="20"/>
								</xsl:call-template>
							</td>
							<td>
								<xsl:if test="./CodeListRef">
									<!-- 26.5.2009 - add link -->
									<xsl:variable name="XPATH">/*[name()='ODM']/*[name()='Study'][@OID='<xsl:value-of select="$STUDYOID"/>']/*[name()='MetaDataVersion'][@OID='<xsl:value-of select="$METADATAVERSIONOID"/>']/*[name()='CodeList'][@OID='<xsl:value-of select="CodeListRef/@CodeListOID"/>']</xsl:variable>
									<!--xsl:message>XPATH = <xsl:value-of select="$XPATH"/></xsl:message-->
									<xsl:element name="a"><xsl:attribute name="href">find:<xsl:value-of select="$XPATH"/></xsl:attribute>
										<xsl:value-of select="CodeListRef/@CodeListOID"/>
										<!-- break NAME of codelist into several lines if too long -->
										<!--xsl:call-template name="mysplit">
											<xsl:with-param name="input" select="CodeListRef/@CodeListName"/>
											<xsl:with-param name="width" select="20"/>
										</xsl:call-template-->
									</xsl:element>
								</xsl:if>
							</td>
						</tr>
					</xsl:for-each>
					<tfoot><tr><td colspan="10" style="background-color:{$BGCOLOR1}"><i>Items</i></td></tr></tfoot>
				</table>	
				<h5><a href="#top">Back to top</a></h5>
				<!-- if there is additional data (Question, ExternalQuestion, MeasurementUnitRef, 
						RangeCheck, Role, Alias), or (in ODM 1.3: Description) list it here -->
				<xsl:for-each select="ItemDef">
					<!-- -->
					<xsl:if test="Question | ExternalQuestion | MeasurementUnitRef | RangeCheck | Role | Alias | Description">
						<xsl:variable name="OID"><xsl:value-of select="@OID"/></xsl:variable>
						<h3><a name="{$OID}" id="{$OID}">Item: </a><font color="{$EMPH}"><xsl:value-of select="@Name"/></font></h3>

						<!-- ODM 1.3: Description element -->
						<xsl:if test="Description">
							<h4>Item Description:</h4>
							<table style="-fs-table-paginate: paginate;" border="{$TABLEBORDERSIZE}" cellpadding="{$PADDING}">
								<thead><tr>
									<td style="background-color:{$BGCOLOR1}">Language</td>
									<td style="background-color:{$BGCOLOR1}">Translated Text</td>
								</tr></thead>
								<xsl:for-each select="Description/TranslatedText">
									<tr>
										<td><xsl:value-of select="@xml:lang"/></td>
										<td><xsl:value-of select="."/></td>
									</tr>
								</xsl:for-each>
								<tfoot><tr><td colspan="2" style="background-color:{$BGCOLOR1}"><i>Item Description for Item <xsl:value-of select="@Name"/></i></td></tr></tfoot>
							</table>
						</xsl:if>
						<!-- there can be max. only 1 question, so it would have been better to use a template
							However in ODM 1.1 more than 1 question seems to have been allowed -->
						<!-- Question -->
						<xsl:if test="Question">
							<h4>Questions: </h4>
							<table style="-fs-table-paginate: paginate;" border="{$TABLEBORDERSIZE}" cellpadding="{$PADDING}">
								<thead><tr>
									<td style="background-color:{$BGCOLOR1}">Language</td>
									<td style="background-color:{$BGCOLOR1}">Translated Text</td>
								</tr></thead>
								<xsl:for-each select="Question/TranslatedText"><!-- there can be 0 or 1 questions -->
									<tr>
										<td><xsl:value-of select="./@xml:lang"/></td>
										<td><xsl:value-of select="."/></td>
									</tr>
								</xsl:for-each>
								<tfoot><tr><td colspan="2" style="background-color:{$BGCOLOR1}"><i>Questions for Item <xsl:value-of select="@Name"/></i></td></tr></tfoot>
							</table>
						</xsl:if>
						<!-- ExternalQuestion -->
						<!-- there can be max. only 1 external question, so it would have been better to use a template
							However in ODM 1.1 more than 1 question seems to have been allowed -->
						<xsl:if test="ExternalQuestion">
							<h4>External Questions:</h4>
							<table style="-fs-table-paginate: paginate;" border="{$TABLEBORDERSIZE}" cellpadding="{$PADDING}">
								<thead><tr>
									<td style="background-color:{$BGCOLOR1}">Dictionary</td>
									<td style="background-color:{$BGCOLOR1}">Version</td>
									<td style="background-color:{$BGCOLOR1}">Code</td>
								</tr></thead>
								<xsl:for-each select="ExternalQuestion">
									<tr>
										<td><xsl:value-of select="@Dictionary"/></td>
										<td><xsl:value-of select="@Version"/></td>
										<td><xsl:value-of select="@Code"/></td>
									</tr>
								</xsl:for-each>
								<tfoot><tr><td colspan="3" style="background-color:{$BGCOLOR1}"><i>External Questions for Item <xsl:value-of select="@Name"/></i></td></tr></tfoot>
							</table>
						</xsl:if>
						<!-- MeasurementUnitRef -->
						<xsl:if test="MeasurementUnitRef">
							<h4>Measurement Units:</h4>
							<table border="{$TABLEBORDERSIZE}" cellpadding="{$PADDING}">
								<tr><td style="background-color:{$BGCOLOR1}">Measurement Unit</td></tr>
								<xsl:for-each select="MeasurementUnitRef">
									<!-- 26.5.2009 - added link -->
									<xsl:variable name="XPATH">/*[name()='ODM']/*[name()='Study'][@OID='<xsl:value-of select="$STUDYOID"/>']/*[name()='BasicDefinitions']/*[name()='MeasurementUnit'][@OID='<xsl:value-of select="@MeasurementUnitOID"/>']</xsl:variable>
									<!--xsl:message>MeasurementUnit XPath = <xsl:value-of select="$XPATH"/></xsl:message-->
									<tr><td>
										<xsl:element name="a"><xsl:attribute name="href">find:<xsl:value-of select="$XPATH"/></xsl:attribute>
											<xsl:value-of select="@MeasurementUnitName"/>
										</xsl:element>
									</td></tr>
								</xsl:for-each>
							</table>
						</xsl:if>
						<!-- RangeCheck -->
						<xsl:if test="RangeCheck">
							<!-- First check whether ODM 1.2 or 1.3: the latter has a FormExpression subelement-->
							<xsl:variable name="ODMVERSION" select="//Results/@ODMVersion"/>
							<h4>Range Checks:</h4>
							<table style="-fs-table-paginate: paginate;" border="{$TABLEBORDERSIZE}" cellpadding="{$PADDING}">
								<thead><tr>
									<td style="background-color:{$BGCOLOR1}">Soft or Hard ?</td>
									<td style="background-color:{$BGCOLOR1}">Comparator</td>
									<td style="background-color:{$BGCOLOR1}">Check Values</td>
									<xsl:if test="$ODMVERSION = '1.3'"><td style="background-color:{$BGCOLOR1}">Formal Expressions</td></xsl:if>
									<td style="background-color:{$BGCOLOR1}">Measurement Unit</td>
									<td style="background-color:{$BGCOLOR1}">Error Messages and Languages</td>
								</tr></thead>
								<xsl:for-each select="RangeCheck">
									<tr>
										<td><xsl:value-of select="@SoftHard"/></td>
										<td><xsl:value-of select="@Comparator"/></td>
										<!-- Check values, make a table in the table if necessary -->
										<xsl:variable name="COUNT" select="count(CheckValue)"/>
										<xsl:choose>
											<xsl:when test="$COUNT &lt; 2">
												<td><xsl:value-of select="CheckValue"/></td>
											</xsl:when>
											<xsl:otherwise>
												<table border="{$TABLEBORDERSIZE}" cellpadding="{$PADDING}">
													<xsl:for-each select="CheckValue">
													<tr><td><xsl:value-of select="."/></td></tr>
													</xsl:for-each>
												</table>
											</xsl:otherwise>
										</xsl:choose>
										<!-- ODM 1.3: FormalExpressions: make a table within the table when applicable -->
										<xsl:if test="$ODMVERSION = '1.3'">
											<!-- make a cell-->
											<td>
												<!-- If there is at least one FormalExpression element, make a table within the table -->
												<xsl:if test="FormalExpression">
													<table border="{$TABLEBORDERSIZE}" cellpadding="{$PADDING}">
														<tr><td style="background-color:{$BGCOLOR1}">Context</td>
															<td style="background-color:{$BGCOLOR1}">Expression</td>
														</tr>
														<xsl:for-each select="FormalExpression">
															<tr>
																<td><xsl:value-of select="@Context"/></td>
																<td>
																	<xsl:call-template name="linebreak">
																		<xsl:with-param name="text"><xsl:value-of select="."/></xsl:with-param>
																	</xsl:call-template>
																</td>
															</tr>
														</xsl:for-each>
													</table>
												</xsl:if>
											</td>
										</xsl:if>
										<td><xsl:value-of select="MeasurementUnitRef/@MeasurementUnitOID"/></td>
										<td>
											<table border="{$TABLEBORDERSIZE}" cellpadding="{$PADDING}">
												<xsl:for-each select="ErrorMessage/TranslatedText"> <!-- there can be only 0 or 1 ErrorMessage -->
													<tr>
														<td><xsl:value-of select="."/></td>
														<td><font color="{$EMPH}">Language: <xsl:value-of select="./@xml:lang"/></font></td>
													</tr>
												</xsl:for-each>
											</table>					
										</td>
									</tr>								
								</xsl:for-each>
								<xsl:variable name="COLSPAN">
									<xsl:choose>
										<xsl:when test="$ODMVERSION = '1.3'">6</xsl:when>
										<xsl:otherwise>5</xsl:otherwise>
									</xsl:choose>
								</xsl:variable>
								<tfoot><tr><td colspan="{$COLSPAN}" style="background-color:{$BGCOLOR1}"><i>Range Checks for Item <xsl:value-of select="@Name"/></i></td></tr></tfoot>
							</table>
						</xsl:if>
						<!-- Roles -->
						<xsl:if test="Role">
							<h4>Roles:</h4>
							<table style="-fs-table-paginate: paginate;" border="{$TABLEBORDERSIZE}" cellpadding="{$PADDING}">
								<thead><tr><td style="background-color:{$BGCOLOR1}">Role</td></tr></thead>
								<xsl:for-each select="Role">
									<tr><td><xsl:value-of select="."/></td></tr>
								</xsl:for-each>
								<tfoot><tr><td colspan="1" style="background-color:{$BGCOLOR1}"><i>Roles for Item <xsl:value-of select="@Name"/></i></td></tr></tfoot>
							</table>
						</xsl:if>
						<!-- Aliases -->
						<xsl:if test="Alias">
							<h4>Aliases:</h4>
							<table style="-fs-table-paginate: paginate;" border="{$TABLEBORDERSIZE}" cellpadding="{$PADDING}">
								<thead><tr><td style="background-color:{$BGCOLOR1}">Alias Context</td><td style="background-color:{$BGCOLOR1}">Alias Name</td></tr></thead>
								<xsl:for-each select="Alias">
									<tr><td><xsl:value-of select="@Context"/></td><td><xsl:value-of select="@Name"/></td></tr>
								</xsl:for-each>
								<tfoot><tr><td colspan="2" style="background-color:{$BGCOLOR1}"><i>Aliases for Item <xsl:value-of select="@Name"/></i></td></tr></tfoot>
							</table>
						</xsl:if>
						<h5><a href="#top">Back to top</a></h5>
					</xsl:if> <!-- end of subelements of ItemDef -->
				</xsl:for-each>	
			</xsl:when>  <!-- end of ItemDef -->
			
			<!-- Codelists -->
			<xsl:when test="@Type='CodeList'">
				<h2>Codelists - Study <b style="color:{$TITLE_EMPH}"><xsl:value-of select="@StudyOID"/></b> 
				- MetaData Version <b style="color:{$TITLE_EMPH}"><xsl:value-of select="@MetaDataVersionOID"/></b></h2><br/>
				<table style="-fs-table-paginate: paginate;" border="{$TABLEBORDERSIZE}" cellpadding="{$PADDING}">
					<thead><tr>
						<td style="background-color:{$BGCOLOR1}">Name</td>
						<td style="background-color:{$BGCOLOR1}">OID</td>
						<td style="background-color:{$BGCOLOR1}">Data Type</td>
						<td style="background-color:{$BGCOLOR1}">SAS Format Name</td>
						<td style="background-color:{$BGCOLOR1}">External ?</td>
					</tr></thead>
					<xsl:for-each select="CodeList">
						<xsl:variable name="OID"><xsl:value-of select="@OID"/></xsl:variable>
						<tr>
							<td>
								<xsl:choose>
									<xsl:when test="CodeListItem | ExternalCodeList | EnumeratedItem">
										<a href="#{$OID}"><xsl:value-of select="@Name"/></a>
									</xsl:when>
									<xsl:otherwise>
										<xsl:call-template name="mysplit">
											<xsl:with-param name="input" select="@Name"/>
											<xsl:with-param name="width" select="40"/>
										</xsl:call-template>
									</xsl:otherwise>
								</xsl:choose>
							</td>
							<td><xsl:value-of select="@OID"/></td>
							<td><xsl:value-of select="@DataType"/></td>
							<td><xsl:value-of select="@SASFormatName"/></td>
							<td>
								<xsl:choose>
									<xsl:when test="ExternalCodeList">Yes</xsl:when>
									<xsl:otherwise>No</xsl:otherwise>
								</xsl:choose>
							</td>
						</tr>
					</xsl:for-each>
					<tfoot><tr><td colspan="5" style="background-color:{$BGCOLOR1}"><i>Codelists</i></td></tr></tfoot>
				</table>
				<h5><a href="#top">Back to top</a></h5>
				<!-- if extra information is available for a CodeList, make an extra table -->
				<xsl:for-each select="CodeList">
					<xsl:if test="CodeListItem | ExternalCodeList | EnumeratedItem">
						<xsl:variable name="OID" select="@OID"/>
						<h3><a name="{$OID}" id="{$OID}">CodeList: </a><xsl:value-of select="@Name"/></h3>
						<xsl:choose>
							<xsl:when test="ExternalCodeList">
								<xsl:apply-templates select="ExternalCodeList"/>
							</xsl:when>
							<!-- ODM 1.3: EnumeratedItem (cannot be mixed with CodeListItem) -->
							<!-- TODO: if there is at least one EnumeratedItem/Alias: extra column -->
							<xsl:when test="EnumeratedItem">
								<xsl:variable name="COUNTALIAS" select="count(EnumeratedItem/Alias)"/>
								<table style="-fs-table-paginate: paginate;" border="{$TABLEBORDERSIZE}" cellpadding="{$PADDING}">
									<thead><tr>
										<td style="background-color:{$BGCOLOR1}">Coded Value</td>
										<td style="background-color:{$BGCOLOR1}">Rank</td>
										<xsl:if test="$COUNTALIAS gt 0"><td style="background-color:{$BGCOLOR1}">Aliases</td></xsl:if>
									</tr></thead>
									<xsl:for-each select="EnumeratedItem">
										<tr><td><xsl:value-of select="@CodedValue"/></td>
											<td><xsl:value-of select="@Rank"/></td>
											<xsl:if test="Alias">
												<td><table><xsl:for-each select="Alias">
													<tr><td>Context: <xsl:value-of select="@Context"/></td>
													<td>Name: <xsl:value-of select="@Name"/></td></tr>
												</xsl:for-each></table></td>
											</xsl:if>
										</tr>
									</xsl:for-each>
									<tfoot><tr>
										<xsl:choose>
											<xsl:when test="$COUNTALIAS gt 0"><td colspan="3" style="background-color:{$BGCOLOR1}"><i>Coded values for Codelist <xsl:value-of select="@Name"/></i></td></xsl:when>
											<xsl:otherwise><td colspan="2" style="background-color:{$BGCOLOR1}"><i>Coded values for Codelist <xsl:value-of select="@Name"/></i></td></xsl:otherwise>
										</xsl:choose>
									</tr></tfoot>
								</table>
							</xsl:when>
							<!-- CodeListItems -->
							<xsl:otherwise>
								<!-- First check whether ODM 1.2 or 1.3: the latter has a 'Rank' attribute -->
								<!-- TODO: if there is at least one CodeListItem/Alias: extra column -->
								<xsl:variable name="ODMVERSION" select="//Results/@ODMVersion"/>
								<!-- for ODM 1.3.1 -->
								<xsl:variable name="COUNTALIAS" select="count(CodeListItem/Alias)"/>
								<table style="-fs-table-paginate: paginate;" border="{$TABLEBORDERSIZE}" cellpadding="{$PADDING}">
									<thead><tr>
										<td style="background-color:{$BGCOLOR1}">Coded Value</td>
										<td style="background-color:{$BGCOLOR1}">
											<!-- 27.12.2010 changed -->
											<xsl:choose>
												<!-- first case is when there is no xml:lang present -->
												<xsl:when test="count(CodeListItem/Decode/TranslatedText[@xml:lang]) = 0">Decoded Value</xsl:when>
												<xsl:otherwise>Decoded Value and Language</xsl:otherwise>
											</xsl:choose>
										</td>
										<xsl:if test="$ODMVERSION = '1.3'"><td style="background-color:{$BGCOLOR1}">Rank</td></xsl:if>
										<xsl:if test="$COUNTALIAS gt 0"><td style="background-color:{$BGCOLOR1}">Aliases</td></xsl:if>
									</tr></thead>
									<xsl:for-each select="CodeListItem">
										<tr>
											<td><xsl:value-of select="@CodedValue"/></td>
											<td>
												<!-- 27.12.2010 changed -->
												<xsl:choose>
													<xsl:when test="Decode/TranslatedText[@xml:lang] or count(Decode/TranslatedText) gt 1">
														<table border="1" cellpadding="{$PADDING}">
															<xsl:for-each select="Decode/TranslatedText">
																<tr>
																	<td>
																		<xsl:call-template name="mysplit">
																			<xsl:with-param name="input" select="."/>
																			<xsl:with-param name="width" select="40"/>
																		</xsl:call-template>
																	</td>
																	<td><font color="{$EMPH}">Language: <xsl:value-of select="@xml:lang"/></font></td>
																</tr>
															</xsl:for-each>
														</table>	
													</xsl:when>
													<xsl:otherwise>
														<xsl:call-template name="mysplit">
															<xsl:with-param name="input"><xsl:value-of select="Decode/TranslatedText"/></xsl:with-param>
															<xsl:with-param name="width" select="40"/>
														</xsl:call-template>
													</xsl:otherwise>
												</xsl:choose>			
											</td>
											<xsl:if test="$ODMVERSION = '1.3'"><td><xsl:value-of select="@Rank"/></td></xsl:if>
											<xsl:if test="Alias">
												<td><table><xsl:for-each select="Alias">
													<tr><td>Context: <xsl:value-of select="@Context"/></td>
													<td>Name: <xsl:value-of select="@Name"/></td></tr>
												</xsl:for-each></table></td>
											</xsl:if>
										</tr>
									</xsl:for-each>
									<xsl:variable name="COLSPAN">
										<xsl:choose>
											<xsl:when test="$ODMVERSION = '1.3' and $COUNTALIAS = 0">3</xsl:when>
											<xsl:when test="$ODMVERSION = '1.3' and $COUNTALIAS gt 0">4</xsl:when>
											<xsl:otherwise>2</xsl:otherwise>
										</xsl:choose>
									</xsl:variable>
									<tfoot><tr><td colspan="{$COLSPAN}" style="background-color:{$BGCOLOR1}"><i>Coded values for Codelist <xsl:value-of select="@Name"/></i></td></tr></tfoot>
								</table>
							</xsl:otherwise>
						</xsl:choose>
					</xsl:if>
					<!-- Aliases -->
					<xsl:if test="Alias">
						<h4>Aliases:</h4>
						<table style="-fs-table-paginate: paginate;" border="{$TABLEBORDERSIZE}" cellpadding="{$PADDING}">
							<thead><tr><td style="background-color:{$BGCOLOR1}">Alias Context</td><td style="background-color:{$BGCOLOR1}">Alias Name</td></tr></thead>
							<xsl:for-each select="Alias">
								<tr><td><xsl:value-of select="@Context"/></td><td><xsl:value-of select="@Name"/></td></tr>
							</xsl:for-each>
							<tfoot><tr><td colspan="2" style="background-color:{$BGCOLOR1}"><i>Aliases for CodeList <xsl:value-of select="@Name"/></i></td></tr></tfoot>
						</table>
					</xsl:if>
					<h5><a href="#top">Back to top</a></h5>
				</xsl:for-each>
			</xsl:when>
			
			<!-- ImputationMethod -->
			<xsl:when test="@Type='ImputationMethod'">
				<h2>Imputation Methods - Study <b style="color:{$TITLE_EMPH}"><xsl:value-of select="@StudyOID"/></b> 
				- MetaData Version <b style="color:{$TITLE_EMPH}"><xsl:value-of select="@MetaDataVersionOID"/></b></h2>
				<table style="-fs-table-paginate: paginate;" border="{$TABLEBORDERSIZE}" cellpadding="{$PADDING}">
					<thead><tr>
						<td style="background-color:{$BGCOLOR1}">OID</td>
						<td style="background-color:{$BGCOLOR1}">Text</td>
					</tr></thead>
					<xsl:for-each select="ImputationMethod">
						<tr>
							<td><xsl:value-of select="@OID"/></td>
							<td><xsl:value-of select="."/></td>
						</tr>
					</xsl:for-each>
					<tfoot><tr><td colspan="2" style="background-color:{$BGCOLOR1}"><i>Imputation Methods</i></td></tr></tfoot>
				</table>
				<h5><a href="#top">Back to top</a></h5>
			</xsl:when>
			
			<!-- Presentation -->
			<xsl:when test="@Type='Presentation'">
				<h2>Presentations - Study <b style="color:{$TITLE_EMPH}"><xsl:value-of select="@StudyOID"/></b> 
				- MetaData Version <b style="color:{$TITLE_EMPH}"><xsl:value-of select="@MetaDataVersionOID"/></b></h2><br/>
				<table style="-fs-table-paginate: paginate;" border="{$TABLEBORDERSIZE}" cellpadding="{$PADDING}">
					<thead><tr bgcolor="{$BGCOLOR1}">
						<td style="background-color:{$BGCOLOR1}">OID</td>
						<td style="background-color:{$BGCOLOR1}">Language</td>
						<td style="background-color:{$BGCOLOR1}">Text</td>
					</tr></thead>
					<xsl:for-each select="Presentation">
						<tr>
							<td><xsl:value-of select="@OID"/></td>
							<td><xsl:value-of select="@xml:lang"/></td>
							<td><xsl:value-of select="."/></td>
						</tr>
					</xsl:for-each>
					<tfoot><tr><td colspan="3" style="background-color:{$BGCOLOR1}"><i>Presentations</i></td></tr></tfoot>
				</table>
				<h5><a href="#top">Back to top</a></h5>
			</xsl:when>
			
			<!-- New for ODM 1.3 ConditionDef -->
			<xsl:when test="@Type='ConditionDef'">
				<h2>Condition Definitions - Study <b style="color:{$TITLE_EMPH}"><xsl:value-of select="@StudyOID"/></b> 
				- MetaData Version <b style="color:{$TITLE_EMPH}"><xsl:value-of select="@MetaDataVersionOID"/></b></h2><br/>
				<table style="-fs-table-paginate: paginate;" border="{$TABLEBORDERSIZE}" cellpadding="{$PADDING}">
					<thead><tr bgcolor="{$BGCOLOR1}">
						<td style="background-color:{$BGCOLOR1}">Name</td>
						<td style="background-color:{$BGCOLOR1}">OID</td>
					</tr></thead>
					<xsl:for-each select="ConditionDef">
						<xsl:variable name="OID"><xsl:value-of select="@OID"/></xsl:variable>
						<tr>
							<td><a href="#{$OID}"><xsl:value-of select="@Name"/></a></td>
							<td><xsl:value-of select="@OID"/></td>
						</tr>
					</xsl:for-each>
					<tfoot><tr><td colspan="2" style="background-color:{$BGCOLOR1}"><i>Condition Definitions</i></td></tr></tfoot>
				</table>
				<h5><a href="#top">Back to top</a></h5>
				<!-- now make a separate table for each ConditionDef giving the details -->
				<xsl:for-each select="ConditionDef">
					<xsl:variable name="OID" select="@OID"/>
					<h3><a name="{$OID}" id="{$OID}">Condition Definition: </a><font color="{$EMPH}"><xsl:value-of select="@Name"/></font></h3>
					<!-- remark that Description (exactly 1) is mandatory -->
					<h4>Description:</h4>
					<table style="-fs-table-paginate: paginate;" border="{$TABLEBORDERSIZE}" cellpadding="{$PADDING}">
						<thead><tr>
							<td style="background-color:{$BGCOLOR1}">Language</td>
							<td style="background-color:{$BGCOLOR1}">Description</td>
						</tr></thead>
						<xsl:for-each select="Description/TranslatedText">
							<tr>
								<td><xsl:value-of select="@xml:lang"/></td>
								<td><xsl:value-of select="."/></td>
							</tr>
						</xsl:for-each>
						<tfoot><tr><td colspan="2" style="background-color:{$BGCOLOR1}"><i>Condition Definition for Condition: <xsl:value-of select="@Name"/></i></td></tr></tfoot>
					</table>
					<!-- remark that FormalExpression is optional -->
					<xsl:if test="FormalExpression">
						<h4>Formal expressions:</h4>
						<table style="-fs-table-paginate: paginate;" border="{$TABLEBORDERSIZE}" cellpadding="{$PADDING}">
							<thead><tr>
								<td style="background-color:{$BGCOLOR1}">Context</td>
								<td style="background-color:{$BGCOLOR1}">Expression</td>
							</tr></thead>
							<xsl:for-each select="FormalExpression">
								<tr>
									<td><xsl:value-of select="@Context"/></td>
									<td>
										<xsl:call-template name="linebreak">
											<xsl:with-param name="text"><xsl:value-of select="."/></xsl:with-param>
										</xsl:call-template>
									</td>
								</tr>
							</xsl:for-each>
							<tfoot><tr><td colspan="2" style="background-color:{$BGCOLOR1}"><i>Formal Expressions for Condition: <xsl:value-of select="@Name"/></i></td></tr></tfoot>
						</table>
					</xsl:if>
					<xsl:if test="./Alias and $ODMVERSION='1.3'"><!-- though only present for (included) ODM 1.3.1 -->
						<!-- Aliases -->
						<h4>Aliases:</h4>
						<table style="-fs-table-paginate: paginate;" border="{$TABLEBORDERSIZE}" cellpadding="{$PADDING}">
							<thead><tr><td style="background-color:{$BGCOLOR1}">Alias Context</td><td style="background-color:{$BGCOLOR1}">Alias Name</td></tr></thead>
							<xsl:for-each select="Alias">
								<tr><td><xsl:value-of select="@Context"/></td><td><xsl:value-of select="@Name"/></td></tr>
							</xsl:for-each>
							<tfoot><tr><td colspan="2" style="background-color:{$BGCOLOR1}"><i>Aliases for Condition <xsl:value-of select="@Name"/></i></td></tr></tfoot>
						</table>
					</xsl:if>
					<h5><a href="#top">Back to top</a></h5>
				</xsl:for-each>
			</xsl:when>

			
			<!-- New for ODM 1.3 MethodDef -->
			<xsl:when test="@Type='MethodDef'">
				<h2>Method Definitions - Study <b style="color:{$TITLE_EMPH}"><xsl:value-of select="@StudyOID"/></b> 
				- MetaData Version <b style="color:{$TITLE_EMPH}"><xsl:value-of select="@MetaDataVersionOID"/></b></h2><br/>
				<table style="-fs-table-paginate: paginate;" border="{$TABLEBORDERSIZE}" cellpadding="{$PADDING}">
					<thead><tr bgcolor="{$BGCOLOR1}">
						<td style="background-color:{$BGCOLOR1}">Name</td>
						<td style="background-color:{$BGCOLOR1}">OID</td>
						<td style="background-color:{$BGCOLOR1}">Type</td>
					</tr></thead>
					<xsl:for-each select="MethodDef">
						<xsl:variable name="OID"><xsl:value-of select="@OID"/></xsl:variable>
						<tr>
							<td><a href="#{$OID}"><xsl:value-of select="@Name"/></a></td>
							<td><xsl:value-of select="@OID"/></td>
							<td><xsl:value-of select="@Type"/></td>
						</tr>
					</xsl:for-each>
					<tfoot><tr><td colspan="3" style="background-color:{$BGCOLOR1}"><i>Method Definitions</i></td></tr></tfoot>
				</table>
				<h5><a href="#top">Back to top</a></h5>
				<!-- now make a separate table for each MethodDef giving the details -->
				<xsl:for-each select="MethodDef">
					<xsl:variable name="OID" select="@OID"/>
					<h3><a name="{$OID}" id="{$OID}">Method Definition: </a><font color="{$EMPH}"><xsl:value-of select="@Name"/></font></h3>
					<!-- remark that Description (exactly 1) is mandatory -->
					<h4>Description:</h4>
					<table style="-fs-table-paginate: paginate;" border="{$TABLEBORDERSIZE}" cellpadding="{$PADDING}">
						<thead><tr>
							<td style="background-color:{$BGCOLOR1}">Language</td>
							<td style="background-color:{$BGCOLOR1}">Translated Text</td>
						</tr></thead>
						<xsl:for-each select="Description/TranslatedText">
							<tr>
								<td><xsl:value-of select="@xml:lang"/></td>
								<td><xsl:value-of select="."/></td>
							</tr>
						</xsl:for-each>
						<tfoot><tr><td colspan="2" style="background-color:{$BGCOLOR1}"><i>Method Definition for Method <xsl:value-of select="@Name"/></i></td></tr></tfoot>
					</table>
					<!-- remark that FormalExpression is optional -->
					<xsl:if test="FormalExpression">
						<p><b>Formal expressions:</b></p>
						<table style="-fs-table-paginate: paginate;" border="{$TABLEBORDERSIZE}" cellpadding="{$PADDING}">
							<thead><tr>
								<td style="background-color:{$BGCOLOR1}">Context</td>
								<td style="background-color:{$BGCOLOR1}">Expression</td>
							</tr></thead>
							<xsl:for-each select="FormalExpression">
								<tr>
									<td><xsl:value-of select="@Context"/></td>
									<td>
										<xsl:call-template name="linebreak">
											<xsl:with-param name="text"><xsl:value-of select="."/></xsl:with-param>
										</xsl:call-template>
									</td>
								</tr>
							</xsl:for-each>
							<tfoot><tr><td colspan="2" style="background-color:{$BGCOLOR1}"><i>Formal Expressions</i></td></tr></tfoot>
						</table>
					</xsl:if>
					<xsl:if test="./Alias and $ODMVERSION='1.3'"><!-- though only present for (included) ODM 1.3.1 -->
						<!-- Aliases -->
						<h4>Aliases:</h4>
						<table style="-fs-table-paginate: paginate;" border="{$TABLEBORDERSIZE}" cellpadding="{$PADDING}">
							<thead><tr><td style="background-color:{$BGCOLOR1}">Alias Context</td><td style="background-color:{$BGCOLOR1}">Alias Name</td></tr></thead>
							<xsl:for-each select="Alias">
								<tr><td><xsl:value-of select="@Context"/></td><td><xsl:value-of select="@Name"/></td></tr>
							</xsl:for-each>
							<tfoot><tr><td colspan="2" style="background-color:{$BGCOLOR1}"><i>Aliases for Method <xsl:value-of select="@Name"/></i></td></tr></tfoot>
						</table>
					</xsl:if>
					<h5><a href="#top">Back to top</a></h5>
				</xsl:for-each>
			</xsl:when>
			
			<!-- Users -->
			<!-- TODO: split this table as not fitting into PDF page (even when landscape orientation) -->
			<xsl:when test="@Type='User'">
				<xsl:variable name="STUDYOID" select="@StudyOID"/>
				<h2>Users - Study <b style="color:{$TITLE_EMPH}"><xsl:value-of select="@StudyOID"/></b></h2><br/>
				<!-- TODO in case of HTML, one can use a width of 2000 px -->
				<table style="-fs-table-paginate: paginate;" border="{$TABLEBORDERSIZE}" width="200%" cellpadding="{$PADDING}"><!-- Set minimum width to 2000 pixels, note that using % does not work well -->
					<thead><tr>
						<td style="background-color:{$BGCOLOR1}">OID</td>
						<td style="background-color:{$BGCOLOR1}">User<br/>Type</td>
						<td style="background-color:{$BGCOLOR1}">Login<br/>Name</td>
						<td style="background-color:{$BGCOLOR1}">Full<br/>Name</td>
						<td style="background-color:{$BGCOLOR1}">First<br/>Name</td>
						<td style="background-color:{$BGCOLOR1}">Last<br/>Name</td>
						<td style="background-color:{$BGCOLOR1}">Organization</td>
						<td style="background-color:{$BGCOLOR1}">Address</td>
						<td style="background-color:{$BGCOLOR1}">E-mail</td>
						<td style="background-color:{$BGCOLOR1}">Picture</td>
						<td style="background-color:{$BGCOLOR1}">Pager</td>
						<td style="background-color:{$BGCOLOR1}">Fax</td>
						<td style="background-color:{$BGCOLOR1}">Phone</td>
						<td style="background-color:{$BGCOLOR1}">Location</td>
						<td style="background-color:{$BGCOLOR1}">Certificate</td>
					</tr></thead>
					<xsl:for-each select="User">
						<tr>
							<td><xsl:value-of select="@OID"/></td>
							<td><xsl:value-of select="@UserType"/></td>
							<td><xsl:value-of select="LoginName"/></td>
							<td><xsl:value-of select="FullName"/></td>
							<td><xsl:value-of select="FirstName"/></td>
							<td><xsl:value-of select="LastName"/></td>
							<td><xsl:value-of select="Organization"/></td>
							<td><!-- there can be more than 1 address -->
								<xsl:variable name="COUNT" select="count(Address)"/>
								<xsl:choose>
									<xsl:when test="$COUNT &lt; 2">
										<xsl:call-template name="mysplit">
											<xsl:with-param name="input" select="Address"/>
											<xsl:with-param name="width" select="20"/>
										</xsl:call-template>
										<!--xsl:value-of select="Address"/-->
									</xsl:when>
									<xsl:otherwise>
										<table border="1" cellpadding="{$PADDING}">
											<xsl:for-each select="Address">
												<tr><td>
													<xsl:call-template name="mysplit">
														<xsl:with-param name="input" select="."/>
														<xsl:with-param name="width" select="30"/>
													</xsl:call-template>
												</td></tr>
											</xsl:for-each>
										</table>
									</xsl:otherwise>
								</xsl:choose>
							</td>
							<td><!-- there can be more than 1 e-mail -->
								<xsl:variable name="COUNT" select="count(Email)"/>
								<xsl:choose>
									<xsl:when test="$COUNT &lt; 2"><xsl:value-of select="Email"/></xsl:when>
									<xsl:otherwise>
										<table border="1" cellpadding="{$PADDING}">
											<xsl:for-each select="Email">
												<tr><td><xsl:value-of select="."/></td></tr>
											</xsl:for-each>
										</table>
									</xsl:otherwise>
								</xsl:choose>
							</td>
							<td><xsl:value-of select="Picture"/></td><!-- there can be only 1 Picture -->
							<td><xsl:value-of select="Pager"/></td><!-- there can be only 1 Pager -->
							<td><!-- there can be more than 1 Fax -->
								<xsl:variable name="COUNT" select="count(Fax)"/>
								<xsl:choose>
									<xsl:when test="$COUNT &lt; 2"><xsl:value-of select="Fax"/></xsl:when>
									<xsl:otherwise>
										<table border="1" cellpadding="{$PADDING}">
											<xsl:for-each select="Fax">
												<tr><td><xsl:value-of select="."/></td></tr>
											</xsl:for-each>
										</table>
									</xsl:otherwise>
								</xsl:choose>
							</td>
							<td><!-- there can be more than 1 Phone -->
								<xsl:variable name="COUNT" select="count(Phone)"/>
								<xsl:choose>
									<xsl:when test="$COUNT &lt; 2"><xsl:value-of select="Phone"/></xsl:when>
									<xsl:otherwise>
										<table border="1" cellpadding="{$PADDING}">
											<xsl:for-each select="Phone">
												<tr><td><xsl:value-of select="."/></td></tr>
											</xsl:for-each>
										</table>
									</xsl:otherwise>
								</xsl:choose>
							</td>
							<td><!-- there can be more than 1 LocationRef -->
								<xsl:variable name="COUNT" select="count(LocationRef)"/>
								<xsl:choose>
									<xsl:when test="$COUNT &lt; 2">
										<!-- and add hyperlink (always) -->
										<xsl:element name="a">
											<xsl:attribute name="href">find:/*[name()='ODM']/*[name()='AdminData'][@StudyOID='<xsl:value-of select="$STUDYOID"/>']/*[name()='Location'][@OID='<xsl:value-of select="LocationRef/@LocationOID"/>']</xsl:attribute>
											<xsl:value-of select="LocationRef/@LocationName"/>
										</xsl:element>
									</xsl:when>
									<xsl:otherwise>
										<table border="1" cellpadding="{$PADDING}">
											<xsl:for-each select="LocationRef">
												<tr><td>
													<!--xsl:value-of select="@LocationName"/-->
													<xsl:element name="a">
														<xsl:attribute name="href">find:/*[name()='ODM']/*[name()='AdminData'][@StudyOID='<xsl:value-of select="$STUDYOID"/>']/*[name()='Location'][@OID='<xsl:value-of select="@LocationOID"/>']</xsl:attribute>
														<xsl:value-of select="@LocationName"/>
													</xsl:element>
												</td></tr>
											</xsl:for-each>
										</table>
									</xsl:otherwise>
								</xsl:choose>
							</td>
							<td><!-- there can be more than 1 certificate -->
								<xsl:variable name="COUNT" select="count(Certificate)"/>
								<xsl:choose>
									<xsl:when test="$COUNT &lt; 2"><xsl:value-of select="Certificate"/></xsl:when>
									<xsl:otherwise>
										<table border="1" cellpadding="{$PADDING}">
											<xsl:for-each select="Certificate">
												<tr><td><xsl:value-of select="."/></td></tr>
											</xsl:for-each>
										</table>
									</xsl:otherwise>
								</xsl:choose>
							</td>
						</tr>
					</xsl:for-each>
					<tfoot><tr><td colspan="15" style="background-color:{$BGCOLOR1}"><i>Users</i></td></tr></tfoot>
				</table>
				<h5><a href="#top">Back to top</a></h5>
			</xsl:when>
			
			<!-- Location data -->
			<xsl:when test="@Type='Location'">
				<h2>Locations - Study <b style="color:{$TITLE_EMPH}"><xsl:value-of select="@StudyOID"/></b></h2><br/>
				<table style="-fs-table-paginate: paginate;" border="{$TABLEBORDERSIZE}" cellpadding="{$PADDING}">
					<thead><tr>
						<td style="background-color:{$BGCOLOR1}">Name</td>
						<td style="background-color:{$BGCOLOR1}">OID</td>
						<td style="background-color:{$BGCOLOR1}">Location Type</td>
					</tr></thead>
					<xsl:for-each select="Location">
						<xsl:variable name="OID"><xsl:value-of select="@OID"/></xsl:variable>
						<tr>
							<td><a href="#{$OID}"><xsl:value-of select="@Name"/></a></td>
							<td><xsl:value-of select="@OID"/></td>
							<td><xsl:value-of select="@LocationType"/></td>
						</tr>
					</xsl:for-each>
					<tfoot><tr><td colspan="3" style="background-color:{$BGCOLOR1}"><i>Locations</i></td></tr></tfoot>
				</table>
				<h5><a href="#top">Back to top</a></h5>
				<!-- make extra tables for more details -->
				<xsl:for-each select="Location">
					<xsl:variable name="OID"><xsl:value-of select="@OID"/></xsl:variable>
					<h3><a name="{$OID}" id="{$OID}">Location: </a><font color="{$EMPH}"><xsl:value-of select="@Name"/></font></h3>
					<h3>Metadata version references</h3>
					<table style="-fs-table-paginate: paginate;" border="{$TABLEBORDERSIZE}" cellpadding="{$PADDING}">
						<thead><tr>
							<td style="background-color:{$BGCOLOR1}">Study OID</td>
							<td style="background-color:{$BGCOLOR1}">Metadata Version OID</td>
							<td style="background-color:{$BGCOLOR1}">Metadata Version Name</td>
							<td style="background-color:{$BGCOLOR1}">Effective Date</td>
						</tr></thead>
						<xsl:for-each select="MetaDataVersionRef">
							<tr>
								<td><xsl:value-of select="@StudyOID"/></td>
								<td><xsl:value-of select="@MetaDataVersionOID"/></td>
								<td><xsl:value-of select="@MetaDataVersionName"/></td>
								<td>
									<xsl:choose>
										<xsl:when test="$DATETIMESTAMPASTEXT = 'true'">
											<xsl:call-template name="Date2String">
												<xsl:with-param name="date" select="@EffectiveDate"/>
											</xsl:call-template>
										</xsl:when>
										<xsl:otherwise>
											<xsl:value-of select="@EffectiveDate"/>
										</xsl:otherwise>
									</xsl:choose>
								</td>
							</tr>
						</xsl:for-each>
						<tfoot><tr><td colspan="4" style="background-color:{$BGCOLOR1}"><i>Metadata version references for Location <xsl:value-of select="@Name"/></i></td></tr></tfoot>
					</table>
					<h5><a href="#top">Back to top</a></h5>
				</xsl:for-each>
			</xsl:when>
			<!-- SignatureDef data -->
			<xsl:when test="@Type='SignatureDef'">
				<h2>Signature Definitions - Study <b style="color:{$TITLE_EMPH}"><xsl:value-of select="@StudyOID"/></b></h2><br/>
				<table style="-fs-table-paginate: paginate;" border="{$TABLEBORDERSIZE}" cellpadding="{$PADDING}">
					<thead><tr>
						<td style="background-color:{$BGCOLOR1}">OID</td>
						<td style="background-color:{$BGCOLOR1}">Methodology</td>
						<td style="background-color:{$BGCOLOR1}">Meaning</td>
						<td style="background-color:{$BGCOLOR1}">Legal Reason</td>
					</tr></thead>
					<xsl:for-each select="SignatureDef">
						<tr>
							<td><xsl:value-of select="@OID"/></td>
							<td><xsl:value-of select="@Methodology"/></td>
							<td><xsl:value-of select="Meaning"/></td>
							<td><xsl:value-of select="LegalReason"/></td>
						</tr>
					</xsl:for-each>
					<tfoot><tr><td colspan="4" style="background-color:{$BGCOLOR1}"><i>Signature Definitions</i></td></tr></tfoot>
				</table>
				<h5><a href="#top">Back to top</a></h5>
			</xsl:when>
			<!-- ReferenceData - ItemGroupData -->
			<xsl:when test="@Type='ReferenceData'">
				<h2>Reference Data - Study <b style="color:{$TITLE_EMPH}"><xsl:value-of select="@StudyOID"/></b> - 
				<br/>MetaDataVersion <b style="color:{$TITLE_EMPH}"><xsl:value-of select="@MetaDataVersionOID"/></b></h2><br/>
				<!--xsl:for-each select="ItemGroupData"-->
				<xsl:choose>
					<xsl:when test="$ITEMGROUPPRESENTATION = 0">
						<xsl:apply-templates select="ItemGroupData"/>
					</xsl:when>
					<xsl:when test="$ITEMGROUPPRESENTATION = 1">
						<xsl:call-template name="ItemGroupDataHorizontal">
							<xsl:with-param name="ISREFERENCEDATA" select="1"/>
						</xsl:call-template>
					</xsl:when>
				</xsl:choose>
				<!--/xsl:for-each-->	
			</xsl:when>
			<!-- ClinicalData - organized per ItemGroup -->
			<xsl:when test="@Type='ClinicalData'">
				<xsl:call-template name="ShowSelections"/><!-- 11.8.2009 -->
				<h2>Clinical Data - Study <b style="color:{$TITLE_EMPH}"><xsl:value-of select="@StudyOID"/></b> 
				<br/>MetaDataVersion <b style="color:{$TITLE_EMPH}"><xsl:value-of select="@MetaDataVersionOID"/></b>
				<!--xsl:message>$ITEMGROUPPRESENTATION = <xsl:value-of select="$ITEMGROUPPRESENTATION"/></xsl:message-->
				<xsl:if test="$ITEMGROUPPRESENTATION != 2">
					<xsl:variable name="ITEMGROUPNAME">
						<!-- if possible give the ItemGroup Name instead of the OID -->
						<xsl:choose>
							<xsl:when test="ItemGroupData[1]/@ItemGroupName != ''">
								<xsl:value-of select="ItemGroupData[1]/@ItemGroupName"/>
							</xsl:when>
							<xsl:otherwise>
								<xsl:value-of select="ItemGroupData[1]/@ItemGroupOID"/>
							</xsl:otherwise>
						</xsl:choose>
					</xsl:variable>
					<xsl:variable name="STUDYOID" select="@StudyOID"/>
					<xsl:variable name="METADATAVERSIONOID" select="@MetaDataVersionOID"/>
					<br/>Item Group 
					
						<b style="color:{$TITLE_EMPH}">
							<xsl:choose>
								<xsl:when test="$ADDHYPERLINKSTOMETADATA = 'true'">
									<xsl:element name="a">
										<xsl:attribute name="href">find:/*[name()='ODM']/*[name()='Study'][@OID='<xsl:value-of select="$STUDYOID"/>']/*[name()='MetaDataVersion'][@OID='<xsl:value-of select="$METADATAVERSIONOID"/>']/*[name()='ItemGroupDef'][@OID='<xsl:value-of select="ItemGroupData[1]/@ItemGroupOID"/>']</xsl:attribute>
										<xsl:value-of select="$ITEMGROUPNAME"/>
									</xsl:element>
								</xsl:when>
								<xsl:otherwise><xsl:value-of select="$ITEMGROUPNAME"/></xsl:otherwise>
							</xsl:choose>
							
						</b>
				</xsl:if>
				</h2><br/>
				<!--xsl:message>$ITEMGROUPPRESENTATION = <xsl:value-of select="$ITEMGROUPPRESENTATION"/></xsl:message-->
				<xsl:if test="$ITEMGROUPPRESENTATION = 0"><xsl:apply-templates select="ItemGroupData"/></xsl:if>
				<!-- case that all data is shown in one large table (over subjects) -->
				<xsl:if test="$ITEMGROUPPRESENTATION = 1">
					<xsl:message>Showing ItemData in one large table</xsl:message>
					<xsl:variable name="ITEMGROUPNAME">
						<!-- if possible give the ItemGroup Name instead of the OID -->
						<xsl:choose>
							<xsl:when test="ItemGroupData[1]/@ItemGroupName != ''">
								<xsl:value-of select="ItemGroupData[1]/@ItemGroupName"/>
							</xsl:when>
							<xsl:otherwise>
								<xsl:value-of select="ItemGroupData[1]/@ItemGroupOID"/>
							</xsl:otherwise>
						</xsl:choose>
					</xsl:variable>
					<xsl:call-template name="ItemGroupDataHorizontal">
						<xsl:with-param name="ITEMGROUPNAME" select="$ITEMGROUPNAME"/>
					</xsl:call-template>
				</xsl:if>
				<!-- ======================================= -->
				<!-- when working with clinical data subsets -->
				<!-- ======================================= -->
				<xsl:if test="$ITEMGROUPPRESENTATION = 2">
					<xsl:message>Sorting ItemGroups</xsl:message>
					<!-- we have a bunch of itemgroups, from various sources
						sort them by ItemGroupName, then by ItemGroupRepeatKey -->
					<xsl:variable name="sorted-itemgroups">
						<xsl:for-each select="ItemGroupData">							
							<xsl:sort select="@ItemGroupOID"/>
							<xsl:sort select="@ItemGroupRepeatKey" data-type="number" order="ascending"/>								
							<xsl:copy-of select="."/>
						</xsl:for-each>
					</xsl:variable>		
					<!-- find the unique ones -->						
					<!--xsl:variable name="unique-itemgroups" select="$sorted-itemgroups/ItemGroupData[not(@ItemGroupOID=preceding-sibling::ItemGroupData/@ItemGroupOID)]"/-->  
					<!--xsl:message>MESSAGE <xsl:value-of select="count($sorted-itemgroups)"/></xsl:message-->
					<!--xsl:for-each select="$sorted-itemgroups/ItemGroupData">
						<xsl:message>ItemGroupOID = <xsl:value-of select="@ItemGroupOID"/></xsl:message>
					</xsl:for-each-->
					
					<!-- 8.6.2009 - we need to be able to have access to the original tree, even when we loop over the unique OIDs or Names -->
					<xsl:variable name="ITEMGROUPDATA">
						<xsl:for-each select="./*"><xsl:copy-of select="."/></xsl:for-each>
					</xsl:variable>
					<!-- TODO 8.6.2009 test whether correct when there is more than one MetaDataVersion -->
					<xsl:variable name="STUDYOID" select="@StudyOID"/>
					<xsl:variable name="METADATAVERSIONOID" select="@MetaDataVersionOID"/>
					
					<!-- find the unique ItemGroupOIDs -->
					<xsl:variable name="unique-ItemGroupDataOID" select="distinct-values($sorted-itemgroups/ItemGroupData/@ItemGroupOID)"/>
					<xsl:for-each select="$unique-ItemGroupDataOID">
						<xsl:variable name="ITEMGROUPOID"><xsl:value-of select="."/></xsl:variable>
						<xsl:variable name="group"><xsl:value-of select="."/></xsl:variable>
						<xsl:variable name="grouped-itemgroupdata">
							<xsl:for-each select="$sorted-itemgroups/ItemGroupData">
								<xsl:if test="@ItemGroupOID = $group">
									<xsl:copy-of select="."/> <!-- add the ItemGroup to the group -->
								</xsl:if>
							</xsl:for-each>
						</xsl:variable>
						<!-- we now have grouped the ItemGroups, start making a table for each of them -->
						<!-- Try to find an ItemGroup Name for this group -->
						<!-- there is very probably a smarter way to do this -->
						<xsl:variable name="ITEMGROUPNAME">
							<xsl:for-each select="$grouped-itemgroupdata/ItemGroupData">
								<xsl:if test="@ItemGroupName != ''">
								<xsl:copy-of select="."/> <!-- copy the whole ItemGroupData -->
							</xsl:if>
							</xsl:for-each>
						</xsl:variable>
						<xsl:choose>
						<!-- TODO: add conditional link -->
						<xsl:when test="count($ITEMGROUPNAME/ItemGroupData) > 0">
							<h3>Item Group <font color="{$EMPH}"><xsl:value-of select="$ITEMGROUPNAME/ItemGroupData[1]/@ItemGroupName"/></font></h3>
						</xsl:when>
						<xsl:otherwise>
							<h3>Item Group <font color="{$EMPH}"><xsl:value-of select="$ITEMGROUPOID"/></font></h3>	
						</xsl:otherwise>
						</xsl:choose>
						<!-- get the unique items, note that we copied the ItemDataOID to ItemDataName in case no name could be found -->
						<!-- pre-ODM 1.3 <xsl:variable name="unique-ItemDataNames" select="distinct-values($grouped-itemgroupdata/ItemGroupData/ItemData/@ItemName)"/> -->
						<!-- TODO (see before): reorganize to allow to add links to ItemDefs for column titles -->
						<xsl:variable name="unique-ItemDataNames" select="distinct-values($grouped-itemgroupdata/ItemGroupData/*[starts-with(name(),'ItemData')]/@ItemName)"/>
						<!-- Alternative 8.6.2009 -->
						<xsl:variable name="unique-ItemDataOID" select="distinct-values($grouped-itemgroupdata/ItemGroupData/*[starts-with(name(),'ItemData')]/@ItemOID)"/>
						<xsl:variable name="ITEMSUNIQUE">
							<xsl:for-each select="$unique-ItemDataOID">
								<xsl:variable name="ITEMOID" select="."/>
								<!--xsl:message>unique ItemOID = <xsl:value-of select="."/></xsl:message-->
								<xsl:variable name="ITEMNAME" select="($ITEMGROUPDATA/ItemGroupData/*[starts-with(name(),'ItemData')][@ItemOID=$ITEMOID]/@ItemName)[1]"/>
								<xsl:element name="ITEM">
									<xsl:attribute name="ItemOID"><xsl:value-of select="$ITEMOID"/></xsl:attribute>
									<xsl:attribute name="ItemName"><xsl:value-of select="$ITEMNAME"/></xsl:attribute>
								</xsl:element>
							</xsl:for-each>
						</xsl:variable>
						<!-- testing -->
						<!--xsl:for-each select="$ITEMSUNIQUE/*">
							<xsl:message>UNIQUE ITEM = <xsl:value-of select="@ItemOID"/> - <xsl:value-of select="@ItemName"/></xsl:message>
						</xsl:for-each-->
						<!-- end of alternative -->
						
						
						<!--xsl:message>UNIQUE ITEMDATA = <xsl:value-of select="$unique-ItemDataNames"/></xsl:message-->
						<!-- 19.6.2009 removed width="200%" from table tag -->
						<table style="-fs-table-paginate: paginate;" border="{$TABLEBORDERSIZE}" cellpadding="{$PADDING}">
							<thead><tr> <!-- header, containing the unique ItemData names -->
								<td style="background-color:{$BGCOLOR1}">Subject</td>
								<td style="background-color:{$BGCOLOR1}">StudyEvent<br/>(and RepeatKey)</td>
								<td style="background-color:{$BGCOLOR1}">Form<br/>(and RepeatKey)</td>
								<td style="background-color:{$BGCOLOR1}">ItemGroup<br/>RepeatKey</td>
								<td style="background-color:{$BGCOLOR1}">Transaction<br/>Type</td>
								<!--xsl:for-each select="$unique-ItemDataNames">
									<td style="background-color:{$BGCOLOR1}">
										<xsl:call-template name="mysplit">
											<xsl:with-param name="input" select="."/>
											<xsl:with-param name="width" select="20"/>
										</xsl:call-template>
									</td>
								</xsl:for-each-->
								<!-- alternative 8.6.2009 -->
								<xsl:for-each select="$ITEMSUNIQUE/*">
									<td style="background-color:{$BGCOLOR1}">
										<xsl:choose>
											<xsl:when test="$ADDHYPERLINKSTOMETADATA = 'true'">
												<xsl:element name="a">
													<xsl:attribute name="href">find:/*[name()='ODM']/*[name()='Study'][@OID='<xsl:value-of select="$STUDYOID"/>']/*[name()='MetaDataVersion'][@OID='<xsl:value-of select="$METADATAVERSIONOID"/>']/*[name()='ItemDef'][@OID='<xsl:value-of select="@ItemOID"/>']</xsl:attribute>
													<xsl:value-of select="@ItemName"/>
												</xsl:element>
											</xsl:when>
											<xsl:otherwise><xsl:value-of select="@ItemName"/></xsl:otherwise>
										</xsl:choose>
									</td>
								</xsl:for-each>
								<!-- 5.6.2009 -->
								<xsl:if test="$SHOWINVESTIGATORINFO = 'true'">
									<td style="background-color:{$BGCOLOR1}"><i>Investigator</i></td>
								</xsl:if>
								<xsl:if test="$SHOWSITEINFO = 'true'">
									<td style="background-color:{$BGCOLOR1}"><i>Site</i></td>
								</xsl:if>
							</tr></thead>
							<!-- make a row for each ItemGroup -->
							<xsl:for-each select="$grouped-itemgroupdata/ItemGroupData">							
								<xsl:variable name="ITEMGROUP" select="."/>
								<!-- DONE: replace with the real names, instead of the OIDs -->
								<xsl:variable name="SUBJECT" select="AdditionalInfo/SubjectKey"/>
								<xsl:variable name="STUDYEVENTOID" select="AdditionalInfo/StudyEventOID"/>
								<xsl:variable name="STUDYEVENT" select="AdditionalInfo/StudyEventName"/>
								<xsl:variable name="FORM" select="AdditionalInfo/FormName"/>
								<!--xsl:message>SUBJECT = <xsl:value-of select="$SUBJECT"/></xsl:message-->
								<tr>
									<td>
										<!-- 2009-12-16 Splitting causes problems in case of GUIDs, repaired 15.6.2010 -->
										<!--xsl:value-of select="$SUBJECT"/-->
										<xsl:call-template name="mysplit">
											<xsl:with-param name="input" select="$SUBJECT"/>
											<xsl:with-param name="width" select="20"/>
										</xsl:call-template>
									</td>
									<td>
										<xsl:variable name="CELLTEXT">
											<xsl:call-template name="mysplit">
												<xsl:with-param name="input" select="$STUDYEVENT"/>
												<xsl:with-param name="width" select="20"/>
											</xsl:call-template>
										</xsl:variable>
										<xsl:choose>
											<xsl:when test="$ADDHYPERLINKSTOMETADATA = 'true'">
												<xsl:element name="a">
													<xsl:attribute name="href">find:/*[name()='ODM']/*[name()='Study'][@OID='<xsl:value-of select="$STUDYOID"/>']/*[name()='MetaDataVersion'][@OID='<xsl:value-of select="$METADATAVERSIONOID"/>']/*[name()='StudyEventDef'][@OID='<xsl:value-of select="$STUDYEVENTOID"/>']</xsl:attribute>
													<!-- the text itself -->
													<xsl:value-of select="$CELLTEXT"/>
												</xsl:element>
											</xsl:when>
											<xsl:otherwise><xsl:value-of select="$CELLTEXT"/></xsl:otherwise>
										</xsl:choose>
										
										<!-- and add the StudyEventRepeatKey when present -->
										<xsl:if test="AdditionalInfo/StudyEventRepeatKey">
											<br/>(<xsl:value-of select="AdditionalInfo/StudyEventRepeatKey"/>)
										</xsl:if>
									</td>
									<!-- Form -->
									<td>
										<xsl:variable name="CELLTEXT">
											<xsl:call-template name="mysplit">
												<xsl:with-param name="input" select="$FORM"/>
												<xsl:with-param name="width" select="20"/>
											</xsl:call-template>
										</xsl:variable>
										<xsl:variable name="FORMOID" select="AdditionalInfo/FormOID"/>
										<xsl:choose>
											<xsl:when test="$ADDHYPERLINKSTOMETADATA = 'true'">
												<xsl:element name="a">
													<xsl:attribute name="href">find:/*[name()='ODM']/*[name()='Study'][@OID='<xsl:value-of select="$STUDYOID"/>']/*[name()='MetaDataVersion'][@OID='<xsl:value-of select="$METADATAVERSIONOID"/>']/*[name()='FormDef'][@OID='<xsl:value-of select="$FORMOID"/>']</xsl:attribute>
													<!-- the text itself -->
													<xsl:value-of select="$CELLTEXT"/>
												</xsl:element>
											</xsl:when>
											<xsl:otherwise><xsl:value-of select="$CELLTEXT"/></xsl:otherwise>
										</xsl:choose>
										<xsl:if test="AdditionalInfo/FormRepeatKey">
											<br/>(<xsl:value-of select="AdditionalInfo/FormRepeatKey"/>)
										</xsl:if>
									</td>
									<td><xsl:value-of select="@ItemGroupRepeatKey"/></td>
									<td><xsl:value-of select="@TransactionType"/></td>
									<!--xsl:for-each select="$unique-ItemDataNames">
										<xsl:variable name="ITEMNAME" select="."/-->
									<!-- alternative 8.6.2009 -->
									<xsl:for-each select="$ITEMSUNIQUE/*">
										<xsl:variable name="ITEMNAME" select="@ItemName"/>
										<td>
											<!-- pre-ODM 1.3 <xsl:for-each select="$ITEMGROUP/ItemData">  -->
											<!-- ODM 1.3.1: added support for ItemDataIncompleteDate and ItemDataIncompleteTime -->
											<xsl:for-each select="$ITEMGROUP/ItemData | $ITEMGROUP/ItemDataString | $ITEMGROUP/ItemDataInteger | $ITEMGROUP/ItemDataFloat | $ITEMGROUP/ItemDataDate | $ITEMGROUP/ItemDataTime 
												| $ITEMGROUP/ItemDataDatetime | $ITEMGROUP/ItemDataBoolean | $ITEMGROUP/ItemDataDouble | $ITEMGROUP/ItemDataHexBinary | $ITEMGROUP/ItemDataBase64Binary  | $ITEMGROUP/ItemDataHexFloat 
												| $ITEMGROUP/ItemDataBase64Float | $ITEMGROUP/ItemDataPartialDate | $ITEMGROUP/ItemDataPartialTime | $ITEMGROUP/ItemDataPartialDatetime | $ITEMGROUP/ItemDataDurationDatetime 
												| $ITEMGROUP/ItemDataIntervalDatetime | $ITEMGROUP/ItemDataIncompleteDatetime | $ITEMGROUP/ItemDataIncompleteDate | $ITEMGROUP/ItemDataIncompleteTime | $ITEMGROUP/ItemDataURI | $ITEMGROUP/ItemDataAny"> 
												<xsl:if test="$ITEMNAME = @ItemName">
													<xsl:call-template name="mysplit">
														<xsl:with-param name="input" select="@RealValue"/>
														<xsl:with-param name="width" select="20"/>
													</xsl:call-template>
													<!--xsl:value-of select="@RealValue"/-->
												</xsl:if>
											</xsl:for-each>
										</td>
									</xsl:for-each>
									<!-- 5.6.2009 -->
									<xsl:if test="$SHOWINVESTIGATORINFO = 'true'">
										<!--td><i><xsl:value-of select="AdditionalInfo/InvestigatorName"/></i></td-->
										<xsl:variable name="INVESTIGATORNAME" select="AdditionalInfo/InvestigatorName"/>
										<xsl:variable name="INVESTIGATOROID" select="AdditionalInfo/InvestigatorOID"/>
										<td><i>
											<xsl:choose>
												<xsl:when test="$ADDHYPERLINKSTOADMINDATA = 'true'">
													<xsl:element name="a">
														<xsl:attribute name="href">find:/*[name()='ODM']/*[name()='AdminData'][@StudyOID='<xsl:value-of select="$STUDYOID"/>']/*[name()='User'][@OID='<xsl:value-of select="$INVESTIGATOROID"/>']</xsl:attribute>
														<xsl:value-of select="$INVESTIGATORNAME"/>
													</xsl:element>
												</xsl:when>
												<xsl:otherwise><xsl:value-of select="$INVESTIGATORNAME"/></xsl:otherwise>
											</xsl:choose>
										</i></td>
									</xsl:if>
									<xsl:if test="$SHOWSITEINFO = 'true'">
										<xsl:variable name="SITENAME"><xsl:value-of select="AdditionalInfo/SiteName"/></xsl:variable>
										<xsl:variable name="SITEOID"><xsl:value-of select="AdditionalInfo/SiteOID"/></xsl:variable>
										<td><i>
											<xsl:choose>
												<xsl:when test="$ADDHYPERLINKSTOADMINDATA = 'true'">
													<xsl:element name="a">
														<xsl:attribute name="href">find:/*[name()='ODM']/*[name()='AdminData'][@StudyOID='<xsl:value-of select="$STUDYOID"/>']/*[name()='Location'][@OID='<xsl:value-of select="$SITEOID"/>']</xsl:attribute>
														<xsl:value-of select="$SITENAME"/>
													</xsl:element>
												</xsl:when>
												<xsl:otherwise><xsl:value-of select="$SITENAME"/></xsl:otherwise>
											</xsl:choose>
										</i></td>
									</xsl:if>
								</tr> 
							</xsl:for-each>
							<tfoot><tr><td colspan="100" style="background-color:{$BGCOLOR1}"><i>Item group <xsl:value-of select="$ITEMGROUPNAME/ItemGroupData[1]/@ItemGroupName"/></i></td></tr></tfoot>
						</table>
						<h5><a href="#top">Back to top</a></h5>
					</xsl:for-each><!-- end for this group -->
		
					<!-- OBSOLETE: OLD XSLT1.0 STUFF -->
					<!--xsl:variable name="unique-itemgroups" select="$sorted-itemgroups"/--> 
					<!-- loop over the unique ItemGroups, for each making a separate table -->
					<!--<h2>ItemGroup: </h2>
					<xsl:for-each select="$unique-itemgroups">  -->
						<!-- loop over the sorted ItemGroupData's and write them to the table when appropriate -->
						<!-- <xsl:variable name="GROUP_ITEMGROUPOID" select="@ItemGroupOID"/>
						<h2>Item Group: <font color="{$EMPH}"><xsl:value-of select="@ItemGroupOID"/></font><br/> 
						</h2>
						<xsl:for-each select="$sorted-itemgroups/*">
							<xsl:if test="$GROUP_ITEMGROUPOID = @ItemGroupOID">
								<h4><xsl:value-of select="@ItemGroupOID"/> - <xsl:value-of select="@ItemGroupRepeatKey"/></h4>
							</xsl:if>
						</xsl:for-each> 
					</xsl:for-each>  -->
				</xsl:if> 
			</xsl:when>
			<!-- ODM 1.3 AuditRecords -->
			<xsl:when test="@Type='AuditRecords' and @ODMVersion='1.3'">
				<xsl:variable name="STUDYOID" select="@StudyOID"/>
				<h2>Audit Records</h2>
				<table style="-fs-table-paginate: paginate;" border="{$TABLEBORDERSIZE}" cellpadding="{$PADDING}">
					<thead><tr>
						<td style="background-color:{$BGCOLOR1}">ID</td>
						<td style="background-color:{$BGCOLOR1}">User</td>
						<td style="background-color:{$BGCOLOR1}">Location</td>
						<td style="background-color:{$BGCOLOR1}">&#160;&#160;Date&#160;and&#160;Time&#160;Stamp&#160;&#160;&#160;&#160;</td>
						<td style="background-color:{$BGCOLOR1}">Reason for Change</td>
						<td style="background-color:{$BGCOLOR1}">Source ID</td>
						<td style="background-color:{$BGCOLOR1}">Edit Point</td>
						<td style="background-color:{$BGCOLOR1}">Used Imputation<br/>Method ?</td>
					</tr></thead>
					<xsl:for-each select="AuditRecord">
						<!-- Get the user name if possible, otherwise the UserOID -->
						<xsl:variable name="USERNAME">
								<xsl:choose>
									<xsl:when test="UserRef/@UserName != ''"><xsl:value-of select="UserRef/@UserName"/></xsl:when>
									<xsl:otherwise><xsl:value-of select="User/@UserOID"/></xsl:otherwise>
								</xsl:choose>
						</xsl:variable>
						<!-- same for Location -->
						<xsl:variable name="LOCATIONNAME">
							<xsl:choose>
								<xsl:when test="LocationRef/@LocationName != ''"><xsl:value-of select="LocationRef/@LocationName"/></xsl:when>
								<xsl:otherwise><xsl:value-of select="LocationRef/@LocationOID"/></xsl:otherwise>
							</xsl:choose>
						</xsl:variable>
						<tr>
							<td><xsl:value-of select="@ID"/></td>
							<td>
								<xsl:choose>
									<xsl:when test="$ADDHYPERLINKSTOADMINDATA = 'true'">
										<xsl:element name="a">
											<xsl:attribute name="href">find:/*[name()='ODM']/*[name()='AdminData'][@StudyOID='<xsl:value-of select="$STUDYOID"/>']/*[name()='User'][@OID='<xsl:value-of select="UserRef/@UserOID"/>']</xsl:attribute>
											<xsl:value-of select="$USERNAME"/>
										</xsl:element>
										
									</xsl:when>
									<xsl:otherwise><xsl:value-of select="$USERNAME"/></xsl:otherwise>
								</xsl:choose>
							</td>
							<td>
								<xsl:choose>
									<xsl:when test="$ADDHYPERLINKSTOADMINDATA = 'true'">
										<xsl:element name="a">
											<xsl:attribute name="href">find:/*[name()='ODM']/*[name()='AdminData'][@StudyOID='<xsl:value-of select="$STUDYOID"/>']/*[name()='Location'][@OID='<xsl:value-of select="LocationRef/@LocationOID"/>']</xsl:attribute>
											<xsl:value-of select="$LOCATIONNAME"/>
										</xsl:element>
									</xsl:when>
									<xsl:otherwise><xsl:value-of select="$LOCATIONNAME"/></xsl:otherwise>
								</xsl:choose>
							</td>
							<!-- Translate the DataTimeStamp into a 'Joe-sixpack' date and time stamp -->
							<td>
								<xsl:choose>
									<xsl:when test="$DATETIMESTAMPASTEXT = 'true'">
										<xsl:call-template name="DateTime2String">
										<xsl:with-param name="datetime" select="DateTimeStamp"/>
										</xsl:call-template>
									</xsl:when>
									<xsl:otherwise><xsl:value-of select="DateTimeStamp"/></xsl:otherwise>
								</xsl:choose>
								
							</td>
							<!-- ReasonForChange, SourceID, EditPoint and -->
							<td><xsl:value-of select="ReasonForChange"/></td>
							<td><xsl:value-of select="SourceID"/></td>
							<td><xsl:value-of select="@EditPoint"/></td>
							<td><xsl:value-of select="@UsedImputationMethod"/></td>
						</tr>
					</xsl:for-each>
					<tfoot><tr><td colspan="8" style="background-color:{$BGCOLOR1}"><i>Audit Records</i></td></tr></tfoot>
				</table>
			</xsl:when><!-- end of ODM 1.3 AuditRecords-->
			<!-- ODM 1.3 only -->
			<xsl:when test="@Type='Signatures'">
				<xsl:variable name="STUDYOID" select="@StudyOID"/>
				<h2>Signatures</h2>
				<table style="-fs-table-paginate: paginate;" border="{$TABLEBORDERSIZE}" cellpadding="{$PADDING}">
					<thead><tr>
						<td style="background-color:{$BGCOLOR1}">ID</td>
						<td style="background-color:{$BGCOLOR1}">User</td>
						<td style="background-color:{$BGCOLOR1}">Location</td>
						<td style="background-color:{$BGCOLOR1}">Signature</td>
						<td style="background-color:{$BGCOLOR1}">&#160;&#160;Date&#160;and&#160;Time&#160;Stamp&#160;&#160;&#160;&#160;</td>
						<td style="background-color:{$BGCOLOR1}">CryptoBindingManifest<br/>(deprecated)</td>
					</tr></thead>
					<xsl:for-each select="Signature">
						<tr>
							<td><xsl:value-of select="@ID"/></td>
							<!-- Get the user name if possible, otherwise the UserOID -->
							<td>
								<!--xsl:choose>
									<xsl:when test="UserRef/@UserName != ''"><xsl:value-of select="UserRef/@UserName"/></xsl:when>
									<xsl:otherwise><xsl:value-of select="UserRef/@UserOID"/></xsl:otherwise>
								</xsl:choose-->
								<xsl:variable name="USERNAME" select="UserRef/@UserName"/>
								<xsl:choose>
									<xsl:when test="$ADDHYPERLINKSTOADMINDATA = 'true'">
										<xsl:element name="a">
											<xsl:attribute name="href">find:/*[name()='ODM']/*[name()='AdminData'][@StudyOID='<xsl:value-of select="$STUDYOID"/>']/*[name()='User'][@OID='<xsl:value-of select="UserRef/@UserOID"/>']</xsl:attribute>
											<xsl:value-of select="$USERNAME"/>
										</xsl:element>
										
									</xsl:when>
									<xsl:otherwise><xsl:value-of select="$USERNAME"/></xsl:otherwise>
								</xsl:choose>
							</td>
							<!-- Get the location name if possible, otherwise the LocationOID -->
							<td>
								<!--xsl:choose>
									<xsl:when test="LocationRef/@LocationName != ''"><xsl:value-of select="LocationRef/@LocationName"/></xsl:when>
									<xsl:otherwise><xsl:value-of select="LocationRef/@LocationOID"/></xsl:otherwise>
								</xsl:choose-->
								<xsl:variable name="LOCATIONNAME" select="LocationRef/@LocationName"/>
								<xsl:choose>
									<xsl:when test="$ADDHYPERLINKSTOADMINDATA = 'true'">
										<xsl:element name="a">
											<xsl:attribute name="href">find:/*[name()='ODM']/*[name()='AdminData'][@StudyOID='<xsl:value-of select="$STUDYOID"/>']/*[name()='Location'][@OID='<xsl:value-of select="LocationRef/@LocationOID"/>']</xsl:attribute>
											<xsl:value-of select="$LOCATIONNAME"/>
										</xsl:element>
									</xsl:when>
									<xsl:otherwise><xsl:value-of select="$LOCATIONNAME"/></xsl:otherwise>
								</xsl:choose>
							</td>
							<!-- Watch out "SignatureDef" does not have a "Name" -->
							<td>
								<!--xsl:choose>
									<xsl:when test="SignatureRef/@SignatureName != ''"><xsl:value-of select="SignatureRef/@SignatureName"/></xsl:when>
									<xsl:otherwise><xsl:value-of select="SignatureRef/@SignatureOID"/></xsl:otherwise>
								</xsl:choose-->
								<xsl:choose>
									<xsl:when test="$ADDHYPERLINKSTOADMINDATA = 'true'">
										<xsl:element name="a">
											<xsl:attribute name="href">find:/*[name()='ODM']/*[name()='AdminData'][@StudyOID='<xsl:value-of select="$STUDYOID"/>']/*[name()='SignatureDef'][@OID='<xsl:value-of select="SignatureRef/@SignatureOID"/>']</xsl:attribute>
											<xsl:value-of select="SignatureRef/@SignatureOID"/>
										</xsl:element>
									</xsl:when>
									<xsl:otherwise>
										<xsl:value-of select="SignatureRef/@SignatureOID"/>
									</xsl:otherwise>
								</xsl:choose>
							</td>
							<!-- Translate the DataTimeStamp into a 'Joe-sixpack' date and time stamp -->
							<td>
								<xsl:choose>
									<xsl:when test="$DATETIMESTAMPASTEXT = 'true'">
										<xsl:call-template name="DateTime2String">
											<xsl:with-param name="datetime" select="DateTimeStamp"/>
										</xsl:call-template>
									</xsl:when>
									<xsl:otherwise><xsl:value-of select="DateTimeStamp"/></xsl:otherwise>
								</xsl:choose>
							</td>
							<td><xsl:value-of select="CryptoBindingManifest"/></td>
						</tr>
					</xsl:for-each>
					<tfoot><tr><td colspan="6" style="background-color:{$BGCOLOR1}"><i>Signatures</i></td></tr></tfoot>
				</table>
			</xsl:when>
			<!-- Annotations elements - ODM 1.3 only -->
			<xsl:when test="@Type='Annotations'">
				<h2>Annotations</h2>
				<xsl:call-template name="AnnotationsTemplate">
					<xsl:with-param name="ANNOTATIONSPARENT" select="."/>
				</xsl:call-template>
			</xsl:when>
			<!-- Subsets of AuditRecords -->
			<xsl:when test="@Type='AuditRecordsSubset'">
				<h2>Audit Records Subset</h2>
				<!-- NEW 10.8.2009 -->
				<xsl:call-template name="ShowSelections"/>
				<h3>Results:</h3>
				<h4>Number of Audit Records for your selection: <xsl:value-of select="count(AuditRecord)"/></h4>
				<table style="-fs-table-paginate: paginate;" border="{$TABLEBORDERSIZE}" cellpadding="{$PADDING}">
					<col width="100"/>
					<thead><tr>
						<td style="background-color:{$BGCOLOR1}">ID</td>
						<td style="background-color:{$BGCOLOR1}">Subject</td>
						<td style="background-color:{$BGCOLOR1}">Study</td>
						<td style="background-color:{$BGCOLOR1}">MetaDataVersion</td>
						<td style="background-color:{$BGCOLOR1}">Investigator</td>
						<td style="background-color:{$BGCOLOR1}">Site</td>
						<td style="background-color:{$BGCOLOR1}">Transaction Type</td>
						<td style="background-color:{$BGCOLOR1}">AuditRecord Level</td>
						<td style="background-color:{$BGCOLOR1}">Auditor</td>
						<td style="background-color:{$BGCOLOR1}">Auditor<br/>Location</td>
						<td style="background-color:{$BGCOLOR1}">StudyEvent<br/>(and RepeatKey)</td>
						<td style="background-color:{$BGCOLOR1}">Form<br/>(and RepeatKey)</td>
						<td style="background-color:{$BGCOLOR1}">ItemGroup<br/>(and RepeatKey)</td>
						<td style="background-color:{$BGCOLOR1}">Item</td>
						<td style="background-color:{$BGCOLOR1}">Item Value</td>
						<td style="background-color:{$BGCOLOR1}" >&#160;&#160;Date&#160;and&#160;Time&#160;Stamp&#160;&#160;&#160;&#160;</td>
						<td style="background-color:{$BGCOLOR1}">Reason for Change</td>
						<td style="background-color:{$BGCOLOR1}">Source ID</td>
						<td style="background-color:{$BGCOLOR1}">Edit Point</td>
						<td style="background-color:{$BGCOLOR1}">Imputation Method Used?</td>
					</tr></thead>
					<!-- make a row for each audit record -->
					<xsl:for-each select="AuditRecord">
						<xsl:variable name="METADATAVERSIONOID" select="@MetaDataVersionOID"/>
						<xsl:variable name="STUDYOID" select="@StudyOID"/>
						<xsl:variable name="METADATAVERSIONOIDLINK">
							<xsl:element name="a">
										<xsl:attribute name="href">find:/*[name()='ODM']/*[name()='Study'][@OID='<xsl:value-of select="$STUDYOID"/>']/*[name()='MetaDataVersion'][@OID='<xsl:value-of select="$METADATAVERSIONOID"/>']</xsl:attribute>
										<xsl:value-of select="$METADATAVERSIONOID"/>
									</xsl:element>
							<!--xsl:choose>
								<xsl:when test="$ADDHYPERLINKSTOMETADATA = 'false'">
									<xsl:element name="a">
										<xsl:attribute name="href">find:/*[name()='ODM']/*[name()='Study'][@OID='<xsl:value-of select="$STUDYOID"/>']/*[name()='MetaDataVersion'][@OID='<xsl:value-of select="$METADATAVERSIONOID"/>']</xsl:attribute>
										<xsl:value-of select="$METADATAVERSIONOID"/>
									</xsl:element>
								</xsl:when>
								<xsl:otherwise>
									<xsl:value-of select="$METADATAVERSIONOID"/>
								</xsl:otherwise>
							</xsl:choose-->
						</xsl:variable>
						<!--xsl:message>$METADATAVERSIONOIDLINK = <xsl:value-of select="$METADATAVERSIONOIDLINK"/></xsl:message-->
						<xsl:variable name="STUDYOID" select="@StudyOID"/>
						<!-- 7.3.2011 -->
						<xsl:variable name="METADATAVERSIONNAME" select="@MetaDataVersionName"/>
						<tr>
							<td><xsl:value-of select="@ID"/></td>
							<td><xsl:value-of select="@SubjectKey"/></td>
							<td><xsl:value-of select="$STUDYOID"/></td>
							<!-- 7.3.2011: added hyperlink and MetaDataVersion Name-->
							<td>
								<xsl:choose>
									<xsl:when test="$ADDHYPERLINKSTOMETADATA = 'true'">
										<xsl:element name="a">
											<xsl:attribute name="href">find:/*[name()='ODM']/*[name()='Study'][@OID='<xsl:value-of select="$STUDYOID"/>']/*[name()='MetaDataVersion'][@OID='<xsl:value-of select="$METADATAVERSIONOID"/>']</xsl:attribute>
											<xsl:value-of select="$METADATAVERSIONOID"/>
										</xsl:element><br/>(<xsl:value-of select="$METADATAVERSIONNAME"/>)
									</xsl:when>
									<xsl:otherwise>
										<xsl:value-of select="$METADATAVERSIONOID"/><br/><br/>(<xsl:value-of select="$METADATAVERSIONNAME"/>)
									</xsl:otherwise>
								</xsl:choose>
								<!-- <xsl:value-of select="$METADATAVERSIONNAME"/><br/>(<xsl:value-of select="$METADATAVERSIONOID"/>) -->
							</td>
							<td>
								<xsl:choose>
									<xsl:when test="$ADDHYPERLINKSTOADMINDATA = 'true'">
										<xsl:element name="a">
											<xsl:attribute name="href">find:/*[name()='ODM']/*[name()='AdminData'][@StudyOID='<xsl:value-of select="@StudyOID"/>']/*[name()='User'][@OID='<xsl:value-of select="@InvestigatorOID"/>']</xsl:attribute>
											<xsl:value-of select="@InvestigatorName"/>
										</xsl:element>
									</xsl:when>
									<xsl:otherwise><xsl:value-of select="@InvestigatorName"/></xsl:otherwise>
								</xsl:choose>	
							</td>
							<td>
								<xsl:choose>
									<xsl:when test="$ADDHYPERLINKSTOADMINDATA = 'true'">
										<xsl:element name="a">
											<xsl:attribute name="href">find:/*[name()='ODM']/*[name()='AdminData'][@StudyOID='<xsl:value-of select="@StudyOID"/>']/*[name()='Location'][@OID='<xsl:value-of select="@SiteOID"/>']</xsl:attribute>
											<xsl:value-of select="@SiteName"/>
										</xsl:element>
									</xsl:when>
									<xsl:otherwise><xsl:value-of select="@SiteName"/></xsl:otherwise>
								</xsl:choose>
							</td>
							
							<!-- TransactionType -->
							<td><xsl:value-of select="@TransactionType"/></td>
							<!-- Element Level at which the AuditRecord occurred -->
							<td><xsl:value-of select="@ElementLevel"/></td>
							<!-- User (Auditor) -->
							<td>
								<xsl:choose>
									<xsl:when test="$ADDHYPERLINKSTOADMINDATA = 'true'">
										<xsl:element name="a">
											<xsl:attribute name="href">find:/*[name()='ODM']/*[name()='AdminData'][@StudyOID='<xsl:value-of select="@StudyOID"/>']/*[name()='User'][@OID='<xsl:value-of select="./UserOID"/>']</xsl:attribute>
											<xsl:value-of select="./UserName"/>
										</xsl:element>
									</xsl:when>
									<xsl:otherwise><xsl:value-of select="./UserName"/></xsl:otherwise>
								</xsl:choose>
							</td>
							<!-- Location of Auditor -->
							<td>
								<xsl:choose>
									<xsl:when test="$ADDHYPERLINKSTOADMINDATA = 'true'">
										<xsl:element name="a">
											<xsl:attribute name="href">find:/*[name()='ODM']/*[name()='AdminData'][@StudyOID='<xsl:value-of select="@StudyOID"/>']/*[name()='Location'][@OID='<xsl:value-of select="./LocationOID"/>']</xsl:attribute>
											<xsl:value-of select="./LocationName"/>
										</xsl:element>
									</xsl:when>
									<xsl:otherwise><xsl:value-of select="./LocationName"/></xsl:otherwise>
								</xsl:choose>
							</td>
							<td>
								<xsl:choose>
									<xsl:when test="$ADDHYPERLINKSTOMETADATA = 'true'">
										<xsl:element name="a">
											<xsl:attribute name="href">find:/*[name()='ODM']/*[name()='Study'][@OID='<xsl:value-of select="@StudyOID"/>']/*[name()='MetaDataVersion'][@OID='<xsl:value-of select="@MetaDataVersionOID"/>']/*[name()='StudyEventDef'][@OID='<xsl:value-of select="@StudyEventOID"/>']</xsl:attribute>
											<xsl:value-of select="@StudyEventName"/>
										</xsl:element>
									</xsl:when>
									<xsl:otherwise><xsl:value-of select="@StudyEventName"/></xsl:otherwise>
								</xsl:choose>
								<xsl:if test="@StudyEventRepeatKey">
									<br/>(<xsl:value-of select="@StudyEventRepeatKey"/>)
								</xsl:if>
							</td>
							<!-- Form (if any) -->
							<td>
								<xsl:choose>
									<xsl:when test="$ADDHYPERLINKSTOMETADATA = 'true'">
										<xsl:element name="a">
											<xsl:attribute name="href">find:/*[name()='ODM']/*[name()='Study'][@OID='<xsl:value-of select="@StudyOID"/>']/*[name()='MetaDataVersion'][@OID='<xsl:value-of select="@MetaDataVersionOID"/>']/*[name()='FormDef'][@OID='<xsl:value-of select="@FormName"/>']</xsl:attribute>
											<xsl:value-of select="@FormName"/>
										</xsl:element>
									</xsl:when>
									<xsl:otherwise><xsl:value-of select="@FormName"/></xsl:otherwise>
								</xsl:choose>
								<xsl:if test="@FormRepeatKey">
									<br/>(<xsl:value-of select="@FormRepeatKey"/>)
								</xsl:if>
							</td>
							<!-- ItemGroup (if any) -->
							<td>
								<xsl:choose>
									<xsl:when test="$ADDHYPERLINKSTOMETADATA = 'true'">
										<xsl:element name="a">
											<xsl:attribute name="href">find:/*[name()='ODM']/*[name()='Study'][@OID='<xsl:value-of select="@StudyOID"/>']/*[name()='MetaDataVersion'][@OID='<xsl:value-of select="@MetaDataVersionOID"/>']/*[name()='ItemGroupDef'][@OID='<xsl:value-of select="@ItemGroupOID"/>']</xsl:attribute>
											<xsl:value-of select="@ItemGroupName"/>
										</xsl:element>
									</xsl:when>
									<xsl:otherwise><xsl:value-of select="@ItemGroupName"/></xsl:otherwise>
								</xsl:choose>
								<xsl:if test="@ItemGroupRepeatKey">
									<br/>(<xsl:value-of select="@ItemGroupRepeatKey"/>)
								</xsl:if>
							</td>
							<!-- Item (if any) -->
							<td>
								<xsl:choose>
									<xsl:when test="$ADDHYPERLINKSTOMETADATA = 'true'">
										<xsl:element name="a">
											<xsl:attribute name="href">find:/*[name()='ODM']/*[name()='Study'][@OID='<xsl:value-of select="@StudyOID"/>']/*[name()='MetaDataVersion'][@OID='<xsl:value-of select="@MetaDataVersionOID"/>']/*[name()='ItemDef'][@OID='<xsl:value-of select="@ItemOID"/>']</xsl:attribute>
											<!--xsl:attribute name="class">cell</xsl:attribute>
											<xsl:attribute name="title">tooltip</xsl:attribute-->
											<xsl:value-of select="@ItemName"/>
										</xsl:element>
									</xsl:when>
									<xsl:otherwise><xsl:value-of select="@ItemName"/></xsl:otherwise>
								</xsl:choose>
							</td>	
							<!-- Item value -->
							<td><xsl:value-of select="@ItemValue"/></td>
							<!-- TODO: choice between ISO and text  - DONE - but problem with column width (too small in case of text) -->
							<td>
								<xsl:choose>
									<xsl:when test="$DATETIMESTAMPASTEXT = 'true'">
										<xsl:call-template name="DateTime2String">
											<xsl:with-param name="datetime" select="DateTimeStamp"/>
										</xsl:call-template>
									</xsl:when>
									<xsl:otherwise><xsl:value-of select="DateTimeStamp"/></xsl:otherwise>
								</xsl:choose>
								<!--xsl:value-of select="./DateTimeStamp"/-->
							</td>
							<td>
								<xsl:call-template name="mysplit">
									<xsl:with-param name="input"><xsl:value-of select="./ReasonForChange"/></xsl:with-param>
									<xsl:with-param name="width">40</xsl:with-param>
								</xsl:call-template>
							</td>
							<td><xsl:value-of select="./SourceID"/></td>
							<td><xsl:value-of select="@EditPoint"/></td>
							<td><xsl:value-of select="@UsedImputationMethod"/></td>
						</tr>
					
					</xsl:for-each>
					
				</table>
			</xsl:when>
			
			<!-- Support for ds:Signature -->
			<xsl:when test="@Type='SignedInfo'">
				<h2>XML-Signature: SignedInfo</h2>
				<xsl:for-each select="SignedInfo">
					<table style="-fs-table-paginate: paginate;" border="{$TABLEBORDERSIZE}" cellpadding="{$PADDING}">
						<tr>
							<td>Canonicalization Method Algorithm:</td>
							<td><xsl:value-of select="CanonicalizationMethod/@Algorithm"/></td>
						</tr>
						<tr>
							<td>Signature Method Algorithm</td>
							<td><xsl:value-of select="SignatureMethod/@Algorithm"/></td>
						</tr>
					</table>
					<h2>References</h2>
					<table style="-fs-table-paginate: paginate;" border="{$TABLEBORDERSIZE}" cellpadding="{$PADDING}">
						<thead><tr>
							<td style="background-color:{$BGCOLOR1}">URI</td>
							<td style="background-color:{$BGCOLOR1}">Transform Algorithms</td>
							<td style="background-color:{$BGCOLOR1}">Digest Method Algorithm</td>
							<td style="background-color:{$BGCOLOR1}">Digest Value</td>
						</tr></thead>
						<xsl:for-each select="Reference">
							<tr>
								<td><xsl:value-of select="@URI"/></td>
								<!-- make a line for each Transforms/Transform -->
								<td>
									<xsl:for-each select="Transforms/Transform">
										<xsl:value-of select="@Algorithm"/><br/>
									</xsl:for-each>
								</td>
								<td><xsl:value-of select="DigestMethod/@Algorithm"/></td>
								<td><xsl:value-of select="DigestValue"/></td>
							</tr>
						</xsl:for-each>
						<tfoot><tr><td colspan="4" style="background-color:{$BGCOLOR1}"><i>References for Signature</i></td></tr></tfoot>
					</table>
				</xsl:for-each>
			</xsl:when>
			<!-- ds:Signature/SignatureValue -->
			<xsl:when test="@Type = 'SignatureValue'">
				<h2>XML-Signature: SignedInfo</h2>
				<h2>Signature Value:</h2>
				<div style="background: yellow"><xsl:value-of select="SignatureValue"/></div>
			</xsl:when>
			<!-- ds:Signature/KeyInfo -->
			<!-- TODO: look deeper into this (PDF representation) -->
			<xsl:when test="@Type = 'KeyInfo'">
				<h2>Key Info</h2>
				<xsl:if test="KeyInfo/@Id"><h4>ID: <xsl:value-of select="KeyInfo/@Id"/></h4></xsl:if>
				<xsl:for-each select="KeyInfo"><!--although there can be only one-->
					<!-- we make a table with two columns and a row for each child of KeyInfo -->
					<table style="-fs-table-paginate: paginate;">
						<thead><tr><td style="background-color:{$BGCOLOR1}" colspan="5">KeyInfo</td></tr></thead>
						<!-- KeyName -->
						<xsl:if test="KeyName ">
							<tr><td>Key Name:</td><td><xsl:value-of select="KeyName"/></td></tr>
						</xsl:if>
						<!-- KeyValue -->
						<xsl:if test="KeyValue">
							<tr><td>Key Value - type: 
								<xsl:if test="KeyValue/DSAKeyValue"><b>DSA</b></xsl:if>
								<xsl:if test="KeyValue/RSAKeyValue">RSA</xsl:if>
							</td>
							<td>
								<xsl:if test="KeyValue/DSAKeyValue">
								<!-- a DSA Key has a P, Q, G, Y and J-value and possibly a Seed & PgenCounter value-->
									<table>
										<tr><td>P</td><td><xsl:value-of select="KeyValue/DSAKeyValue/P"/></td></tr>
										<tr><td>Q</td><td><xsl:value-of select="KeyValue/DSAKeyValue/Q"/></td></tr>
										<tr><td>G</td><td><xsl:value-of select="KeyValue/DSAKeyValue/G"/></td></tr>
										<tr><td>Y</td><td><xsl:value-of select="KeyValue/DSAKeyValue/Y"/></td></tr>
										<tr><td>J</td><td><xsl:value-of select="KeyValue/DSAKeyValue/J"/></td></tr>
										<tr><td>Seed</td><td><xsl:value-of select="KeyValue/DSAKeyValue/Seed"/></td></tr>
										<tr><td>PgenCounter</td><td><xsl:value-of select="KeyValue/DSAKeyValue/PgenCounter"/></td></tr>
									</table>
								</xsl:if>
								<!-- RSA Key has Modulus and Exponent e.g.:
									<RSAKeyValue>
     									<Modulus>xA7SEU+e0yQH5rm9kbCDN9o3aPIo7HbP7tX6WOocLZAtNfyxSZDU16ksL6WjubafOqNEpcwR3RdFsT7bCqnXPBe5ELh5u4VEy19MzxkXRgrMvavzyBpVRgBUwUlV5foK5hhmbktQhyNdy/6LpQRhDUDsTvK+g9Ucj47es9AQJ3U=</Modulus>
     									<Exponent>AQAB</Exponent>
   									</RSAKeyValue>
   								-->
								<xsl:if test="KeyValue/RSAKeyValue">
									<table>
										<tr><td>Modulus</td><td><xsl:value-of select="KeyValue/RSAKeyValue/Modulus"/></td>
										<td>Exponent</td><td><xsl:value-of select="KeyValue/RSAKeyValue/Modulus"/></td>
										</tr>
									</table>
								</xsl:if>
							</td>
							
							</tr>
						</xsl:if>
						<!-- RetrievalMethod -->
						<xsl:if test="RetrievalMethod">
							<table>
								<tr><td>URI:</td><td><xsl:value-of select="RetrievalMethod/@URI"/></td></tr>
								<tr><td>Type:</td><td><xsl:value-of select="RetrievalMethod/@Type"/></td></tr>
								<tr><td>Transform Algorithms</td><td>
									<xsl:for-each select="retrievalMethod/Transforms/Transform">
										<xsl:value-of select="@Algorithm"/><br/>
									</xsl:for-each>
								</td></tr>
							</table>
						</xsl:if>
						<!-- X509Data element -->
						<xsl:if test="X509Data">
							<!-- There can be several X509Data elements, so make a row for each one -->
							<xsl:for-each select="X509Data">
								<tr><td>X509 Data</td>
									<td>
										<!-- create a table within the second cell -->
										<table>
											<xsl:for-each select="./*">
												<tr>
													<xsl:if test="name() = 'X509IssuerSerial'">
														<td>X509 Issuer Serial</td>
														<td>Issuer Name: <xsl:value-of select="X509IssuerName"/><br/>
															Issuer Serial Number: <xsl:value-of select="X509SerialNumber"/></td>
													</xsl:if>
													<xsl:if test="name() = 'X509SKI'">
														<td>X509 SKI:</td>
														<td><xsl:value-of select="."/></td>
													</xsl:if>
													<xsl:if test="name() = 'X509SubjectName'">
														<td>X509 SubjectName:</td>
														<td><xsl:value-of select="."/></td>
													</xsl:if>
													<xsl:if test="name() = 'X509Certificate'">
														<td>X509 Certificate:</td>
														<td><xsl:value-of select="."/></td>
													</xsl:if>
													<xsl:if test="name() = 'X509CRL'">
														<td>X509 CRL</td>
														<td><xsl:value-of select="."/></td>
													</xsl:if>
												</tr>
											</xsl:for-each>
										</table>
									</td>
								</tr>
							</xsl:for-each>
						</xsl:if>
					</table>
				
				</xsl:for-each>
			</xsl:when>
			
			<xsl:otherwise><h2>Element not recognized</h2></xsl:otherwise>
		</xsl:choose>
		</body></html>
	</xsl:template>
	
	<!-- template for the Description element -->
	<xsl:template match="GlobalVariables"><!-- todo: study name -->
		<h2>Global Variables - Study <b style="color:{$TITLE_EMPH}"><xsl:value-of select="../@StudyOID"/></b></h2><br/>
		<table border="{$TABLEBORDERSIZE}" cellpadding="{$PADDING}">
			<tr><td style="background-color:{$BGCOLOR1}">Study Name</td><td><xsl:value-of select="./StudyName"/></td></tr>
			<tr><td style="background-color:{$BGCOLOR1}">Study Description</td><td><xsl:value-of select="./StudyDescription"/></td></tr>
			<tr><td style="background-color:{$BGCOLOR1}">Protocol Name</td><td><xsl:value-of select="./ProtocolName"/></td></tr>
		</table>
	</xsl:template>
	
	<!-- Include -->
	<xsl:template match="Include"></xsl:template>
	
	<!-- Protocol -->
	<xsl:template match="Protocol">
		<!--xsl:message>Running Protocol Template</xsl:message-->
		
		<!--xsl:variable name="METADATAVERSION" select="../@MetaDataVersionOID"/-->
		<!-- REPLACED 5.6.2009 to allow for "Insert" Protocols
		<xsl:variable name="STUDYOID" select="../@StudyOID"/>
		-->
		<xsl:variable name="STUDYOID">
			<xsl:choose>
				<xsl:when test="../@StudyOID"><xsl:value-of select="../@StudyOID"/></xsl:when>
				<xsl:when test="../../@StudyOID"><xsl:value-of select="../../@StudyOID"/></xsl:when>
			</xsl:choose>
		</xsl:variable>
		<!--xsl:variable name="METADATAVERSIONOID" select="../@MetaDataVersionOID"/-->
		<!-- 2.3.2011 -->
		<xsl:variable name="METADATAVERSIONOID">
			<xsl:choose>
				<xsl:when test="name(..)='MetaDataVersion'"><xsl:value-of select="../@OID"/></xsl:when>
				<xsl:otherwise><xsl:value-of select="../@MetaDataVersionOID"/></xsl:otherwise>
			</xsl:choose>
		</xsl:variable>
		<h2>Protocol: Study Events for Study <b style="color:{$TITLE_EMPH}"><xsl:value-of select="$STUDYOID"/></b> 
		- MetaDataVersion <b style="color:{$TITLE_EMPH}"><xsl:value-of select="$METADATAVERSIONOID"/></b></h2><br/>
		<!-- TESTING ONLY -->
		<!-- 
		<xsl:message>Protocol template: $METADATAVERSIONOID =  <xsl:value-of select="$METADATAVERSIONOID"/></xsl:message>
		<xsl:if test="$METADATAVERSIONOID = ''">
			<xsl:message>WARNING: EMPTY METADATAVERSIONODID in template for Protocol</xsl:message>
		</xsl:if>
		-->
		
		<!-- ODM 1.3: Description element -->
		<xsl:if test="Description">
			<h3>Protocol Description:</h3>
			<table style="-fs-table-paginate: paginate;" border="{$TABLEBORDERSIZE}" cellpadding="{$PADDING}">
				<thead><tr>
				<td style="background-color:{$BGCOLOR1}">Language</td>
				<td style="background-color:{$BGCOLOR1}">Translated Text</td>
				</tr></thead>
				<xsl:for-each select="Description/TranslatedText">
					<tr>
						<td><xsl:value-of select="@xml:lang"/></td>
						<td><xsl:value-of select="."/></td>
					</tr>
				</xsl:for-each>
				<tfoot><tr><td colspan="2" style="background-color:{$BGCOLOR1}"><i>Protocol Description</i></td></tr></tfoot>
			</table>
		</xsl:if>
		<xsl:variable name="ODMVERSION" select="//Results/@ODMVersion"/>
		<h3>Study Events</h3>
		<table style="-fs-table-paginate: paginate;" border="{$TABLEBORDERSIZE}" cellpadding="{$PADDING}">
			<thead><tr>
				<td style="background-color:{$BGCOLOR1}">Study Event Name</td>
				<td style="background-color:{$BGCOLOR1}">Study Event OID</td>
				<td style="background-color:{$BGCOLOR1}">Order Number</td>
				<td style="background-color:{$BGCOLOR1}">Mandatory ?</td>
				<xsl:if test="$ODMVERSION = '1.3'">
					<td style="background-color:{$BGCOLOR1}">Collection Exception<br/>Condition OID</td>
				</xsl:if>
			</tr></thead>
			<xsl:for-each select="StudyEventRef">
				<xsl:variable name="STUDYEVENTOID" select="@StudyEventOID"/>
				<tr>
					<!-- 3.2.2011 to allow for 'Included' case -->
					<xsl:variable name="STUDYEVENTNAME">
						<xsl:choose>
							<xsl:when test="@StudyEventName"><xsl:value-of select="@StudyEventName"/></xsl:when>
							<!-- case when the "Protocol" comes from an "Include" -->
							<xsl:otherwise><xsl:value-of select="../../StudyEventDef[@OID=$STUDYEVENTOID]/@Name"/></xsl:otherwise>
						</xsl:choose>
					</xsl:variable>
					<td><xsl:value-of select="$STUDYEVENTNAME"/></td>
					<!-- 19.5.2009 provide a link to the StudyEventDef-->
					<xsl:variable name="XPATH">/*[name()='ODM']/*[name()='Study'][@OID='<xsl:value-of select="$STUDYOID"/>']/*[name()='MetaDataVersion'][@OID='<xsl:value-of select="$METADATAVERSIONOID"/>']/*[name()='StudyEventDef'][@OID='<xsl:value-of select="@StudyEventOID"/>']</xsl:variable>
					<td><xsl:element name="a"><xsl:attribute name="href">find:<xsl:value-of select="$XPATH"/></xsl:attribute><xsl:value-of select="@StudyEventOID"/></xsl:element></td>
					<td><xsl:value-of select="@OrderNumber"/></td>
					<td><xsl:value-of select="@Mandatory"/></td>
					<xsl:if test="$ODMVERSION = '1.3'">
						<!--td><xsl:value-of select="@CollectionExceptionConditionOID"/></td-->
						<td>
							<xsl:if test="@CollectionExceptionConditionOID">
								<xsl:variable name="XPATHCONDITION">/*[name()='ODM']/*[name()='Study'][@OID='<xsl:value-of select="$STUDYOID"/>']/*[name()='MetaDataVersion'][@OID='<xsl:value-of select="$METADATAVERSIONOID"/>']/*[name()='ConditionDef'][@OID='<xsl:value-of select="@CollectionExceptionConditionOID"/>']</xsl:variable>
								<xsl:element name="a"><xsl:attribute name="href">find:<xsl:value-of select="$XPATHCONDITION"/></xsl:attribute>
									<xsl:value-of select="@CollectionExceptionConditionOID"/>
								</xsl:element>
							</xsl:if>
						</td>
					</xsl:if>
				</tr>
			</xsl:for-each>
			<tfoot><tr><td colspan="5" style="background-color:{$BGCOLOR1}"><i>Study Events for MetaDataVersion <xsl:value-of select="$METADATAVERSIONOID"/></i></td></tr></tfoot>
		</table>
		<xsl:if test="./Alias and $ODMVERSION='1.3'"><!-- though only present for (included) ODM 1.3.1 -->
			<!-- Aliases -->
			<h4>Aliases:</h4>
				<table style="-fs-table-paginate: paginate;" border="{$TABLEBORDERSIZE}" cellpadding="{$PADDING}">
					<thead><tr><td style="background-color:{$BGCOLOR1}">Alias Context</td><td style="background-color:{$BGCOLOR1}">Alias Name</td></tr></thead>
					<xsl:for-each select="Alias">
						<tr><td><xsl:value-of select="@Context"/></td><td><xsl:value-of select="@Name"/></td></tr>
					</xsl:for-each>
					<tfoot><tr><td colspan="2" style="background-color:{$BGCOLOR1}"><i>Aliases for Item <xsl:value-of select="@Name"/></i></td></tr></tfoot>
				</table>
		</xsl:if>
		<h5><a href="#top">Back to top</a></h5>
	</xsl:template>
	
	<!-- ====================================================== -->
	<!-- ItemGroupData: one table per subject per ItemGroupData -->
	<!-- ====================================================== -->
	<xsl:template match="ItemGroupData">
		<xsl:variable name="STUDYOID" select="../@StudyOID"/>
		<xsl:variable name="METADATAVERSIONOID" select="../@MetaDataVersionOID"/>
		<xsl:variable name="NAME">
			<!-- If possible, give the name instead of the OID -->
			<xsl:choose>
				<xsl:when test="@ItemGroupName != ''">
					<xsl:value-of select="@ItemGroupName"/>
				</xsl:when>
				<xsl:otherwise><xsl:value-of select="@ItemGroupOID"/></xsl:otherwise>
			</xsl:choose> 
		</xsl:variable>
		<h3>Item Group: <font color="{$EMPH}">
			<xsl:value-of select="$NAME"/>
			</font><br/> 
			Repeat Key: <font color="{$EMPH}"><xsl:value-of select="@ItemGroupRepeatKey"/></font><br/> 
			Transaction Type: <font color="{$EMPH}"><xsl:value-of select="@TransactionType"/></font>
		</h3>
		<xsl:apply-templates select="AdditionalInfo"/>
		<table style="-fs-table-paginate: paginate;" border="{$TABLEBORDERSIZE}" cellpadding="{$PADDING}">
			<!-- 25.8.2007: added <thead> and <tfoot> -->
			<thead>
			<tr bgcolor="{$BGCOLOR1}">
				<td style="background-color:{$BGCOLOR1}">Item OID</td>
				<td style="background-color:{$BGCOLOR1}">Item Name</td>
				<td style="background-color:{$BGCOLOR1}">Item Value</td>
				<td style="background-color:{$BGCOLOR1}">Transaction<br/>Type</td>
				<td style="background-color:{$BGCOLOR1}">is null?</td>
				<td style="background-color:{$BGCOLOR1}">Measurement<br/>Unit<br/>Reference</td>
				<td style="background-color:{$BGCOLOR1}">Audit<br/>Record</td>
				<td style="background-color:{$BGCOLOR1}">Signature</td>
				<td style="background-color:{$BGCOLOR1}">Annotations</td>
			</tr></thead>
			<!-- pre-ODM 1.3 <xsl:for-each select="ItemData">
				-->
			<!-- ODM 1.3.1: added support for ItemDataIncompleteDate and ItemDataIncompleteTime -->
			<xsl:for-each select="ItemData | ItemDataString | ItemDataInteger | ItemDataFloat | ItemDataDate | ItemDataTime 
				| ItemDataDatetime | ItemDataBoolean | ItemDataDouble | ItemDataHexBinary | ItemDataBase64Binary  | ItemDataHexFloat 
				| ItemDataBase64Float | ItemDataPartialDate | ItemDataPartialTime | ItemDataPartialDatetime | ItemDataDurationDatetime 
				| ItemDataIntervalDatetime | ItemDataIncompleteDatetime | ItemDataIncompleteDate | ItemDataIncompleteTime | ItemDataURI | ItemDataAny">
				<tr>
					<td>
						<xsl:choose>
							<xsl:when test="$ADDHYPERLINKSTOMETADATA = 'true'">
								<xsl:element name="a">
									<xsl:attribute name="href">find:/*[name()='ODM']/*[name()='Study'][@OID='<xsl:value-of select="$STUDYOID"/>']/*[name()='MetaDataVersion'][@OID='<xsl:value-of select="$METADATAVERSIONOID"/>']/*[name()='ItemDef'][@OID='<xsl:value-of select="@ItemOID"/>']</xsl:attribute>
									<xsl:value-of select="@ItemOID"/>
								</xsl:element>
							</xsl:when>
							<xsl:otherwise><xsl:value-of select="@ItemOID"/></xsl:otherwise>
						</xsl:choose>
					</td>
					<td><xsl:call-template name="mysplit">
						<xsl:with-param name="input" select="@ItemName"/>
						<xsl:with-param name="width" select="20"/>
					</xsl:call-template></td> 
					<td>
						<xsl:choose>
							<xsl:when test="@IsNull">NULL</xsl:when>
							<xsl:otherwise><xsl:value-of select="@RealValue"/></xsl:otherwise>
						</xsl:choose>
					</td>
					<td><xsl:value-of select="@TransactionType"/></td>
					<td><xsl:value-of select="@IsNull"/></td>
					<td>
						<xsl:variable name="MEASUREMENTUNITOID" select="MeasurementUnitRef/@MeasurementUnitOID"/>
						<xsl:variable name="MEASUREMENTUNITNAME" select="MeasurementUnitRef/@MeasurementUnitName"/>
						<xsl:choose>
							<xsl:when test="$ADDHYPERLINKSTOMETADATA = 'true'">
								<xsl:element name="a">
									<xsl:attribute name="href">find:/*[name()='ODM']/*[name()='Study'][@OID='<xsl:value-of select="$STUDYOID"/>']/*[name()='BasicDefinitions']/*[name()='MeasurementUnit'][@OID='<xsl:value-of select="$MEASUREMENTUNITOID"/>']</xsl:attribute>
									<xsl:value-of select="$MEASUREMENTUNITNAME"/>
								</xsl:element>
							</xsl:when>
							<xsl:otherwise><xsl:value-of select="$MEASUREMENTUNITNAME"/></xsl:otherwise>
						</xsl:choose>
						<!--xsl:value-of select="MeasurementUnitRef/@MeasurementUnitName"/-->
					</td>
					<td>
						<xsl:if test="AuditRecord">
							<xsl:variable name="ITEMOID"><xsl:value-of select="@ItemOID"/></xsl:variable>
							<a href="#{$ITEMOID}">Yes</a>
						</xsl:if>
					</td>
					<td>
						<xsl:if test="Signature">
							<xsl:variable name="SIGNATUREOID">signature_<xsl:value-of select="@ItemOID"/></xsl:variable>
							<a href="#{$SIGNATUREOID}">Yes</a>
						</xsl:if>
					</td>
					<td>
						<xsl:if test="Annotation">
							<xsl:variable name="ANNOTATIONOID">annotation_<xsl:value-of select="@ItemOID"/></xsl:variable>
							<a href="#{$ANNOTATIONOID}"><xsl:value-of select="@SeqNum"/>Yes</a>
						</xsl:if>
					</td>
				</tr>
			</xsl:for-each>
			<tfoot><tr><td colspan="10" style="background-color:{$BGCOLOR1}"><i>Item Group <xsl:value-of select="$NAME"/></i></td></tr></tfoot>
		</table>
		<h5><a href="#top">Back to top</a></h5>
		<!-- There can be only 1 signature for the item group -->
		<xsl:if test="Signature">
			<h3>Signature for this Item Group:</h3>
			<xsl:apply-templates select="Signature"/>
		</xsl:if>
		<!-- 11.9.2014 - Signature inherited from FormData -->
		<xsl:if test="$INHERITSIGNATURES = 'true' and ./AdditionalInfo/FormDataSignature/Signature">
			<h3>Signature for this Item Group inherited from FormData:</h3>
			<xsl:apply-templates select="./AdditionalInfo/FormDataSignature/Signature"/>
		</xsl:if>
		<xsl:if test="$INHERITSIGNATURES = 'true' and ./AdditionalInfo/StudyEventDataSignature/Signature">
			<h3>Signature for this Item Group inherited from StudyEventData:</h3>
			<xsl:apply-templates select="./AdditionalInfo/StudyEventDataSignature/Signature"/>
		</xsl:if>
		<xsl:if test="$INHERITSIGNATURES = 'true' and ./AdditionalInfo/SubjectDataSignature/Signature">
			<h3>Signature for this Item Group inherited from SubjectData:</h3>
			<xsl:apply-templates select="./AdditionalInfo/SubjectDataSignature/Signature"/>
		</xsl:if>
		<!-- there can be only 1 AuditRecord for this Item Group -->
		<xsl:if test="AuditRecord">
			<h3>Audit Record for this Item Group:</h3>
			<xsl:apply-templates select="AuditRecord"/>
		</xsl:if>
		<!-- 11.9.2014 - AuditRecord inherited from FormData -->
		<xsl:if test="$INHERITAUDITRECORDS = 'true' and ./AdditionalInfo/FormDataAuditRecord/AuditRecord">
			<h3>Audit Record for this Item Group inherited from FormData:</h3>
			<xsl:apply-templates select="./AdditionalInfo/FormDataAuditRecord/AuditRecord"/>
		</xsl:if>
		<xsl:if test="$INHERITAUDITRECORDS = 'true' and ./AdditionalInfo/StudyEventDataAuditRecord/AuditRecord">
			<h3>Audit Record for this Item Group inherited from StudyEventData:</h3>
			<xsl:apply-templates select="./AdditionalInfo/StudyEventDataAuditRecord/AuditRecord"/>
		</xsl:if>
		<xsl:if test="$INHERITAUDITRECORDS = 'true' and ./AdditionalInfo/SubjectDataAuditRecord/AuditRecord">
			<h3>Audit Record for this Item Group inherited from SubjectData:</h3>
			<xsl:apply-templates select="./AdditionalInfo/SubjectDataAuditRecord/AuditRecord"/>
		</xsl:if>
		<!-- Annotations for this ItemGroup -->
		<xsl:if test="Annotation">
			<h3>Annotations for this Item Group:</h3>
			<xsl:call-template name="AnnotationsTemplate">
				<xsl:with-param name="ANNOTATIONSPARENT" select="."/>
			</xsl:call-template>
		</xsl:if>
		<!-- 13.9.2014 - inherited Annotations -->
		<!--xsl:message>$INHERITANNOTATIONS = <xsl:value-of select="$INHERITANNOTATIONS"/></xsl:message-->
		<xsl:if test="$INHERITANNOTATIONS = 'true' and ./AdditionalInfo/FormDataAnnotations/Annotation">
			<xsl:message>Treating inherited annotations on FormData level</xsl:message>
			<h3>Annotations for this Item Group inherited from FormData</h3>
			<xsl:call-template name="AnnotationsTemplate">
				<xsl:with-param name="ANNOTATIONSPARENT" select="./AdditionalInfo/FormDataAnnotations"/>
			</xsl:call-template>
		</xsl:if>
		<xsl:if test="$INHERITANNOTATIONS = 'true' and ./AdditionalInfo/StudyEventDataAnnotations/Annotation">
			<xsl:message>Treating inherited annotations on StudyEventData level</xsl:message>
			<h3>Annotations for this Item Group inherited from StudyEventData</h3>
			<xsl:call-template name="AnnotationsTemplate">
				<xsl:with-param name="ANNOTATIONSPARENT" select="./AdditionalInfo/StudyEventDataAnnotations"/>
			</xsl:call-template>
		</xsl:if>
		<xsl:if test="$INHERITANNOTATIONS = 'true' and ./AdditionalInfo/SubjectDataAnnotations/Annotation">
			<xsl:message>Treating inherited annotations on SubjectData level</xsl:message>
			<h3>Annotations for this Item Group inherited from SubjectData</h3>
			<xsl:call-template name="AnnotationsTemplate">
				<xsl:with-param name="ANNOTATIONSPARENT" select="./AdditionalInfo/SubjectDataAnnotations"/>
			</xsl:call-template>
		</xsl:if>
		<!-- AuditRecords, Signatures and Annotations for each of the Items -->
		<xsl:for-each select="ItemData">
			<xsl:if test="AuditRecord">
				<xsl:variable name="ITEMOID" select="@ItemOID"/>
				<!--h4><font color="black">AuditRecord for Item</font> <font color="{$EMPH}"><b><xsl:value-of select="@ItemName"/></b>/font></h4-->
				<h4><b><a name="{$ITEMOID}" id="{$ITEMOID}">AuditRecord for Item</a> '<b style="color:blue"><xsl:value-of select="@ItemName"/></b>'</b></h4>
				<xsl:apply-templates select="AuditRecord"/>
			</xsl:if>
			<xsl:if test="Signature">
				<xsl:variable name="SIGNATUREOID">signature_<xsl:value-of select="@ItemOID"/></xsl:variable>
				<h4><a name="{$SIGNATUREOID}" id="{$SIGNATUREOID}">Signature for Item</a> '<b style="color:blue"><xsl:value-of select="@ItemName"/></b>'</h4>
				<xsl:apply-templates select="Signature"/>
			</xsl:if>
			<xsl:if test="Annotation">
				<xsl:variable name="ANNOTATIONOID">annotation_<xsl:value-of select="@ItemOID"/></xsl:variable>
				<h4><a name="{$ANNOTATIONOID}" id="{$ANNOTATIONOID}">Annotations for Item</a> '<b style="color:blue"><xsl:value-of select="@ItemName"/></b>'</h4>
				<!-- call a special template and pass this ItemData element to it -->
				<xsl:call-template name="AnnotationsTemplate">
					<xsl:with-param name="ANNOTATIONSPARENT" select="."/>
				</xsl:call-template>
			</xsl:if>
		</xsl:for-each>
	</xsl:template>
	
	<!-- a template for a horizontal presentation (each row is an ItemGroup, ItemData in columns) of ItemGroupData -->
	<xsl:template name="ItemGroupDataHorizontal">
		<!-- 29.1.2007: parameter ISREFERENCEDATA :
			0 : ClinicalData
			1 : ReferenceData
			-->
		<xsl:param name="ISREFERENCEDATA">0</xsl:param><!-- Default : ClinicalData -->
		<!-- 31.8.2007 -->
		<xsl:param name="ITEMGROUPNAME"> </xsl:param>
		<xsl:message>Generating data for ITEMGROUPNAME = <xsl:value-of select="$ITEMGROUPNAME"/></xsl:message>
		<xsl:variable name="STUDYOID" select="@StudyOID"/>
		<xsl:variable name="METADATAVERSIONOID" select="@MetaDataVersionOID"/>
		<!--h3>Item Group: <font color="{$EMPH}"><xsl:value-of select="ItemGroupData/@ItemGroupOID"/></font></h3-->
		<!-- This template only works if all the ItemGroupData elements have the same OID, i.e.
			the data must all be repetitions of the same ItemGroup but with (usually) different data -->
		<!-- first find all (unique) ItemOID's from the ItemData -->
		<!-- the way to do it in XSLT1 
		<xsl:variable name="unique-ItemDataOID" 
			  		select="ItemGroupData/ItemData[generate-id(.) = generate-id(key('ItemData-key',@ItemOID))]/@ItemOID"></xsl:variable>
		-->
		<!-- The way to do it in XSLT2 -->
		<!--xsl:variable name="unique-ItemDataOID" select="distinct-values(ItemGroupData/ItemData/@ItemOID)"/-->
		<!-- pre-ODM 1.3 <xsl:variable name="unique-ItemDataName" select="distinct-values(ItemGroupData/ItemData/@ItemName)"/> -->
		<xsl:variable name="unique-ItemDataName" select="distinct-values(ItemGroupData/*[starts-with(name(),'ItemData')]/@ItemName)"/>
		<!-- we still need to have access to the current tree when we are looping over the unique OIDs ! -->
		<xsl:variable name="ITEMGROUPDATA">
			<xsl:for-each select="./*"><xsl:copy-of select="."/></xsl:for-each>
		</xsl:variable>
		<!-- alternative 8.6.2009 -->
		<xsl:variable name="unique-ItemDataOID" select="distinct-values(ItemGroupData/*[starts-with(name(),'ItemData')]/@ItemOID)"/>
		<xsl:variable name="ITEMSUNIQUE">
			<xsl:for-each select="$unique-ItemDataOID">
				<xsl:variable name="ITEMOID" select="."/>
				<!--xsl:message>unique ItemOID = <xsl:value-of select="."/></xsl:message-->
				<xsl:variable name="ITEMNAME" select="($ITEMGROUPDATA/ItemGroupData/*[starts-with(name(),'ItemData')][@ItemOID=$ITEMOID]/@ItemName)[1]"/>
				<xsl:element name="ITEM">
					<xsl:attribute name="ItemOID"><xsl:value-of select="$ITEMOID"/></xsl:attribute>
					<xsl:attribute name="ItemName"><xsl:value-of select="$ITEMNAME"/></xsl:attribute>
				</xsl:element>
			</xsl:for-each>
		</xsl:variable>
                      
		<!-- now construct a table with each of the ItemData as a column -->
		<!--xsl:message>Drawing table ...</xsl:message-->
		<table style="-fs-table-paginate: paginate; max-width: 100;" border="{$TABLEBORDERSIZE}" cellpadding="{$PADDING}">
			<thead><tr>
				<xsl:if test="$ISREFERENCEDATA = 0"><!-- data is clinical data, not ReferenceData -->
					<td style="background-color:{$BGCOLOR1}">Subject</td>
					<td style="background-color:{$BGCOLOR1}">StudyEvent<br/>(and RepeatKey)</td>
					<td style="background-color:{$BGCOLOR1}">Form<br/>(and RepeatKey)</td>
				</xsl:if>
				<td style="background-color:{$BGCOLOR1}">ItemGroup<br/>RepeatKey</td>
				<td style="background-color:{$BGCOLOR1}">Transaction<br/>Type</td>
				<!--xsl:for-each select="$unique-ItemDataOID"-->
				<!--xsl:for-each select="$unique-ItemDataName"-->
				<xsl:for-each select="$ITEMSUNIQUE/*">
					<!--xsl:message>element name = <xsl:value-of select="name(.)"/></xsl:message-->
					<!--xsl:for-each select="@*"><xsl:message>attribute = <xsl:value-of select="name(.)"/></xsl:message></xsl:for-each-->
         			<!--td style="background-color:{$BGCOLOR1}"><xsl:value-of select="."/></td-->
         			<td style="background-color:{$BGCOLOR1}">
         				<!--xsl:value-of select="."/-->
         				<xsl:variable name="ITEMNAME">
         					<xsl:call-template name="mysplit">
         						<!--xsl:with-param name="input" select="."/-->
         						<xsl:with-param name="input" select="@ItemName"/>
         						<xsl:with-param name="width" select="20"/>
         					</xsl:call-template>
         				</xsl:variable>
         				<!-- TODO: make link conditional -->
         				<xsl:choose>
         					<xsl:when test="$ADDHYPERLINKSTOMETADATA = 'true'">
         						<xsl:element name="a">
         							<xsl:attribute name="href">find:/*[name()='ODM']/*[name()='Study'][@OID='<xsl:value-of select="$STUDYOID"/>']/*[name()='MetaDataVersion'][@OID='<xsl:value-of select="$METADATAVERSIONOID"/>']/*[name()='ItemDef'][@OID='<xsl:value-of select="@ItemOID"/>']</xsl:attribute>
         							<xsl:value-of select="$ITEMNAME"/>
         						</xsl:element>
         					</xsl:when>
         					<xsl:otherwise><xsl:value-of select="$ITEMNAME"/></xsl:otherwise>
         				</xsl:choose>
         			</td>
				</xsl:for-each>  
				<!-- 5.6.2009 -->
				<xsl:if test="$ISREFERENCEDATA = 0 and $SHOWINVESTIGATORINFO = 'true'">
					<td style="background-color:{$BGCOLOR1}"><i>Investigator</i></td>
				</xsl:if>
				<xsl:if test="$ISREFERENCEDATA = 0 and $SHOWSITEINFO = 'true'">
					<td style="background-color:{$BGCOLOR1}"><i>Site</i></td>
				</xsl:if>
			</tr></thead>
			<!-- make a row for each ItemGroupData and fill in the values -->
			<xsl:for-each select="ItemGroupData">
				<!-- construct a full list of all data -->
				<!-- ODM 1.3.1: added support for ItemDataIncompleteDate and ItemDataIncompleteTime -->
				<xsl:variable name="ITEMDATA" select="ItemData | ItemDataString | ItemDataInteger | ItemDataFloat | ItemDataDate | ItemDataTime     
					 | ItemDataDatetime | ItemDataBoolean | ItemDataDouble | ItemDataHexBinary | ItemDataBase64Binary  | ItemDataHexFloat     
					 | ItemDataBase64Float | ItemDataPartialDate | ItemDataPartialTime | ItemDataPartialDatetime | ItemDataDurationDatetime     
					 | ItemDataIntervalDatetime | ItemDataIncompleteDatetime | ItemDataIncompleteDate | ItemDataIncompleteTime | ItemDataURI | ItemDataAny"/>				
				<tr>
					<!-- add some additional data from higher levels -->
					<xsl:if test="$ISREFERENCEDATA = 0">
						<td>
							<!-- 2009-12-16: splitting causes problems when the SubjectKey is a GUID -->
							<!--xsl:call-template name="mysplit">
								<xsl:with-param name="input" select="AdditionalInfo/SubjectKey"/>
								<xsl:with-param name="width" select="20"/>
							</xsl:call-template-->
							<xsl:value-of select="AdditionalInfo/SubjectKey"/>
						</td>
						<!--td><xsl:value-of select="AdditionalInfo/StudyEventOID"/></td-->
						<!-- TODO: add link conditionally -->
						<td>
							<xsl:variable name="STUDYEVENT" select="AdditionalInfo/StudyEventName"/>
							<xsl:variable name="STUDYEVENTOID" select="AdditionalInfo/StudyEventOID"/>
							<xsl:variable name="CELLTEXT">
								<xsl:call-template name="mysplit">
									<xsl:with-param name="input" select="$STUDYEVENT"/>
									<xsl:with-param name="width" select="20"/>
								</xsl:call-template>
							</xsl:variable>
							<xsl:choose>
								<xsl:when test="$ADDHYPERLINKSTOMETADATA = 'true'">
									<xsl:element name="a">
										<xsl:attribute name="href">find:/*[name()='ODM']/*[name()='Study'][@OID='<xsl:value-of select="$STUDYOID"/>']/*[name()='MetaDataVersion'][@OID='<xsl:value-of select="$METADATAVERSIONOID"/>']/*[name()='StudyEventDef'][@OID='<xsl:value-of select="$STUDYEVENTOID"/>']</xsl:attribute>
										<!-- the text itself -->
										<xsl:value-of select="$CELLTEXT"/>
									</xsl:element>
								</xsl:when>
								<xsl:otherwise><xsl:value-of select="$CELLTEXT"/></xsl:otherwise>
							</xsl:choose>
							<!-- StudyEventRepeatKey when present -->
							<xsl:if test="AdditionalInfo/StudyEventRepeatKey">
								<br/>(<xsl:value-of select="AdditionalInfo/StudyEventRepeatKey"/>)
							</xsl:if>
						</td>
						<td>
							<!-- TODO: add link conditionally -->
							<xsl:variable name="FORMOID" select="AdditionalInfo/FormOID"/>
							<xsl:variable name="CELLTEXT">
								<xsl:call-template name="mysplit">
									<xsl:with-param name="input" select="AdditionalInfo/FormName"/>
									<xsl:with-param name="width" select="20"/>
								</xsl:call-template>
							</xsl:variable>
							<xsl:choose>
								<xsl:when test="$ADDHYPERLINKSTOMETADATA = 'true'">
									<xsl:element name="a">
										<xsl:attribute name="href">find:/*[name()='ODM']/*[name()='Study'][@OID='<xsl:value-of select="$STUDYOID"/>']/*[name()='MetaDataVersion'][@OID='<xsl:value-of select="$METADATAVERSIONOID"/>']/*[name()='FormDef'][@OID='<xsl:value-of select="$FORMOID"/>']</xsl:attribute>
										<xsl:value-of select="$CELLTEXT"/>
									</xsl:element>
								</xsl:when>
								<xsl:otherwise><xsl:value-of select="$CELLTEXT"/></xsl:otherwise>
							</xsl:choose>
							<!-- 29.5.2009 -->
							<xsl:if test="AdditionalInfo/FormRepeatKey">
								<br/>(<xsl:value-of select="AdditionalInfo/FormRepeatKey"/>)
							</xsl:if>
							<!--xsl:value-of select="AdditionalInfo/FormName"/-->
						</td>
					</xsl:if>
					<td><xsl:value-of select="@ItemGroupRepeatKey"/></td>
					<td><xsl:value-of select="@TransactionType"/></td>
					<!-- make a new cell for each unique ItemData -->
					<!--xsl:for-each select="$unique-ItemDataOID"-->
					<xsl:for-each select="$unique-ItemDataName">
						<!-- create a new cell and if there is some contents for it, then add it -->
						<td>
							<xsl:variable name="UNIQUE" select="."/>
							<!-- loop over the ItemData and if OID matches, print in cell -->
							<xsl:for-each select="$ITEMDATA">
								<!-- create a new cell and if there is some contents for it, then add it -->
								<!--xsl:if test="@ItemOID = $UNIQUE"-->
								<xsl:if test="@ItemName = $UNIQUE">
									<!-- check for IsNull attribute -->
									<xsl:choose>
										<xsl:when test="@IsNull">NULL</xsl:when>
										<xsl:otherwise>
											<xsl:call-template name="mysplit">
												<xsl:with-param name="input" select="@RealValue"/>
												<xsl:with-param name="width" select="20"/>
											</xsl:call-template>
											<!--xsl:value-of select="@RealValue"/-->
											<!-- add the units when present, between brackets -->
											<xsl:if test="./MeasurementUnitRef">
												<!-- and add an hyperlink when appropriate -->
												<xsl:variable name="MEASUREMENTUNITOID" select="./MeasurementUnitRef/@MeasurementUnitOID"/>	
												<xsl:choose>
													<xsl:when test="$ADDHYPERLINKSTOMETADATA = 'true'">
														<xsl:element name="a">
															<xsl:attribute name="href">find:/*[name()='ODM']/*[name()='Study'][@OID='<xsl:value-of select="$STUDYOID"/>']/*[name()='BasicDefinitions']/*[name()='MeasurementUnit'][@OID='<xsl:value-of select="$MEASUREMENTUNITOID"/>']</xsl:attribute>
															(<xsl:value-of select="./MeasurementUnitRef/@MeasurementUnitName"/>)
														</xsl:element>
													</xsl:when>
													<xsl:otherwise>(<xsl:value-of select="./MeasurementUnitRef/@MeasurementUnitName"/>)</xsl:otherwise>
												</xsl:choose>											
											</xsl:if>
											
											<!--xsl:value-of select="@RealValue"/-->
										</xsl:otherwise>
									</xsl:choose>
								</xsl:if>	
							</xsl:for-each>
						</td>
					</xsl:for-each>
					<!-- 5.6.2009 Site and Investigator Info -->
					<xsl:if test="$ISREFERENCEDATA = 0 and $SHOWINVESTIGATORINFO = 'true'">
						<xsl:variable name="INVESTIGATORNAME" select="AdditionalInfo/InvestigatorName"/>
						<xsl:variable name="INVESTIGATOROID" select="AdditionalInfo/InvestigatorOID"/>
						<td><i>
							<xsl:choose>
								<xsl:when test="$ADDHYPERLINKSTOADMINDATA = 'true'">
									<xsl:element name="a">
										<xsl:attribute name="href">find:/*[name()='ODM']/*[name()='AdminData'][@StudyOID='<xsl:value-of select="$STUDYOID"/>']/*[name()='User'][@OID='<xsl:value-of select="$INVESTIGATOROID"/>']</xsl:attribute>
										<xsl:value-of select="$INVESTIGATORNAME"/>
									</xsl:element>
								</xsl:when>
								<xsl:otherwise><xsl:value-of select="$INVESTIGATORNAME"/></xsl:otherwise>
							</xsl:choose>
							
						</i></td>
					</xsl:if>
					<xsl:if test="$ISREFERENCEDATA = 0 and $SHOWSITEINFO = 'true'">
						<xsl:variable name="SITENAME" select="AdditionalInfo/SiteName"/>
						<xsl:variable name="SITEOID" select="AdditionalInfo/SiteOID"/>
						<td><i>
							<xsl:choose>
								<xsl:when test="$ADDHYPERLINKSTOADMINDATA = 'true'">
									<xsl:element name="a">
										<xsl:attribute name="href">find:/*[name()='ODM']/*[name()='AdminData'][@StudyOID='<xsl:value-of select="$STUDYOID"/>']/*[name()='Location'][@OID='<xsl:value-of select="$SITEOID"/>']</xsl:attribute>
										<xsl:value-of select="$SITENAME"/>
									</xsl:element>
								</xsl:when>
								<xsl:otherwise><xsl:value-of select="$SITENAME"/></xsl:otherwise>
							</xsl:choose>
						</i></td>
					</xsl:if>
				</tr>
			</xsl:for-each>
			<tfoot><tr><td colspan="100" style="background-color:{$BGCOLOR1}"><i>
				<xsl:choose>
					<xsl:when test="$ISREFERENCEDATA = 1">Reference Data</xsl:when>
					<xsl:otherwise>Clinical Data 
						<xsl:if test="$ITEMGROUPNAME != ''">for Item Group <xsl:value-of select="$ITEMGROUPNAME"/>
						</xsl:if>
					</xsl:otherwise>
				</xsl:choose>
			</i></td></tr></tfoot>
		</table>
		<h5><a href="#top">Back to top</a></h5>
	</xsl:template>
	
	
	<!-- A template for transforming a datetime into a nicer readable format -->
	<xsl:template name="DateTime2String">
		<xsl:param name="datetime"/>
		<!-- first split the date from the time using the 'T' delimiter -->
		<xsl:variable name="DATE" select="substring-before($datetime,'T')"/>
		<xsl:variable name="TIME_TIMEZONE" select="substring-after($datetime,'T')"/>
		<!-- Strip the time zone from the Time part -->
		<xsl:variable name="TIME">
			<xsl:choose>
				<xsl:when test="contains($TIME_TIMEZONE,'+')">
				<xsl:value-of select="substring-before($TIME_TIMEZONE,'+')"/>
			</xsl:when>
			<xsl:when test="contains($TIME_TIMEZONE,'-')">
				<xsl:value-of select="substring-before($TIME_TIMEZONE,'-')"/>
			</xsl:when>
			<xsl:otherwise><xsl:value-of select="$TIME_TIMEZONE"/></xsl:otherwise>
		</xsl:choose>
		</xsl:variable>
		<xsl:variable name="TIMEZONE">
			<xsl:choose>
				<!-- remark the plus just before the <xsl:value-of -->
				<xsl:when test="contains($TIME_TIMEZONE,'+')">+<xsl:value-of select="substring-after($TIME_TIMEZONE,'+')"/>
				</xsl:when>
				<!-- remark the minus just before the <xsl:value-of -->
				<xsl:when test="contains($TIME_TIMEZONE,'-')">-<xsl:value-of select="substring-after($TIME_TIMEZONE,'-')"/>
				</xsl:when>
		</xsl:choose>
		</xsl:variable>
		<!-- format the date using the Date2String template -->
		Date: <xsl:call-template name="Date2String"><xsl:with-param name="date" select="$DATE"/></xsl:call-template><br/>
		Time: <!--xsl:value-of select="get-hours-from-dateTime($datetime)"/> <xsl:value-of select="get-minutes-from-dateTime($datetime)"/> <xsl:value-of select="get-seconds-from-dateTime($datetime)"/-->
		<xsl:value-of select="$TIME"/><br/>	
		<xsl:if test="$TIMEZONE != ''">Time Zone: Deviation from UTC: <xsl:value-of select="$TIMEZONE"/> hours.</xsl:if>
		
		<!--xsl:value-of select="get-timezone-from-dateTime($datetime)"/-->
		<!-- get-timezone-from-dateTime does not work in saxon8b-2 -->
		
		<!--xsl:template name="dt:get-xsd-datetime-timezone"><xsl:param name="xsd-date-time"/>  ...</xsl:template-->

	</xsl:template>
	
	<!-- A template for tranforming a date into a nicer readable format -->
	<xsl:template name="Date2String">
		<xsl:param name="date"/>
		<xsl:variable name="YEAR" select="substring-before($date,'-')"/>
		<xsl:variable name="REMAIN" select="substring-after($date,'-')"/>
		<xsl:variable name="DAY" select="substring-after($REMAIN,'-')"/>
		<xsl:variable name="MONTH" select="substring-before($REMAIN,'-')"/>
		<xsl:call-template name="Month2String"><xsl:with-param name="month" select="$MONTH"/></xsl:call-template>, <xsl:value-of select="$DAY"/>, <xsl:value-of select="$YEAR"/>
	</xsl:template>
	
	<!-- A template for transforming a month number into a month string -->
	<xsl:template name="Month2String">
		<xsl:param name="month"/>
		<xsl:choose>
			<xsl:when test="$month='1' or $month='01'">January</xsl:when>
			<xsl:when test="$month='2' or $month='02'">February</xsl:when>
			<xsl:when test="$month='3' or $month='03'">March</xsl:when>
			<xsl:when test="$month='4' or $month='04'">April</xsl:when>
			<xsl:when test="$month='5' or $month='05'">May</xsl:when>
			<xsl:when test="$month='6' or $month='06'">June</xsl:when>
			<xsl:when test="$month='7' or $month='07'">July</xsl:when>
			<xsl:when test="$month='8' or $month='08'">August</xsl:when>
			<xsl:when test="$month='9' or $month='09'">September</xsl:when>
			<xsl:when test="$month='10'">October</xsl:when>
			<xsl:when test="$month='11'">November</xsl:when>
			<xsl:when test="$month='12'">December</xsl:when>
		</xsl:choose>
	</xsl:template>
	
	<!-- a template for an Audit Record -->
	<xsl:template match="AuditRecord">
		<!-- 11.9.2014 -->
		<xsl:variable name="STUDYOID">
			<xsl:choose>
				<xsl:when test="name(..)='ItemGroupData'">
					<!--xsl:message>Parent is ItemGroupData</xsl:message-->
					<xsl:value-of select="../../@StudyOID"/>
				</xsl:when>
				<xsl:when test="name(..)='ItemData'">
					<!--xsl:message>Parent is ItemData</xsl:message-->
					<xsl:value-of select="../../../@StudyOID"/>
				</xsl:when>
				<xsl:when test="name(../..) = 'AdditionalInfo'">
					<!--xsl:message>Grandparent = AdditionalInfo</xsl:message-->
					<xsl:value-of select="../../../../@StudyOID"/>
				</xsl:when>
				<xsl:otherwise>
					<!--xsl:message>OTHER parent = <xsl:value-of select="name(..)"/></xsl:message-->
				</xsl:otherwise>
			</xsl:choose>
		</xsl:variable>
		<!--xsl:message>STUDYOID = <xsl:value-of select="$STUDYOID"/></xsl:message-->
		<table border="{$TABLEBORDERSIZE}" cellpadding="{$PADDING}">
				<!-- User: Translate UserOID in real name when available -->
				<tr>
					<td style="background-color:{$BGCOLOR1}">User</td>
					<td>
						<!-- add hyperlink when appropriate -->
						<xsl:choose>
							<xsl:when test="$ADDHYPERLINKSTOADMINDATA = 'true'">

								<xsl:element name="a">
									<xsl:attribute name="href">find:/*[name()='ODM']/*[name()='AdminData'][@StudyOID='<xsl:value-of select="$STUDYOID"/>']/*[name()='User'][@OID='<xsl:value-of select="UserRef/@UserOID"/>']</xsl:attribute>
									<xsl:value-of select="UserRef/@UserName"/>
								</xsl:element>
							</xsl:when>
							<xsl:otherwise><xsl:value-of select="UserRef/@UserName"/></xsl:otherwise>
						</xsl:choose>
					</td>	
				</tr>
				<!-- LocationOID in real name when available -->
				<tr><td style="background-color:{$BGCOLOR1}">Location</td>
					<td>
						<xsl:choose>
						<xsl:when test="$ADDHYPERLINKSTOADMINDATA = 'true'">
								<xsl:element name="a">
									<!--xsl:attribute name="href">find:/*[name()='ODM']/*[name()='AdminData'][@StudyOID='<xsl:value-of select="../../@StudyOID"/>']/*[name()='Location'][@OID='<xsl:value-of select="LocationRef/@LocationOID"/>']</xsl:attribute-->
									<xsl:attribute name="href">find:/*[name()='ODM']/*[name()='AdminData'][@StudyOID='<xsl:value-of select="$STUDYOID"/>']/*[name()='Location'][@OID='<xsl:value-of select="LocationRef/@LocationOID"/>']</xsl:attribute>
									<xsl:value-of select="LocationRef/@LocationName"/>
								</xsl:element>
							</xsl:when>
							<xsl:otherwise><xsl:value-of select="LocationRef/@LocationName"/></xsl:otherwise>
						</xsl:choose>
					</td>
				</tr>
				<tr><td style="background-color:{$BGCOLOR1}">Date and Time Stamp</td>
					<td>
						<xsl:choose>
							<xsl:when test="$DATETIMESTAMPASTEXT = 'true'">
								<xsl:call-template name="DateTime2String">
									<xsl:with-param name="datetime" select="DateTimeStamp"/>
								</xsl:call-template>
							</xsl:when>
							<xsl:otherwise><xsl:value-of select="DateTimeStamp"/></xsl:otherwise>
						</xsl:choose>
					</td>
				</tr>
				<tr><td style="background-color:{$BGCOLOR1}">Reason for Change</td><td><xsl:value-of select="ReasonForChange"/></td></tr>
				<tr><td style="background-color:{$BGCOLOR1}">Source ID</td><td><xsl:value-of select="SourceID"/></td></tr>
				<tr><td style="background-color:{$BGCOLOR1}">Edit Point</td><td><xsl:value-of select="@EditPoint"/></td></tr>
				<tr><td style="background-color:{$BGCOLOR1}">Imputation Method Used ?</td><td><xsl:value-of select="@UsedImputationMethod"/></td></tr>
		</table>
		<h5><a href="#top">Back to top</a></h5>
	</xsl:template>
	
	<!-- A special template for setting up a table with annotations -->
	<xsl:template name="AnnotationsTemplate">
		<xsl:param name="ANNOTATIONSPARENT"/> <!-- The parent that contains the Annotations subelements -->
		<!-- where can I find the StudyOID and the MetaDataVersionOID -->
		<xsl:variable name="STUDYOID" select="//Results/@StudyOID"/>
		<xsl:variable name="METADATAVERSIONOID" select="//Results/@MetaDataVersionOID"/>
		<!-- ODM 1.3: Annotation has an ID attribute (optional) -->
		<xsl:variable name="ODMVERSION" select="//Results/@ODMVersion"/>
		<table border="{$TABLEBORDERSIZE}" cellpadding="{$PADDING}">
			<!-- heading -->
			<tr>
				<xsl:if test="$ODMVERSION = '1.3'"><td style="background-color:{$BGCOLOR1}">ID</td></xsl:if>
				<td style="background-color:{$BGCOLOR1}">Sequence Number</td>
				<td style="background-color:{$BGCOLOR1}">Transaction Type</td>
				<td style="background-color:{$BGCOLOR1}">Comment</td>
				<td style="background-color:{$BGCOLOR1}">Flags</td>
			</tr>
			<xsl:for-each select="$ANNOTATIONSPARENT/Annotation">
				<tr>
					<xsl:if test="$ODMVERSION = '1.3'"><td><xsl:value-of select="@ID"/></td></xsl:if>
					<td><xsl:value-of select="@SeqNum"/></td>
					<td><xsl:value-of select="@TransactionType"/></td>
					<td><xsl:if test="Comment/@SponsorOrSite">Source: <xsl:value-of select="Comment/@SponsorOrSite"/><br/></xsl:if>
						<xsl:value-of select="Comment"/>
					</td>
					<td>
						<xsl:if test="Flag">
							<xsl:for-each select="Flag">
							<table border="{$TABLEBORDERSIZE}" cellpadding="{$PADDING}">
								<!--xsl:for-each select="Flag"-->
									<tr>
										<td>Flag Value: <br/> <xsl:value-of select="FlagValue"/></td>
										<td>Code List: <br/> 
											<!-- 18.6.2009 -->
											<xsl:choose>
												<xsl:when test="$ADDHYPERLINKSTOMETADATA = 'true'">
													<xsl:element name="a">
														<xsl:attribute name="href">find:/*[name()='ODM']/*[name()='Study'][@OID='<xsl:value-of select="$STUDYOID"/>']/*[name()='MetaDataVersion'][@OID='<xsl:value-of select="$METADATAVERSIONOID"/>']/*[name()='CodeList'][@OID='<xsl:value-of select="FlagValue/@CodeListOID"/>']</xsl:attribute>
														<xsl:value-of select="FlagValue/@CodeListName"/>
													</xsl:element>
												</xsl:when>
												<xsl:otherwise><xsl:value-of select="FlagValue/@CodeListName"/></xsl:otherwise>
											</xsl:choose>
										</td>
									</tr>
									<tr>
										<td>Flag Type: <br/> <xsl:value-of select="FlagType"/></td>
										<td>
											<!--Code List: <br/> <xsl:value-of select="FlagType/@CodeListName"/>--> 
											<!-- 18.6.2009 -->
											<xsl:choose>
												<xsl:when test="$ADDHYPERLINKSTOMETADATA = 'true'">
													<xsl:element name="a">
														<xsl:attribute name="href">find:/*[name()='ODM']/*[name()='Study'][@OID='<xsl:value-of select="$STUDYOID"/>']/*[name()='MetaDataVersion'][@OID='<xsl:value-of select="$METADATAVERSIONOID"/>']/*[name()='CodeList'][@OID='<xsl:value-of select="FlagType/@CodeListOID"/>']</xsl:attribute>
														<xsl:value-of select="FlagType/@CodeListName"/>
													</xsl:element>
												</xsl:when>
												<xsl:otherwise><xsl:value-of select="FlagType/@CodeListName"/></xsl:otherwise>
											</xsl:choose>
										</td>
									</tr>
								<!--/xsl:for-each-->
							</table>
							</xsl:for-each>
						</xsl:if>
					</td>
				</tr>
			</xsl:for-each>
		</table>
		<h5><a href="#top">Back to top</a></h5>
	</xsl:template>
	
	<!-- a template for providing additional info to an ItemGroup, if present -->
	<xsl:template match="AdditionalInfo">
		<xsl:variable name="STUDYOID" select="../../@StudyOID"/>
		<xsl:variable name="METADATAVERSIONOID" select="../../@MetaDataVersionOID"/>
		<h4>
		<xsl:if test="SubjectKey">
			<div style="background: yellow">SubjectKey: <font color="{$EMPH}"><xsl:value-of select="SubjectKey"/></font><br/></div>
		</xsl:if>
		<xsl:if test="SubjectTransactionType">
			Subject Transaction Type: <font color="{$EMPH}"><xsl:value-of select="SubjectTransactionType"/></font><br/>
		</xsl:if>
		<!--
		<xsl:if test="StudyEventOID">
			Study Event OID: <font color="{$EMPH}"><xsl:value-of select="StudyEventOID"/></font><br/>
		</xsl:if> -->
		<xsl:if test="StudyEventName">
			<xsl:choose>
				<xsl:when test="$ADDHYPERLINKSTOMETADATA = 'true'">
					Study Event:
						<xsl:element name="a">
							<xsl:attribute name="href">find:/*[name()='ODM']/*[name()='Study'][@OID='<xsl:value-of select="$STUDYOID"/>']/*[name()='MetaDataVersion'][@OID='<xsl:value-of select="$METADATAVERSIONOID"/>']/*[name()='StudyEventDef'][@OID='<xsl:value-of select="./StudyEventOID"/>']</xsl:attribute>
							<xsl:value-of select="StudyEventName"/>
						</xsl:element>
					<br/>
				</xsl:when>
				<xsl:otherwise>Study Event: <font color="{$EMPH}"><xsl:value-of select="StudyEventName"/></font><br/></xsl:otherwise>
			</xsl:choose>
		</xsl:if> 
		<xsl:if test="StudyEventRepeatKey">
			Study Event Repeat Key: <font color="{$EMPH}"><xsl:value-of select="StudyEventRepeatKey"/></font><br/>
		</xsl:if>
		<xsl:if test="StudyEventTransactionType">
			Study Event Transaction Type: <font color="{$EMPH}"><xsl:value-of select="StudyEventTransactionType"/></font><br/>
		</xsl:if>

		<!--xsl:if test="FormOID">
			Form OID: <font color="{$EMPH}"><xsl:value-of select="FormOID"/></font><br/>
		</xsl:if--> 

		<xsl:if test="FormName">
			<xsl:choose>
				<xsl:when test="$ADDHYPERLINKSTOMETADATA = 'true'">
					Form:
						<xsl:element name="a">
							<xsl:attribute name="href">find:/*[name()='ODM']/*[name()='Study'][@OID='<xsl:value-of select="$STUDYOID"/>']/*[name()='MetaDataVersion'][@OID='<xsl:value-of select="$METADATAVERSIONOID"/>']/*[name()='FormDef'][@OID='<xsl:value-of select="./FormOID"/>']</xsl:attribute>
							<xsl:value-of select="FormName"/>
						</xsl:element>
					<br/>
				</xsl:when>
				<xsl:otherwise>Form: <font color="{$EMPH}"><xsl:value-of select="FormName"/></font><br/></xsl:otherwise>
			</xsl:choose>
			
		</xsl:if>
		<xsl:if test="FormRepeatKey">
			Form Repeat Key: <font color="{$EMPH}"><xsl:value-of select="FormRepeatKey"/></font><br/>
		</xsl:if>
		<xsl:if test="FormTransactionType">
			Form Transaction Type: <font color="{$EMPH}"><xsl:value-of select="FormTransactionType"/></font><br/>
		</xsl:if>
		<!-- 5.6.2009 -->
		<xsl:if test="InvestigatorName and $SHOWINVESTIGATORINFO='true'">
			<xsl:choose>
				<xsl:when test="$ADDHYPERLINKSTOADMINDATA = 'true'">
					Investigator: <xsl:element name="a">
						<xsl:attribute name="href">find:/*[name()='ODM']/*[name()='AdminData'][@StudyOID='<xsl:value-of select="$STUDYOID"/>']/*[name()='User'][@OID='<xsl:value-of select="./InvestigatorOID"/>']</xsl:attribute>
						<xsl:value-of select="./InvestigatorName"/>
					</xsl:element><br/>
				</xsl:when>
				<xsl:otherwise>Investigator: <font color="{$EMPH}"><xsl:value-of select="InvestigatorName"/></font><br/></xsl:otherwise>
			</xsl:choose>
		</xsl:if>
		<!-- 5.6.2009 -->
		<xsl:if test="SiteName and $SHOWSITEINFO='true'">
			<xsl:choose>
				<xsl:when test="$ADDHYPERLINKSTOADMINDATA = 'true'">
					Site: <xsl:element name="a">
						<xsl:attribute name="href">find:/*[name()='ODM']/*[name()='AdminData'][@StudyOID='<xsl:value-of select="$STUDYOID"/>']/*[name()='Location'][@OID='<xsl:value-of select="./SiteOID"/>']</xsl:attribute>
						<xsl:value-of select="SiteName"/>
					</xsl:element><br/>
				</xsl:when>
				<xsl:otherwise>Site: <font color="{$EMPH}"><xsl:value-of select="SiteName"/></font><br/></xsl:otherwise>
			</xsl:choose>
		</xsl:if>
		</h4>
	</xsl:template>
	
	<!-- ExternalCodeList template -->
	<xsl:template match="ExternalCodeList">
		External CodeList
	</xsl:template>
	
	<!-- Signature template for ItemGroup and ItemGroupData -->
	<xsl:template match="Signature">
		<!-- 11.9.2014 -->
		<xsl:variable name="STUDYOID">
		<xsl:choose>
			<xsl:when test="name(..)='ItemGroupData'">
				<!--xsl:message>Parent is ItemGroupData</xsl:message-->
				<xsl:value-of select="../../@StudyOID"/>
			</xsl:when>
			<xsl:when test="name(..)='ItemData'">
				<!--xsl:message>Parent is ItemData</xsl:message-->
				<xsl:value-of select="../../../@StudyOID"/>
			</xsl:when>
			<xsl:when test="name(../..) = 'AdditionalInfo'">
				<!--xsl:message>Grandparent = AdditionalInfo</xsl:message-->
				<xsl:value-of select="../../../../@StudyOID"/>
			</xsl:when>
			<xsl:otherwise>
				<!--xsl:message>OTHER parent = <xsl:value-of select="name(..)"/></xsl:message-->
			</xsl:otherwise>
		</xsl:choose>
		</xsl:variable>
		<table border="{$TABLEBORDERSIZE}" cellpadding="{$PADDING}">
			<tr>
				<!-- User reference -->
				<td style="background-color:{$BGCOLOR1}">User</td>
				<!--td><xsl:value-of select="./UserRef/@UserOID"/-->
				<!-- set real name and add hyperlink -->
				<td>
					<xsl:choose>
					<xsl:when test="$ADDHYPERLINKSTOADMINDATA = 'true'">
						<!--xsl:variable name="STUDYOID" select="../../../@StudyOID" /-->
						<xsl:element name="a">
							<xsl:attribute name="href">find:/*[name()='ODM']/*[name()='AdminData'][@StudyOID='<xsl:value-of select="$STUDYOID"/>']/*[name()='User'][@OID='<xsl:value-of select="UserRef/@UserOID"/>']</xsl:attribute>
							<xsl:value-of select="./UserRef/@UserName"/>
						</xsl:element>
					</xsl:when>
					<xsl:otherwise><xsl:value-of select="./UserRef/@UserName"/></xsl:otherwise>
				</xsl:choose>
				</td>
			</tr>
			<!-- Location reference -->
			<tr>
				<td style="background-color:{$BGCOLOR1}">Location</td>
				<!--td><xsl:value-of select="./LocationRef/@LocationOID"/></td-->
				<td>
					<xsl:choose>
						<xsl:when test="$ADDHYPERLINKSTOADMINDATA = 'true'">
							<xsl:element name="a">
								<!--xsl:attribute name="href">find:/*[name()='ODM']/*[name()='AdminData'][@StudyOID='<xsl:value-of select="../../../@StudyOID"/>']/*[name()='Location'][@OID='<xsl:value-of select="LocationRef/@LocationOID"/>']</xsl:attribute-->
								<xsl:attribute name="href">find:/*[name()='ODM']/*[name()='AdminData'][@StudyOID='<xsl:value-of select="$STUDYOID"/>']/*[name()='Location'][@OID='<xsl:value-of select="LocationRef/@LocationOID"/>']</xsl:attribute>
								<xsl:value-of select="./LocationRef/@LocationName"/>
							</xsl:element>
						</xsl:when>
						<xsl:otherwise><xsl:value-of select="./LocationRef/@LocationName"/></xsl:otherwise>
					</xsl:choose>
				</td>
			</tr>
			<tr>
				<td style="background-color:{$BGCOLOR1}">Signature Reference</td>
				<!--td><xsl:value-of select="./SignatureRef/@SignatureOID"/></td-->
				<td>
					Methodology: <xsl:value-of select="./SignatureRef/@Methodology"/><br/>
					Meaning: <xsl:value-of select="./SignatureRef/@Meaning"/><br/>
					Legal Reason: <xsl:value-of select="./SignatureRef/@LegalReason"/>
				</td>
			</tr>
			<tr>
				<td style="background-color:{$BGCOLOR1}">Date and Time Stamp</td>
				<td>
					<xsl:choose>
						<xsl:when test="$DATETIMESTAMPASTEXT = 'true'">
							<xsl:call-template name="DateTime2String"><xsl:with-param name="datetime" select="./DateTimeStamp"/></xsl:call-template>
						</xsl:when>
						<xsl:otherwise><xsl:value-of select="DateTimeStamp"/></xsl:otherwise>
					</xsl:choose>
				</td>
			</tr>
			<tr>
				<td style="background-color:{$BGCOLOR1}">Cryptographic Binding Manifest<br/>(Deprecated in ODM 1.2)</td>
				<td><xsl:value-of select="CryptoBindingManifest"/></td>
			</tr>
		</table>
		<h5><a href="#top">Back to top</a></h5>
	</xsl:template>
	
	
	<!-- templates to split strings in handeable lengths -->
	<xsl:template name="mysplit">
		<xsl:param name="input" select="normalize-space()"/>
		<xsl:param name="width" select="20"/>
		<xsl:if test="$input">
			<!--xsl:message>LENGTH BEFORE SPLITTING = <xsl:value-of select="string-length($input)"/></xsl:message-->
			<xsl:variable name="line">
				<xsl:choose>
					<!-- 15.6.2010 check for strings without blanks - which cannot be split -->
					<xsl:when test="string-length($input) > $width and not(contains($input,' '))"> 
						<!--xsl:message>String cannot be split: <xsl:value-of select="$input"/></xsl:message-->
						<xsl:value-of select="$input"/>
					</xsl:when>
					<!-- -->
					<xsl:when test="string-length($input) > $width"> 
						<xsl:call-template name="substring-before-last">
							<xsl:with-param name="input" select="substring($input,1,$width)"/>
							<xsl:with-param name="substr" select=" ' ' "/>
						</xsl:call-template>
					</xsl:when>
					<xsl:otherwise>
						<xsl:value-of select="$input"/>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:variable>
			<!-- print the line -->
			<xsl:value-of select="$line"/><br/>
			<!-- take what is remaining and apply the template recursively -->
			<xsl:variable name="rest" select="substring-after($input,$line)"/>
			<!--xsl:message>LENGTH AFTER SPLITTING = <xsl:value-of select="string-length($rest)"/></xsl:message-->
			<!--xsl:message>REST = <xsl:value-of select="$rest"/></xsl:message-->
			<!-- recursion ..., but now when splitting did not work -->
			<xsl:if test="string-length($rest) lt string-length($input)">
				<xsl:call-template name="mysplit">
					<xsl:with-param name="input" select="$rest"/>
					<xsl:with-param name="width" select="$width"/>
				</xsl:call-template>
			</xsl:if>
		</xsl:if>
	</xsl:template>
	
	<!-- 10.8.2009: ShowSelections template -->
	<!-- TODO: one way or another using $BGCOLOR1 does not work here -->
	<xsl:template name="ShowSelections">
		<xsl:variable name="BGCOLOR1">#B8B8B8</xsl:variable>
		<xsl:for-each select="Selections"><!-- there should be only one -->
			<h3>Your selections:</h3>
			<h4>Studies: <xsl:if test="Selection_Studies[@All='Yes']">All studies:</xsl:if></h4>
			<table border="{$TABLEBORDERSIZE}">
				<xsl:for-each select="Selection_Studies/Selection">
					<tr><td><xsl:value-of select="@OID"/></td></tr>
				</xsl:for-each>
			</table>
			<h4>MetaData Versions: <xsl:if test="Selection_MetaDataVersions[@All='Yes']">All versions: </xsl:if></h4>
			<table border="{$TABLEBORDERSIZE}" style="border-style:outset">
				<tr><td style="background-color:{$BGCOLOR1}">OID</td><td style="background-color:{$BGCOLOR1}">Name</td></tr>
				<xsl:for-each select="Selection_MetaDataVersions/Selection">
					<tr><td><xsl:value-of select="@OID"/></td><td><xsl:value-of select="@Name"/></td></tr>
				</xsl:for-each>
			</table>
			<h4>Sites: <xsl:if test="Selection_Sites[@All='Yes']">All sites: </xsl:if></h4>
			<table border="{$TABLEBORDERSIZE}">
				<tr><td style="background-color:{$BGCOLOR1}">OID</td><td style="background-color:{$BGCOLOR1}">Name</td></tr>
				<xsl:for-each select="Selection_Sites/Selection">
					<tr><td><xsl:value-of select="@OID"/></td><td><xsl:value-of select="@Name"/></td></tr>
				</xsl:for-each>
			</table>
			<h4>Investigators: <xsl:if test="Selection_Investigators[@All='Yes']">All investigators: </xsl:if></h4>
			<table border="{$TABLEBORDERSIZE}">
				<tr><td style="background-color:{$BGCOLOR1}">OID</td><td style="background-color:{$BGCOLOR1}">Name</td></tr>
				<xsl:for-each select="Selection_Investigators/Selection">
					<tr><td><xsl:value-of select="@OID"/></td><td><xsl:value-of select="@Name"/></td></tr>
				</xsl:for-each>
			</table>
			<xsl:if test="Selection_Auditors">
				<h4>Auditors: <xsl:if test="Selection_Auditors[@All='Yes']">All auditors: </xsl:if></h4>
				<table border="{$TABLEBORDERSIZE}">
				<tr><td style="background-color:{$BGCOLOR1}">OID</td><td style="background-color:{$BGCOLOR1}">Name</td></tr>
				<xsl:for-each select="Selection_Auditors/Selection">
					<tr><td><xsl:value-of select="@OID"/></td><td><xsl:value-of select="@Name"/></td></tr>
				</xsl:for-each>
				</table>
			</xsl:if>
			<xsl:if test="Selection_AuditLocations">
				<h4>Audit Locations: <xsl:if test="Selection_AuditLocations[@All='Yes']">All auditor locations: </xsl:if></h4>
				<table border="{$TABLEBORDERSIZE}">
				<tr><td style="background-color:{$BGCOLOR1}">OID</td><td style="background-color:{$BGCOLOR1}">Name</td></tr>
				<xsl:for-each select="Selection_AuditLocations/Selection">
					<tr><td><xsl:value-of select="@OID"/></td><td><xsl:value-of select="@Name"/></td></tr>
				</xsl:for-each>
				</table>
			</xsl:if>
			<!-- Subjects - only when NOT all subjects have been selected, give a listing -->
			<xsl:if test="Selection_Subjects">
				<h4>Subjects: <xsl:if test="Selection_Subjects[@All='Yes']"> <b>ALL</b> subjects for this study/studies</xsl:if></h4>
				<!-- not all subbjects have been selected, give a list -->
				<xsl:if test="not(Selection_Subjects[@All='Yes'])">
					<xsl:variable name="NUMBER_OF_SUBJECTS"><xsl:value-of select="count(Selection_Subjects/Selection)"/></xsl:variable>
					<xsl:message>Number of subjects = <xsl:value-of select="$NUMBER_OF_SUBJECTS"/></xsl:message>
					<xsl:variable name="NUMBER_OF_COLUMNS">8</xsl:variable>
					<xsl:variable name="NUMBER_OF_ROWS" select="ceiling($NUMBER_OF_SUBJECTS div $NUMBER_OF_COLUMNS)"/>
					<xsl:message>Number of rows = <xsl:value-of select="$NUMBER_OF_ROWS"/></xsl:message>
					<table>
						<xsl:for-each select="Selection_Subjects/Selection">
							<xsl:variable name="POSITION" select="position()"/>
							<xsl:choose>
								<xsl:when test="$POSITION = 1 or (($POSITION - 1) mod $NUMBER_OF_COLUMNS = 0)">
									<xsl:element name="tr"/><td><xsl:value-of select="@OID"/></td>
								</xsl:when>
								<xsl:otherwise>
									<td><xsl:value-of select="@OID"/></td>
								</xsl:otherwise>
							</xsl:choose>
						</xsl:for-each>
					</table>
				</xsl:if>
			</xsl:if>
		</xsl:for-each>
	</xsl:template>
	
	<xsl:template name="substring-before-last"> 
		<xsl:param name="input"/>
		<xsl:param name="substr"/>
		<xsl:if test="$substr and contains($input, $substr)">
			<xsl:variable name="temp" select="substring-after($input, $substr)" />
    		<xsl:value-of select="substring-before($input, $substr)" />
   			<xsl:if test="contains($temp, $substr)">
      			<xsl:value-of select="$substr" />
      			<xsl:call-template name="substring-before-last">
        			<xsl:with-param name="input" select="$temp" />
        			<xsl:with-param name="substr" select="$substr" />
      			</xsl:call-template>
    		</xsl:if>
  		</xsl:if>
	</xsl:template>
	
	<!-- template that replaces a linebreak (CR) by an HTML <br/> -->
	<xsl:template name="linebreak" > 
		<xsl:param name="text" /> 
		<xsl:choose> 
			<xsl:when test="substring-before($text, '&#x0A;')"> 
				<xsl:value-of select="substring-before($text, '&#x0A;')"/><br/> 
				<!-- recursion -->
				<xsl:call-template name="linebreak"> 
					<xsl:with-param name="text" select="substring-after($text, '&#x0A;')" /> 
				</xsl:call-template> 
			</xsl:when> 
			<xsl:otherwise> 
				<xsl:value-of select="$text" /> 
			</xsl:otherwise> 
		</xsl:choose> 
	</xsl:template> 

	
</xsl:stylesheet>